
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest16 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.5574077123571413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1591352334984135d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test002"); }


    int i2 = org.apache.commons.math.util.MathUtils.copySign(1061914504, (-104));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1061914504));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test003"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.0d, (-0.7615941559557649d), 0.036638916355741895d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test004"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(2.697785854836685d, 0.5192942390955295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.697785854836685d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test005"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 1.0E-14d, (-0.1136688426821891d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test006"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-3.8834864931005E-310d), 1.4294313799657696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test007"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getMax();
    double d4 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test008"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-3.095920455198052d), (-0.1827886625611071d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.095920455198052d));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test009"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-20441L), 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test010"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver4.getStartValue();
    double d7 = bracketingNthOrderBrentSolver4.getMin();
    double d8 = bracketingNthOrderBrentSolver4.getStartValue();
    int i9 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction14 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    double d16 = bracketingNthOrderBrentSolver15.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction21 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver24 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d25 = bracketingNthOrderBrentSolver24.getAbsoluteAccuracy();
    double d26 = bracketingNthOrderBrentSolver24.getRelativeAccuracy();
    double d27 = bracketingNthOrderBrentSolver24.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction32 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d37 = bracketingNthOrderBrentSolver36.getStartValue();
    double d38 = bracketingNthOrderBrentSolver36.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction43 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver46 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d47 = bracketingNthOrderBrentSolver46.getMin();
    double d48 = bracketingNthOrderBrentSolver46.getStartValue();
    double d49 = bracketingNthOrderBrentSolver46.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction54 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver57 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d58 = bracketingNthOrderBrentSolver57.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution62 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d63 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction54, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver57, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution62);
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction43, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver46, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution62);
    double d65 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction32, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver36, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution62);
    double d66 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(874941345, univariateFunction21, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver24, 1.2626272556789118d, 0.18077974711318837d, (-3.8834864931005E-310d), allowedSolution62);
    double d67 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(414779610, univariateFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 0.031249999981301856d, 0.7594766388215944d, 0.662169350517265d, allowedSolution62);
    double d68 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 0.9950547536867305d, 0.9592599811162651d, 0.42957045711476627d, allowedSolution62);
    int i69 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.031249999981301856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.9950547536867305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test011"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.5258789E-5f, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test012"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0, (java.lang.Number)100L, false);
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    java.lang.Number number5 = numberIsTooLargeException3.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = numberIsTooLargeException3.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    java.lang.Number number8 = numberIsTooLargeException3.getMax();
    boolean b9 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test013"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getMax();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver3.solve((-128), univariateFunction6, 0.5383182292396472d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test014"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.49073594447275637d, (-0.1808400169854985d), (-0.531d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test015"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.9899924966004454d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test016"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.8452701486440284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.045658018656951d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test017"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFHi();
    double d6 = noBracketingException4.getHi();
    double d7 = noBracketingException4.getHi();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = noBracketingException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test018"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.5111573E23f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.5111575E23f);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test019"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794897d, (-0.2628512484720843d), 1753944293);
    double d6 = bracketingNthOrderBrentSolver5.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d16 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d18 = bracketingNthOrderBrentSolver15.getMin();
    int i19 = bracketingNthOrderBrentSolver15.getMaximalOrder();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution23 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d24 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 21.766990071586857d, 22.45915771836105d, 2.718281828459045d, allowedSolution23);
    double d25 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-66745701), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, 0.9325533535582513d, 2.2250738585072014E-308d, 1.0215608260008333d, allowedSolution23);
    double d26 = bracketingNthOrderBrentSolver5.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 21.766990071586857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9325533535582513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-0.2628512484720843d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test020"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.4161063330010749d, (-1.1102230246251564E-16d), 0.08151195470392862d, 544048009);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction6 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution10 = org.apache.commons.math.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver4.solve(1560231315, univariateFunction6, (-0.04636250884923942d), 4.046443019765144d, 0.43580923994907006d, allowedSolution10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution10);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test021"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.5202946743328826d, 0.0049865072516269565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0049865072516269565d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test022"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.0014842297954992473d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 616827691);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test023"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.1054274E-15f);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test024"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(2.5632672021756216E-4d, 0.9949121745027778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4975842506114977d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test025"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(1.0E-6d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test026"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-0.9999999f), 0.0f, 185489086);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test027"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.0d, 0.751023765628097d, 0.044690903544286606d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test028"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)7.664196286005584d, (java.lang.Number)1.2115204340329568d, true);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.6441559968846774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6005237817721464d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test030"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)7.0E-45f);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 7.0E-45f+ "'", number3.equals(7.0E-45f));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test031"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.4560875258289375d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test032"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.1126754648679353d, 3.0938197180036557E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 16.35729300039201d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test033"); }


    float f2 = org.apache.commons.math.util.Precision.round((-2.0282408E31f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-2.0282408E31f));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test034"); }


    double d2 = org.apache.commons.math.util.FastMath.max(10.93324897077904d, 0.6385934808131242d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.93324897077904d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test035"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d6 = bracketingNthOrderBrentSolver5.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution10 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d11 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction2, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution10);
    double d12 = bracketingNthOrderBrentSolver5.getFunctionValueAccuracy();
    double d13 = bracketingNthOrderBrentSolver5.getFunctionValueAccuracy();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d23 = noBracketingException22.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math.exception.MathArithmeticException(localizable24, obj_array26);
    noBracketingException22.addSuppressed((java.lang.Throwable)mathArithmeticException27);
    java.lang.String str29 = noBracketingException22.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException34 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d35 = noBracketingException34.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException39 = new org.apache.commons.math.exception.MathArithmeticException(localizable36, obj_array38);
    noBracketingException34.addSuppressed((java.lang.Throwable)mathArithmeticException39);
    java.lang.String str41 = noBracketingException34.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext42 = noBracketingException34.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError43 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException34);
    noBracketingException22.addSuppressed((java.lang.Throwable)noBracketingException34);
    java.lang.Throwable[] throwable_array45 = noBracketingException22.getSuppressed();
    java.lang.Throwable[] throwable_array46 = noBracketingException22.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException47 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable17, (java.lang.Object[])throwable_array46);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException48 = new org.apache.commons.math.exception.MaxCountExceededException(localizable15, (java.lang.Number)(-1L), (java.lang.Object[])throwable_array46);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver5, localizable14, (java.lang.Object[])throwable_array46);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str29.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str41.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array46);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test036"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.5592719566851914d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6259357854118054d));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test037"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence((-0.1873374743648253d), (-1.1936478354419018d), 0.7507298852373168d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(308.73182366778815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 308.0d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test039"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-127));
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test040"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(267.7467614837482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-61091276));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test041"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-44));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test042"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.9936588328974013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test043"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.22685095331102675d), 0.9949121745027778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9949121745027778d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test044"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.0d, 0.142139867266437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0710699336332185d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test045"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, (-0.8435636080687686d), 0.0d, 0.057820894670897544d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test046"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(1.5111573E23f, (-918077825), (-1615615204));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test047"); }


    long long2 = org.apache.commons.math.util.FastMath.min(2L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test048"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d17 = noBracketingException16.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable18, obj_array20);
    noBracketingException16.addSuppressed((java.lang.Throwable)mathArithmeticException21);
    java.lang.String str23 = noBracketingException16.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext24 = noBracketingException16.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError25 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException16);
    noBracketingException4.addSuppressed((java.lang.Throwable)noBracketingException16);
    java.lang.Throwable[] throwable_array27 = noBracketingException4.getSuppressed();
    double d28 = noBracketingException4.getLo();
    double d29 = noBracketingException4.getHi();
    double d30 = noBracketingException4.getFLo();
    double d31 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str23.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test049"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array12 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException(localizable5, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, number3, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException21 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable19, (java.lang.Number)(-918077825));
    mathIllegalStateException18.addSuppressed((java.lang.Throwable)notStrictlyPositiveException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test050"); }


    float f2 = org.apache.commons.math.util.Precision.round(Float.NEGATIVE_INFINITY, 107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test051"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.6248810298874232d, 0.05677609964731545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.027944403387911d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test052"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.420928744742013d, 0.02052131594500896d, 0.07659581863085893d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test053"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.2621d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test054"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.4742143325035024d, 0.2846595323096477d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4742143325035024d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9999999986400665d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8414709840731213d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test056"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 1.8253734512776356d, 1.00000000000001d, 8.120519892230089d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test057"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.19241968970258158d, 2.5419269331066703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5419269331066703d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test058"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable2, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number7 = numberIsTooLargeException6.getMax();
    java.lang.Throwable[] throwable_array8 = numberIsTooLargeException6.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0L, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    double d15 = noBracketingException14.getFHi();
    maxCountExceededException9.addSuppressed((java.lang.Throwable)noBracketingException14);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array23);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math.exception.MaxCountExceededException(localizable19, (java.lang.Number)10.0d, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException14, localizable17, obj_array23);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException31 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.8813735844809989d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext32 = notStrictlyPositiveException31.getContext();
    java.lang.Number number33 = notStrictlyPositiveException31.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError36 = new org.apache.commons.math.exception.MathInternalError(localizable34, obj_array35);
    notStrictlyPositiveException31.addSuppressed((java.lang.Throwable)mathInternalError36);
    java.lang.Throwable[] throwable_array38 = notStrictlyPositiveException31.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable29, (java.lang.Object[])throwable_array38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException27, localizable28, (java.lang.Object[])throwable_array38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100.0d+ "'", number7.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + 0.8813735844809989d+ "'", number33.equals(0.8813735844809989d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test059"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.09905052202871352d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test060"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, (-0.9262572491679257d), 0.1924196897025816d, 0.5147970990590502d, 740799305);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test061"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.8917169178066363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7282199195005585d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test062"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver14 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d15 = bracketingNthOrderBrentSolver14.getAbsoluteAccuracy();
    int i16 = bracketingNthOrderBrentSolver14.getMaxEvaluations();
    int i17 = bracketingNthOrderBrentSolver14.getMaxEvaluations();
    double d18 = bracketingNthOrderBrentSolver14.getFunctionValueAccuracy();
    double d19 = bracketingNthOrderBrentSolver14.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction24 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d29 = bracketingNthOrderBrentSolver28.getStartValue();
    double d30 = bracketingNthOrderBrentSolver28.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction35 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver38 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d39 = bracketingNthOrderBrentSolver38.getMin();
    double d40 = bracketingNthOrderBrentSolver38.getStartValue();
    double d41 = bracketingNthOrderBrentSolver38.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction46 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver49 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d50 = bracketingNthOrderBrentSolver49.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution54 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d55 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction46, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver49, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution54);
    double d56 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction35, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver38, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution54);
    double d57 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction24, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver28, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution54);
    double d58 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(160, univariateFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver14, 1.3407807929942596E154d, 1.3890171234636335d, 0.0016842242586052976d, allowedSolution54);
    // The following exception was thrown during execution in test generation
    try {
      double d59 = bracketingNthOrderBrentSolver3.solve(341642467, univariateFunction7, 0.0817219664249987d, 20440.701141914098d, allowedSolution54);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.3407807929942596E154d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test063"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.6860547653230591d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test064"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getMin();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver2.solve((-67), univariateFunction7, 0.977221969510063d, 3.1073352117281376d, allowedSolution10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test065"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    int i8 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d9 = bracketingNthOrderBrentSolver2.getStartValue();
    double d10 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d11 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test066"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-54.123672182498595d), 0.13693861549157732d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.13693861549157732d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test067"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.24045975686357043d, 1.4210854715202004E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.8041124150158794E-15d));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test068"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-2.750261912538977d), 0.014251078308965518d, 16.848032296108702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test069"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.1366294794179037d, (java.lang.Number)3L, true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test070"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.435407523152705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.435407523152705d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test071"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(96.02236028657777d, 7.9463601940840825d, 0.03538821097805611d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test072"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.019711076245191257d, (-1.378984271185942d), 1.4776501301581395d, (-306326488));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test073"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.8132760197326263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test074"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0, (java.lang.Number)100L, false);
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    org.apache.commons.math.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d10 = noBracketingException9.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array13);
    noBracketingException9.addSuppressed((java.lang.Throwable)mathArithmeticException14);
    java.lang.String str16 = noBracketingException9.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d22 = noBracketingException21.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array25);
    noBracketingException21.addSuppressed((java.lang.Throwable)mathArithmeticException26);
    java.lang.String str28 = noBracketingException21.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext29 = noBracketingException21.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError30 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException21);
    noBracketingException9.addSuppressed((java.lang.Throwable)noBracketingException21);
    double d32 = noBracketingException9.getLo();
    double d33 = noBracketingException9.getFHi();
    mathInternalError4.addSuppressed((java.lang.Throwable)noBracketingException9);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext35 = noBracketingException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str16.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str28.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext35);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test075"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.3047342273498117d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test076"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-3L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3L);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test077"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.010316440887072911d, 6.938893903907228E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.010316440887072911d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test078"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.525879E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.525879E-5f);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test079"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d6 = bracketingNthOrderBrentSolver5.getFunctionValueAccuracy();
    double d7 = bracketingNthOrderBrentSolver5.getFunctionValueAccuracy();
    double d8 = bracketingNthOrderBrentSolver5.getMin();
    int i9 = bracketingNthOrderBrentSolver5.getMaximalOrder();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, 21.766990071586857d, 22.45915771836105d, 2.718281828459045d, allowedSolution13);
    int i15 = bracketingNthOrderBrentSolver5.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = bracketingNthOrderBrentSolver5.solve(128, univariateFunction17, 0.04597354534407794d, 1.3169578969248166d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 21.766990071586857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test080"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.7262265382264935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 41.609715610774224d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test081"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(4400.328541725631d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.643485103425229d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test082"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d10 = noBracketingException9.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array13);
    noBracketingException9.addSuppressed((java.lang.Throwable)mathArithmeticException14);
    java.lang.String str16 = noBracketingException9.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d22 = noBracketingException21.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array25);
    noBracketingException21.addSuppressed((java.lang.Throwable)mathArithmeticException26);
    java.lang.String str28 = noBracketingException21.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext29 = noBracketingException21.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError30 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException21);
    noBracketingException9.addSuppressed((java.lang.Throwable)noBracketingException21);
    java.lang.Throwable[] throwable_array32 = noBracketingException9.getSuppressed();
    java.lang.Throwable[] throwable_array33 = noBracketingException9.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)3L, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.MathInternalError mathInternalError35 = new org.apache.commons.math.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException36 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str16.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str28.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test083"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.5716250802096977d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test084"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getMax();
    double d5 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794897d, (-0.2628512484720843d), 1753944293);
    double d17 = bracketingNthOrderBrentSolver16.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d27 = bracketingNthOrderBrentSolver26.getFunctionValueAccuracy();
    double d28 = bracketingNthOrderBrentSolver26.getFunctionValueAccuracy();
    double d29 = bracketingNthOrderBrentSolver26.getMin();
    int i30 = bracketingNthOrderBrentSolver26.getMaximalOrder();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution34 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d35 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver26, 21.766990071586857d, 22.45915771836105d, 2.718281828459045d, allowedSolution34);
    double d36 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-66745701), univariateFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver16, 0.9325533535582513d, 2.2250738585072014E-308d, 1.0215608260008333d, allowedSolution34);
    // The following exception was thrown during execution in test generation
    try {
      double d37 = bracketingNthOrderBrentSolver2.solve((-1711358670), univariateFunction7, 0.0d, 0.03538821097805611d, 0.4695871405639187d, allowedSolution34);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 21.766990071586857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.9325533535582513d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test085"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.7847506286087127d, (-0.5698251857176286d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.10746272144554203d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test086"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.007646500095332964d, (-5.149341918377654d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-5.1493419183776545d));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test087"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.20067069549999997d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test088"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0L, number1, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    java.lang.Number number6 = numberIsTooLargeException3.getArgument();
    java.lang.Number number7 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0L+ "'", number4.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0L+ "'", number6.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.6879024203918198d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.500194187923869d));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test090"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.2666118960332404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test091"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.034744615534226475d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test092"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(5.877472E-38f, (-1.26765045E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test093"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-0.5752220392306202d), 0.9657901480498735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5752220392306202d));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test094"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.43580923994907006d, 1.4963311028856776d, 0.30657918116474375d, 1018167297);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test095"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(0.01f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test096"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException8 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d9 = noBracketingException8.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    noBracketingException8.addSuppressed((java.lang.Throwable)mathArithmeticException13);
    java.lang.String str15 = noBracketingException8.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext16 = noBracketingException8.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError17 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext18 = mathInternalError17.getContext();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable25, obj_array27);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException29 = new org.apache.commons.math.exception.NullArgumentException(localizable24, obj_array27);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array27);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException(localizable22, obj_array27);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException(localizable20, (java.lang.Number)100.0d, obj_array27);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError17, localizable19, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, obj_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array27);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException37 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str15.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(267.7467614837482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6843418860808015E-14d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test098"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.14175049919083602d, (java.lang.Number)0.9603530509983645d, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d24 = noBracketingException23.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable25, obj_array27);
    noBracketingException23.addSuppressed((java.lang.Throwable)mathArithmeticException28);
    java.lang.String str30 = noBracketingException23.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException35 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d36 = noBracketingException35.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException40 = new org.apache.commons.math.exception.MathArithmeticException(localizable37, obj_array39);
    noBracketingException35.addSuppressed((java.lang.Throwable)mathArithmeticException40);
    java.lang.String str42 = noBracketingException35.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext43 = noBracketingException35.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError44 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException35);
    noBracketingException23.addSuppressed((java.lang.Throwable)noBracketingException35);
    java.lang.Throwable[] throwable_array46 = noBracketingException23.getSuppressed();
    java.lang.Throwable[] throwable_array47 = noBracketingException23.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException48 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable17, number18, (java.lang.Object[])throwable_array47);
    java.lang.Throwable[] throwable_array49 = notFiniteNumberException48.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException50 = new org.apache.commons.math.exception.NoBracketingException(localizable12, 0.0d, 1.1510104496201798d, 9.765624988313661E-4d, 0.8165266406141584d, (java.lang.Object[])throwable_array49);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException51 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)20440.701141914098d, (java.lang.Object[])throwable_array49);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException52 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, (java.lang.Object[])throwable_array49);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException53 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)0.8333492459822072d, (java.lang.Object[])throwable_array49);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException54 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.482374458613767d, (java.lang.Object[])throwable_array49);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException55 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)0.8768574652428865d, (java.lang.Object[])throwable_array49);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)true, localizable4, (java.lang.Object[])throwable_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str30.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str42.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test099"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-67));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test100"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.9174239681005332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.306268533504784d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test101"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(4.354911728584023d, 0.46567100185089416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.354911728584023d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test102"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array7);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)100.0d, obj_array7);
    java.lang.Number number13 = maxCountExceededException12.getMax();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str14 = maxCountExceededException12.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 100.0d+ "'", number13.equals(100.0d));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.7797939183542818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test104"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.569234812526212d, 1.6066896739061192d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test105"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1.0d), number1, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    boolean b6 = numberIsTooSmallException3.getBoundIsAllowed();
    boolean b7 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number8 = numberIsTooSmallException3.getArgument();
    java.lang.Number number9 = numberIsTooSmallException3.getMin();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-1.0d)+ "'", number8.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test106"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.10914307874738577d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9620037996444782d));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.8052085614665848d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8973341414805216d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test108"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.2748734119735194E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 437216292);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test109"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i6 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i17 = bracketingNthOrderBrentSolver16.getEvaluations();
    double d18 = bracketingNthOrderBrentSolver16.getStartValue();
    double d19 = bracketingNthOrderBrentSolver16.getMin();
    double d20 = bracketingNthOrderBrentSolver16.getStartValue();
    int i21 = bracketingNthOrderBrentSolver16.getMaxEvaluations();
    double d22 = bracketingNthOrderBrentSolver16.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver32 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(21.766990071586857d, 0.6441559968846773d, 1.2947690041106148d, 1074790400);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction37 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d42 = bracketingNthOrderBrentSolver41.getStartValue();
    int i43 = bracketingNthOrderBrentSolver41.getMaxEvaluations();
    double d44 = bracketingNthOrderBrentSolver41.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver53 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d54 = bracketingNthOrderBrentSolver53.getFunctionValueAccuracy();
    double d55 = bracketingNthOrderBrentSolver53.getFunctionValueAccuracy();
    double d56 = bracketingNthOrderBrentSolver53.getMin();
    int i57 = bracketingNthOrderBrentSolver53.getMaximalOrder();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution61 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d62 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction49, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver53, 21.766990071586857d, 22.45915771836105d, 2.718281828459045d, allowedSolution61);
    double d63 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1022), univariateFunction37, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver41, 0.7646695192514715d, (-37.0d), 108.71394377671677d, allowedSolution61);
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1022), univariateFunction27, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver32, 0.49306972710793434d, 0.5674171169011493d, 0.0d, allowedSolution61);
    double d65 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1541310274), univariateFunction13, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver16, 0.0d, 0.4838584938326518d, 0.7237658485300319d, allowedSolution61);
    // The following exception was thrown during execution in test generation
    try {
      double d66 = bracketingNthOrderBrentSolver2.solve(987346850, univariateFunction9, (-0.008365673730721869d), 0.5480589840025839d, allowedSolution61);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 21.766990071586857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.7646695192514715d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.49306972710793434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.8917169178066363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7781512503836436d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test111"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-1.1506041673157388d), 0.8132760197326263d, 0.6947506487576603d, (-0.9999999999999999d));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test112"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(1018167297);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test113"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(7.1054274E-15f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.1054274E-15f);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test114"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, 4.201356810137798d, 2.7722181533153574d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test115"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(5.684342E-14f, 976835553, 77);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test116"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.3621033930361401d, (-0.009051183877537495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test117"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.7772919957190719d, (java.lang.Number)81254791, true);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test118"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence((-1.4353661736420038d), 0.0016842258511045591d, 0.6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test119"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array2);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = mathArithmeticException3.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = mathArithmeticException3.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException3.getContext();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)Double.NEGATIVE_INFINITY);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = maxCountExceededException8.getContext();
    mathArithmeticException3.addSuppressed((java.lang.Throwable)maxCountExceededException8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext11 = mathArithmeticException3.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = mathArithmeticException3.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext13 = mathArithmeticException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test120"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.8768574652428865d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test121"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(7.0E-45f, 5.877472E-38f, (-1535368092));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test122"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d17 = noBracketingException16.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable18, obj_array20);
    noBracketingException16.addSuppressed((java.lang.Throwable)mathArithmeticException21);
    java.lang.String str23 = noBracketingException16.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext24 = noBracketingException16.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError25 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException16);
    noBracketingException4.addSuppressed((java.lang.Throwable)noBracketingException16);
    java.lang.Throwable[] throwable_array27 = noBracketingException4.getSuppressed();
    java.lang.Throwable[] throwable_array28 = noBracketingException4.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError29 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d30 = noBracketingException4.getLo();
    double d31 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str23.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test123"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.04597354534407794d, number2, false);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test124"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.09872785980682638d, 2.294863552958379d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.35876205201404815d));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test125"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d13 = noBracketingException12.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable14, obj_array16);
    noBracketingException12.addSuppressed((java.lang.Throwable)mathArithmeticException17);
    java.lang.String str19 = noBracketingException12.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext20 = noBracketingException12.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError21 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException12);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext22 = mathInternalError21.getContext();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException32 = new org.apache.commons.math.exception.MathArithmeticException(localizable29, obj_array31);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException33 = new org.apache.commons.math.exception.NullArgumentException(localizable28, obj_array31);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException34 = new org.apache.commons.math.exception.MathArithmeticException(localizable27, obj_array31);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException35 = new org.apache.commons.math.exception.NullArgumentException(localizable26, obj_array31);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)100.0d, obj_array31);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError21, localizable23, obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, obj_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array31);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver2, localizable5, obj_array31);
    double d41 = bracketingNthOrderBrentSolver2.getMax();
    int i42 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str19.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 100);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test126"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, (java.lang.Number)(-100L), false);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.017002252606652002d, 0.09620060950435558d, 6.6174449004242214E-24d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test128"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, (java.lang.Number)1.5674707079237922d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test129"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(6.283185307179586d, 0.0d, 0.0014246977606262186d, 1.7185730329470916d);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d14 = noBracketingException13.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable15, obj_array17);
    noBracketingException13.addSuppressed((java.lang.Throwable)mathArithmeticException18);
    java.lang.String str20 = noBracketingException13.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d26 = noBracketingException25.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math.exception.MathArithmeticException(localizable27, obj_array29);
    noBracketingException25.addSuppressed((java.lang.Throwable)mathArithmeticException30);
    java.lang.String str32 = noBracketingException25.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext33 = noBracketingException25.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError34 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException25);
    noBracketingException13.addSuppressed((java.lang.Throwable)noBracketingException25);
    java.lang.Throwable[] throwable_array36 = noBracketingException13.getSuppressed();
    java.lang.Throwable[] throwable_array37 = noBracketingException13.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, (java.lang.Object[])throwable_array37);
    org.apache.commons.math.exception.MathInternalError mathInternalError39 = new org.apache.commons.math.exception.MathInternalError(localizable7, (java.lang.Object[])throwable_array37);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException4, localizable5, (java.lang.Object[])throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str20.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str32.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test130"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-1.7976931348623157E308d));
    java.lang.Number number4 = notStrictlyPositiveException3.getMin();
    java.lang.Throwable[] throwable_array5 = notStrictlyPositiveException3.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException6 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.8329441694248019d, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test131"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.7853981639957888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1932800520503437d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test132"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-50));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = tooManyEvaluationsException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-50)+ "'", number2.equals((-50)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test133"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0d, 7.408586791540946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test134"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(2.424995582117681d, 1.2334031175112175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1002759108296012d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test135"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-1.4336293856408293d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test136"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-4L), 75L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4L));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test137"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.9620037996444782d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9620037996444782d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test138"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.8012455901061005d, 16.8474359784123d, 0.7797939183542818d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test139"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array12 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException(localizable5, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.5457655847649504d, 0.45899522600203246d, 0.5165517449964557d, (-2.6760087193979437E-14d), (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test140"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction3 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(21.766990071586857d, 0.6441559968846773d, 1.2947690041106148d, 1074790400);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver14 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d23 = bracketingNthOrderBrentSolver22.getAbsoluteAccuracy();
    double d24 = bracketingNthOrderBrentSolver22.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction29 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver32 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d33 = bracketingNthOrderBrentSolver32.getAbsoluteAccuracy();
    double d34 = bracketingNthOrderBrentSolver32.getRelativeAccuracy();
    int i35 = bracketingNthOrderBrentSolver32.getMaximalOrder();
    int i36 = bracketingNthOrderBrentSolver32.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction41 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d45 = bracketingNthOrderBrentSolver44.getMin();
    double d46 = bracketingNthOrderBrentSolver44.getStartValue();
    double d47 = bracketingNthOrderBrentSolver44.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction52 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d56 = bracketingNthOrderBrentSolver55.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution60 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d61 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction52, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver55, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution60);
    double d62 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction41, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution60);
    double d63 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction29, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver32, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution60);
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction19, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver22, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution60);
    double d65 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(20, univariateFunction13, bracketedUnivariateRealSolver14, 10.933248970779042d, 5.624643559664547E-8d, 0.9999999986400665d, allowedSolution60);
    double d66 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1023), univariateFunction3, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 709.782712893384d, 0.3513027308935902d, 617.4636473355763d, allowedSolution60);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction71 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver76 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.01983792679107154d, 0.9268985458126054d, (-1.660312661548602d), 3);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction81 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver85 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d86 = bracketingNthOrderBrentSolver85.getFunctionValueAccuracy();
    double d87 = bracketingNthOrderBrentSolver85.getFunctionValueAccuracy();
    double d88 = bracketingNthOrderBrentSolver85.getMin();
    int i89 = bracketingNthOrderBrentSolver85.getMaximalOrder();
    double d90 = bracketingNthOrderBrentSolver85.getRelativeAccuracy();
    int i91 = bracketingNthOrderBrentSolver85.getEvaluations();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution95 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d96 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction81, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver85, 0.977221969510063d, 1.8452701486440284d, 1.9377047211159066E-18d, allowedSolution95);
    double d97 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction71, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver76, 2.220446049250313E-16d, 1.4713043411171929d, 2.8818598552420744d, allowedSolution95);
    double d98 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(488428165, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 1.5688951291829785d, (-0.49235999999999996d), 0.10080968079606176d, allowedSolution95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 10.933248970779042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 709.782712893384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.977221969510063d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 1.5688951291829785d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test141"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d9 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d10 = bracketingNthOrderBrentSolver2.getMin();
    double d11 = bracketingNthOrderBrentSolver2.getMax();
    double d12 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test142"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.17984509226152856d, (java.lang.Number)1061914504, false);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test143"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.016339474440304515d, number2, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test144"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.6094379124341003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.028089990678399235d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test145"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)2.1705854246435927d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test146"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.201921415304904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.201921415304904d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test147"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.19240232101240598d, 0.2867344989978307d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test148"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta((-0.03696315229864544d), (-0.9899924966004454d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9899924966004455d));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test149"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)40880.4022593672d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test150"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(9.536745E-7f, 20.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test151"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, 1416069018);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test152"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-1.0345114944543885d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test153"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.incrementCount(1);
    boolean b4 = incrementor1.canIncrement();
    incrementor1.resetCount();
    incrementor1.resetCount();
    incrementor1.incrementCount();
    incrementor1.setMaximalCount(6);
    int i10 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 6);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test154"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)3.0d, (java.lang.Number)1.4944062507641411d, true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test155"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-44L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 44L);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test156"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    int i8 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d17 = bracketingNthOrderBrentSolver16.getMin();
    double d18 = bracketingNthOrderBrentSolver16.getStartValue();
    double d19 = bracketingNthOrderBrentSolver16.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction24 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d28 = bracketingNthOrderBrentSolver27.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution32 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d33 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction24, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver27, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution32);
    double d34 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction13, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver16, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution32);
    double d35 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution32);
    double d36 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i37 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 100);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.07659581863085893d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07652094368237962d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test158"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver3.solve((-94), univariateFunction7, 1.0986122886681098d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 4.440892098500626E-16d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test159"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(6.213198407749662E24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test160"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, (-1.9432977288328401d), 0.0962011605062032d, (-1.617819728660215E-6d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test161"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.5595106570525964d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1532517103);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test162"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i4 = bracketingNthOrderBrentSolver3.getEvaluations();
    double d5 = bracketingNthOrderBrentSolver3.getStartValue();
    double d6 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable14, obj_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable13, obj_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable12, obj_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException(localizable11, obj_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException(localizable10, obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array16);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver3, localizable7, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test163"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(10.000004f, 0.0f, (-1129954258));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test164"); }


    float f2 = org.apache.commons.math.util.Precision.round((-1.1920926E-7f), (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test165"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.03663072389459554d, (java.lang.Number)0.5742794794383551d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.5742794794383551d+ "'", number4.equals(0.5742794794383551d));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test166"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.8E-45f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test167"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    double d8 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test168"); }


    float f2 = org.apache.commons.math.util.FastMath.min(9.0071993E15f, (-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.0f));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test169"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.525879E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-16));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test170"); }


    double d2 = org.apache.commons.math.util.FastMath.min(2.5346958487132123d, 31.27006461052105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5346958487132123d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test171"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)100.0d, (java.lang.Number)3, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException13 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable9, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number14 = numberIsTooLargeException13.getMax();
    java.lang.Throwable[] throwable_array15 = numberIsTooLargeException13.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable19, obj_array21);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException(localizable18, obj_array21);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math.exception.NullArgumentException(localizable17, obj_array21);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException13, localizable16, obj_array21);
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(localizable4, 0.03124999998130185d, (-1.1521225314292316d), 0.0d, 0.6498256797192261d, obj_array21);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)noBracketingException26);
    java.lang.Number number28 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 100.0d+ "'", number14.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 3+ "'", number28.equals(3));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test172"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.010656566016523353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test173"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.03663072389459554d, (-0.3407866120517964d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03663072389459554d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test174"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.2204460492503136E-16d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    java.lang.String str3 = maxCountExceededException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 2.2204460492503136E-16d+ "'", number2.equals(2.2204460492503136E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (0) exceeded"+ "'", str3.equals("org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (0) exceeded"));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test175"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver2.solve(2075393087, univariateFunction7, 0.0d, 1.1871751393550873d, (-0.7323676290027762d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test176"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-3));
    int i2 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test177"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-14.000000000000002d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test178"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(20.0f, (-4.9999995f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-20.0f));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test179"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException7 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d8 = noBracketingException7.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    noBracketingException7.addSuppressed((java.lang.Throwable)mathArithmeticException12);
    java.lang.String str14 = noBracketingException7.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d20 = noBracketingException19.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array23);
    noBracketingException19.addSuppressed((java.lang.Throwable)mathArithmeticException24);
    java.lang.String str26 = noBracketingException19.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext27 = noBracketingException19.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException19);
    noBracketingException7.addSuppressed((java.lang.Throwable)noBracketingException19);
    java.lang.Throwable[] throwable_array30 = noBracketingException7.getSuppressed();
    java.lang.Throwable[] throwable_array31 = noBracketingException7.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException33 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-1L), (java.lang.Object[])throwable_array31);
    java.lang.Number number34 = maxCountExceededException33.getMax();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext35 = maxCountExceededException33.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str14.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str26.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (-1L)+ "'", number34.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext35);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test180"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-938193547), (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test181"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(128, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test182"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.021135928487469813d, (-1.5700718678811871d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5700718678811871d));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test183"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(573.9295728639158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.4970433536009762d));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test184"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9999985816919765d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test185"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.2594018252992863d), 2.2512426510735186d, 0.6441559968846774d, (-2075393087));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test186"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.9781007107631878d, 0.1883886210341682d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9781007107631878d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test187"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.6645052516391591d, (java.lang.Number)0.8132760197326263d, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException4, localizable5, obj_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test188"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.05956037045817029d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05949004134996307d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test189"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-2147483648), maxCountExceededCallback1);
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test190"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.36787944117144233d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test191"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.7182818247623624d, 1.5507672619675938d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test192"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(3.323252100171687d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test193"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.7309690047944842d, 48.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.9319069038459415E-7d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test194"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0E-15d, (java.lang.Number)0.0216455155683793d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.0E-15d+ "'", number4.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test195"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1), maxCountExceededCallback1);
    incrementor2.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount(99);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test196"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.9268985458126054d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test197"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(3.578532020160986d, 0.8714479827243188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.6831118644309124d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test198"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(5.877472E-38f, 9.8E-45f, (-2147483648));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test199"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.10215522522567919d), 3.141592653589793d, 0.0d, 2);
    double d5 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.0038848218538876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7873368062499204d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test201"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(308.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.75331341669382d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test202"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-1.612732820406373E16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-252650.87583447277d));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test203"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)15.556391531744866d);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    java.lang.Number number3 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 15.556391531744866d+ "'", number2.equals(15.556391531744866d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 15.556391531744866d+ "'", number3.equals(15.556391531744866d));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test204"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(6.977693868911403d, 2.4756511818383773d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4492596766037291d));

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test205"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.442520088725009d, 2.8307014150063525E200d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test206"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0147942791328008d, (-20));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test207"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(8.120519892230089d, 0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test208"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0L, number1, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooLargeException3.getContext();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d12 = noBracketingException11.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    noBracketingException11.addSuppressed((java.lang.Throwable)mathArithmeticException16);
    java.lang.String str18 = noBracketingException11.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = noBracketingException11.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException11);
    java.lang.Throwable[] throwable_array21 = mathInternalError20.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException3, localizable6, (java.lang.Object[])throwable_array21);
    java.lang.Number number23 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0L+ "'", number4.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str18.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test209"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.8837527311976849d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test210"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, (-3L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3L));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test211"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.5258789E-5f, 1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.5258789E-5f);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test212"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)34.44861137684816d, (java.lang.Number)0.99999976f, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.99999976f+ "'", number5.equals(0.99999976f));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test213"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution9);
    double d11 = bracketingNthOrderBrentSolver4.getMax();
    int i12 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i13 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction15 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = bracketingNthOrderBrentSolver4.solve((-982654076), univariateFunction15, 0.05956037045817028d, 2.8818598552420744d, allowedSolution18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test214"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.04594118331605845d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.35815200965351174d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test215"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)3.4681728683181774d, false);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test216"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.4E-45f, 5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test217"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.9961671213448551d, 0.8356124416466009d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test218"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.13693861549157732d, obj_array1);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test219"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.1926750194873082E-7d, 1.9589737975683887d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04217946995420697d));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test220"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)(byte)10, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, obj_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable1, obj_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array8);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str15 = mathInternalError14.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test221"); }


    float f3 = org.apache.commons.math.util.Precision.round(0.0f, 1459933199, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test222"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.04469090354428662d, 184331630, (-306326488));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test223"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.5031613234837805d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test224"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.657299982773468d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test225"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.4042480473021717E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test226"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.09649958916390793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0016842355577320353d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test227"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign(20441L, 20441L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 20441L);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test228"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.0014236848035536083d, 0.0d, (-546842740));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test229"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.9603530509983645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.612618698257105d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test230"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1677026214, maxCountExceededCallback1);
    incrementor2.resetCount();

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.014251078308965518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.8461522734859308d));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(10.74417423665706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 615.5958381136425d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test233"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-5.6E-45f), (-20.0f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test234"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.9999998f));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-0.9999998f)+ "'", number2.equals((-0.9999998f)));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test235"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-7.555786E22f), 10.000003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test236"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.setMaximalCount(544048009);
    boolean b5 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test237"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, (-0.02330895037910384d), 0.05952521210335033d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test238"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.033502236306735565d, (java.lang.Number)1.3862943611198906d, true);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test239"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.659416762831612d, 0.9738483407794375d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test240"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(3.5303498865114324d, 2.7339359660124503d, 77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test241"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0000521537062224d, 0.0d, 1.1583340157739697d, 160);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test242"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.0d, 35.54407871142801d, 1847673983);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test243"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.8591409142295225d);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    java.lang.Throwable[] throwable_array4 = maxCountExceededException2.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0.8591409142295225d+ "'", number3.equals(0.8591409142295225d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test244"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.12576804538603523d, 4);
    double d3 = bracketingNthOrderBrentSolver2.getStartValue();
    double d4 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.12576804538603523d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test245"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1711358670, 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1711358670);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test246"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.354991354769479d, 0.07360951442420828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.013056217351562385d));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test247"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getMax();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d9 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-1.0d));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test248"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)40880.4022593672d, obj_array2);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = maxCountExceededException3.getContext();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array16 = noBracketingException15.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError17 = new org.apache.commons.math.exception.MathInternalError(localizable10, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable9, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable7, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)maxCountExceededException3, localizable5, (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test249"); }


    float f2 = org.apache.commons.math.util.Precision.round(1.0000002f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test250"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.9999999f), (java.lang.Number)1.3877787807814457E-17d, false);
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test251"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.1936178595671423d, 1.1364210964124613d, 1824204071);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.2115204340329568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 69.41500766394608d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test253"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-3.4028235E38f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.028241E31f);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test254"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d12 = noBracketingException11.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    noBracketingException11.addSuppressed((java.lang.Throwable)mathArithmeticException16);
    java.lang.String str18 = noBracketingException11.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = noBracketingException11.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException11);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext21 = mathInternalError20.getContext();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math.exception.MathArithmeticException(localizable28, obj_array30);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException32 = new org.apache.commons.math.exception.NullArgumentException(localizable27, obj_array30);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException33 = new org.apache.commons.math.exception.MathArithmeticException(localizable26, obj_array30);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException34 = new org.apache.commons.math.exception.NullArgumentException(localizable25, obj_array30);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException35 = new org.apache.commons.math.exception.MaxCountExceededException(localizable23, (java.lang.Number)100.0d, obj_array30);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError20, localizable22, obj_array30);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, obj_array30);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException38 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.361131407770622d, obj_array30);
    org.apache.commons.math.exception.NoBracketingException noBracketingException39 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 4.201356810137797d, 54.71533675390604d, 0.0d, 0.0d, obj_array30);
    double d40 = noBracketingException39.getFHi();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError41 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str18.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test255"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, 7.3484692283495345d, (-0.5698251857176286d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test256"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.0992125657084372d, 0.7705217081952823d, 1.1871751393550873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4530808427439146d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.0692859859287676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8768574652428865d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test258"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.5147970990590502d, 0.0d, 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(3.5303498865114324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 202.2741487015942d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test260"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 2104.863625456296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test261"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(20.0f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 19.999998f);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test262"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(96.02236028657777d, 0.5143952585235493d, 0.026931837676745007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.31791036352084856d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test263"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-5.6E-45f), 5.8774723E-38f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test264"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.6947506487576602d), (java.lang.Number)0.11534822693990177d, false);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test265"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(26.602433607413708d, (-0.5106007697635366d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test266"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.031743407479810984d, 1.3407807929942596E154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-102.8649663546518d));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test267"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.6483608274590866d), 2.1705854246435927d, 1023);
    double d4 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver3.solve(1711358670, univariateFunction6, 0.8012455901061005d, 0.014685911293911318d, 1.4742143325035026d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.6483608274590866d));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test268"); }


    double d2 = org.apache.commons.math.util.FastMath.min(4.0711099922733015E-13d, 1.7621186826519104d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.0711099922733015E-13d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test269"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getMax();
    double d2 = bracketingNthOrderBrentSolver0.getRelativeAccuracy();
    double d3 = bracketingNthOrderBrentSolver0.getMin();
    double d4 = bracketingNthOrderBrentSolver0.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test270"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.8814104647780469d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test271"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.5959154518616222d, 4.009359889966154d, 1.043586521219505d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test272"); }


    float f2 = org.apache.commons.math.util.Precision.round(5.0000005f, (-196194443));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test273"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(7.805231219998515E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test274"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.49235999999999996d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4575169502810756d));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test275"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, (-0.27104049227793386d), 0.6607184703884532d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test276"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-1.660312661548602d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test277"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-0.9999998f), 1.4742143325035029d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999976f));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test278"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0014246977606262186d, (-0.4958415675549641d), 0.32461025431164964d, 2.9999999999999996d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test279"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.0463800827681644d, 289169781);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test280"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d10 = noBracketingException9.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array13);
    noBracketingException9.addSuppressed((java.lang.Throwable)mathArithmeticException14);
    java.lang.String str16 = noBracketingException9.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d22 = noBracketingException21.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array25);
    noBracketingException21.addSuppressed((java.lang.Throwable)mathArithmeticException26);
    java.lang.String str28 = noBracketingException21.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext29 = noBracketingException21.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError30 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException21);
    noBracketingException9.addSuppressed((java.lang.Throwable)noBracketingException21);
    java.lang.Throwable[] throwable_array32 = noBracketingException9.getSuppressed();
    java.lang.Throwable[] throwable_array33 = noBracketingException9.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException34 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, number4, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException35 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException36 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str16.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str28.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test281"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(23.409177512495564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 23.0d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test282"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.9127257780192456d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test283"); }


    float f2 = org.apache.commons.math.util.FastMath.min(8.4E-45f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test284"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-3.5900433801354933E-9d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.57079633038494d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test285"); }


    byte byte2 = org.apache.commons.math.util.MathUtils.copySign((byte)(-1), (byte)(-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-1));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test286"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 4.768372E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test287"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.05677609964731545d, 1.508488924012369d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.508488924012369d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test288"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.4492596766037291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 390589259);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test289"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.06598346796880483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9978238806849378d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test290"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i9 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d10 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794897d, (-0.2628512484720843d), 1753944293);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d31 = bracketingNthOrderBrentSolver30.getAbsoluteAccuracy();
    double d32 = bracketingNthOrderBrentSolver30.getRelativeAccuracy();
    double d33 = bracketingNthOrderBrentSolver30.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d42 = bracketingNthOrderBrentSolver41.getAbsoluteAccuracy();
    int i43 = bracketingNthOrderBrentSolver41.getMaxEvaluations();
    int i44 = bracketingNthOrderBrentSolver41.getMaxEvaluations();
    double d45 = bracketingNthOrderBrentSolver41.getFunctionValueAccuracy();
    int i46 = bracketingNthOrderBrentSolver41.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction51 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver54 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d55 = bracketingNthOrderBrentSolver54.getMin();
    double d56 = bracketingNthOrderBrentSolver54.getStartValue();
    double d57 = bracketingNthOrderBrentSolver54.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction62 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver65 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d66 = bracketingNthOrderBrentSolver65.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution70 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d71 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction62, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver65, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution70);
    double d72 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction51, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver54, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution70);
    double d73 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-4733595), univariateFunction38, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver41, (-0.1808246978710647d), 1.5430806334089027d, 1.2620969565005382d, allowedSolution70);
    double d74 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(128, univariateFunction27, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver30, 1.5707963267948948d, (-0.06598346796880483d), 0.0d, allowedSolution70);
    double d75 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1967717439), univariateFunction17, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, (-2.6760087193979796E-14d), 1.5112711146915472d, 0.5742794794383551d, allowedSolution70);
    // The following exception was thrown during execution in test generation
    try {
      double d76 = bracketingNthOrderBrentSolver2.solve(50, univariateFunction12, 3.4051704716637365d, (-1.1978933801548213d), 0.2817050713135594d, allowedSolution70);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == (-0.1808246978710647d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.5707963267948948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == (-2.6760087193979796E-14d));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test291"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 8.018249111275097E-4d, 1.9377047211159066E-18d, 0.03124999998130186d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test292"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = bracketingNthOrderBrentSolver2.solve(458693509, univariateFunction9, 0.8253734512776357d, 100.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test293"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array12 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.1798534997924781d), (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError(localizable3, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.181204670080331d, (java.lang.Object[])throwable_array12);
    java.lang.Throwable throwable19 = null;
    // The following exception was thrown during execution in test generation
    try {
      maxCountExceededException18.addSuppressed(throwable19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test294"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.690587889708895E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test295"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)4.2E-45f);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test296"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = noBracketingException4.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.util.Incrementor incrementor16 = new org.apache.commons.math.util.Incrementor(100);
    incrementor16.resetCount();
    incrementor16.incrementCount();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d27 = noBracketingException26.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math.exception.MathArithmeticException(localizable28, obj_array30);
    noBracketingException26.addSuppressed((java.lang.Throwable)mathArithmeticException31);
    java.lang.String str33 = noBracketingException26.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException38 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d39 = noBracketingException38.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException43 = new org.apache.commons.math.exception.MathArithmeticException(localizable40, obj_array42);
    noBracketingException38.addSuppressed((java.lang.Throwable)mathArithmeticException43);
    java.lang.String str45 = noBracketingException38.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext46 = noBracketingException38.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError47 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException38);
    noBracketingException26.addSuppressed((java.lang.Throwable)noBracketingException38);
    java.lang.Throwable[] throwable_array49 = noBracketingException26.getSuppressed();
    java.lang.Throwable[] throwable_array50 = noBracketingException26.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, (java.lang.Object[])throwable_array50);
    org.apache.commons.math.exception.MathInternalError mathInternalError52 = new org.apache.commons.math.exception.MathInternalError(localizable20, (java.lang.Object[])throwable_array50);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor16, localizable19, (java.lang.Object[])throwable_array50);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError13, localizable14, (java.lang.Object[])throwable_array50);
    org.apache.commons.math.exception.MathInternalError mathInternalError55 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str33.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str45.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array50);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test297"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.019837926791071537d, (-1330741599));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test298"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(4.3765490441485964E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1260099400);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test299"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.6794499366252276d, (-0.5595106570525963d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5595106570525963d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test300"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1628225011, 1070449601);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1070449601);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test301"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.0d, (-39));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test302"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.8491662531839053d, 0.9592599811162651d, 0.0d, (-94));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test303"); }


    java.lang.Number number0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, number1, true);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test304"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.14270759964685126d, 1.5507672619675938d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.14270759964685126d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test305"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.20845703534890703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21155774352434895d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test306"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794897d, (-0.2628512484720843d), 1753944293);
    double d6 = bracketingNthOrderBrentSolver5.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d16 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d18 = bracketingNthOrderBrentSolver15.getMin();
    int i19 = bracketingNthOrderBrentSolver15.getMaximalOrder();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution23 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d24 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 21.766990071586857d, 22.45915771836105d, 2.718281828459045d, allowedSolution23);
    double d25 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-66745701), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, 0.9325533535582513d, 2.2250738585072014E-308d, 1.0215608260008333d, allowedSolution23);
    double d26 = bracketingNthOrderBrentSolver5.getFunctionValueAccuracy();
    int i27 = bracketingNthOrderBrentSolver5.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 21.766990071586857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9325533535582513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test307"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0d, 0.6795226183514523d, 2.5015390969380173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.6158335491017698d, (-1023), 414779610);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test309"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1023, 1416069018);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1416069018);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test310"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.99999994f);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test311"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(160.00006f, 0.625f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.998412776093339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test313"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)6.283185307179586d, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)0.9999999999999385d, obj_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException20 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable16, (java.lang.Number)0.1900795402463152d, (java.lang.Number)0.0216455155683793d, false);
    nullArgumentException15.addSuppressed((java.lang.Throwable)numberIsTooLargeException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test314"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), 20441L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 20441L);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test315"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-3.8834864931005E-310d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test316"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.6487212707001282d, 0.4772541442800948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6487212707001282d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test317"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    int i8 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i9 = bracketingNthOrderBrentSolver2.getEvaluations();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver2, localizable10, obj_array11);
    double d13 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-14d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test318"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.3706880152422993d, 0.8965919212381933d, 1.5112359063976333d, (-66745701));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test319"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(8.09797569001347E-8d, (-1.095656330774301d), (-3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test320"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d16 = noBracketingException15.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable17, obj_array19);
    noBracketingException15.addSuppressed((java.lang.Throwable)mathArithmeticException20);
    java.lang.String str22 = noBracketingException15.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext23 = noBracketingException15.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError24 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException15);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext25 = mathInternalError24.getContext();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException35 = new org.apache.commons.math.exception.MathArithmeticException(localizable32, obj_array34);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException36 = new org.apache.commons.math.exception.NullArgumentException(localizable31, obj_array34);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException37 = new org.apache.commons.math.exception.MathArithmeticException(localizable30, obj_array34);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException38 = new org.apache.commons.math.exception.NullArgumentException(localizable29, obj_array34);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException39 = new org.apache.commons.math.exception.MaxCountExceededException(localizable27, (java.lang.Number)100.0d, obj_array34);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError24, localizable26, obj_array34);
    org.apache.commons.math.exception.NoBracketingException noBracketingException41 = new org.apache.commons.math.exception.NoBracketingException(localizable6, 0.6483608274590866d, 1.1102230246251565E-16d, 0.0d, 2.1162472688021303d, obj_array34);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException48 = new org.apache.commons.math.exception.MathArithmeticException(localizable45, obj_array47);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException49 = new org.apache.commons.math.exception.NullArgumentException(localizable44, obj_array47);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException(localizable43, obj_array47);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.6483608274590866d, localizable42, obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException52 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array47);
    org.apache.commons.math.exception.NoBracketingException noBracketingException53 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.5480589840025838d, 0.6126559948867825d, 108.71394377671677d, 23.40917751249556d, obj_array47);
    double d54 = noBracketingException53.getFLo();
    double d55 = noBracketingException53.getHi();
    double d56 = noBracketingException53.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str22.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 108.71394377671677d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.6126559948867825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.6126559948867825d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test321"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-0.5644683957820246d), 264.42692755923935d, 0.7545328204114744d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(8.41056207891549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4524537823934123d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test323"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign(100L, 20441L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test324"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1.1936178595671423d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test325"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(5.960465E-8f, 990640803, (-2));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test326"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(100.00001f, 5.0000005f, (-2147483648));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test327"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(4.2E-45f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test328"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.6607184703884532d, 0.1838718219049962d, (-918077825));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test329"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.9095456202175803d, 1860829786, (-320));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test330"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.8505416884118546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.26729887318865225d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.035402990901198625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.036037138223852135d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test332"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.3154543873337218d), 0.0d, 4.089724318634859d, 488428165);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test333"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9999999999999996d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = notStrictlyPositiveException1.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test334"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.7797939183542818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9888538589282337d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test335"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1560231315);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test336"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(7.3484692283495345d, 1.0215608260008333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test337"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.4210854715202004E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000142d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test338"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(2.5260025556195434E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.40870615093523E-310d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test339"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1.0d), number1, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test340"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.07374182E9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.07374195E9f);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test341"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d6 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver14 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d23 = bracketingNthOrderBrentSolver22.getAbsoluteAccuracy();
    double d24 = bracketingNthOrderBrentSolver22.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction29 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver32 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d33 = bracketingNthOrderBrentSolver32.getAbsoluteAccuracy();
    double d34 = bracketingNthOrderBrentSolver32.getRelativeAccuracy();
    int i35 = bracketingNthOrderBrentSolver32.getMaximalOrder();
    int i36 = bracketingNthOrderBrentSolver32.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction41 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d45 = bracketingNthOrderBrentSolver44.getMin();
    double d46 = bracketingNthOrderBrentSolver44.getStartValue();
    double d47 = bracketingNthOrderBrentSolver44.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction52 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d56 = bracketingNthOrderBrentSolver55.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution60 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d61 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction52, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver55, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution60);
    double d62 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction41, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution60);
    double d63 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction29, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver32, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution60);
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction19, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver22, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution60);
    double d65 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(20, univariateFunction13, bracketedUnivariateRealSolver14, 10.933248970779042d, 5.624643559664547E-8d, 0.9999999986400665d, allowedSolution60);
    // The following exception was thrown during execution in test generation
    try {
      double d66 = bracketingNthOrderBrentSolver2.solve(437216292, univariateFunction8, 0.08565001157878403d, 0.569234812526212d, 0.09590602781062353d, allowedSolution60);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 10.933248970779042d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test342"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(44L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 44L);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test343"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.019495711462083d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.019495711462083d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.014685911293911318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9998921639428919d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test345"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.718281828459045d);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException8 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array9 = noBracketingException8.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable3, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException1, localizable2, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = maxCountExceededException1.getContext();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array24 = noBracketingException23.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.1798534997924781d), (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable17, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(localizable16, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError(localizable15, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.MathInternalError mathInternalError29 = new org.apache.commons.math.exception.MathInternalError(localizable14, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException1, localizable13, (java.lang.Object[])throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test346"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-1.2676506E30f), 1.19209275E-7f, 1532517103);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test347"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)54.71533675390604d, (java.lang.Number)0.11905811950055678d, false);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test348"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test349"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver4.getStartValue();
    double d7 = bracketingNthOrderBrentSolver4.getMin();
    double d8 = bracketingNthOrderBrentSolver4.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getRelativeAccuracy();
    int i19 = bracketingNthOrderBrentSolver16.getMaximalOrder();
    int i20 = bracketingNthOrderBrentSolver16.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d29 = bracketingNthOrderBrentSolver28.getMin();
    double d30 = bracketingNthOrderBrentSolver28.getStartValue();
    double d31 = bracketingNthOrderBrentSolver28.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction36 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver39 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d40 = bracketingNthOrderBrentSolver39.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution44 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d45 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction36, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver39, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution44);
    double d46 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction25, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver28, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution44);
    double d47 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction13, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver16, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution44);
    double d48 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1535368092), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 6.938893903907228E-18d, (-0.1808400169854985d), 2.524630659933467d, allowedSolution44);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction50 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d54 = bracketingNthOrderBrentSolver4.solve(77, univariateFunction50, 1.4366287050963582d, (-3.9201596790033064d), 20440.701141914098d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 6.938893903907228E-18d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test350"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0L, number1, true);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = numberIsTooLargeException3.getContext();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test351"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.5395412383141085d, 0.30657918116474375d, (-320));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test352"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.0f, 1.511157E23f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test353"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test354"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array13 = noBracketingException12.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)(-0.046362508849239426d), (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable5, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.13578560152628386d, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)0.6017845969374815d, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test355"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver11 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d12 = bracketingNthOrderBrentSolver11.getAbsoluteAccuracy();
    double d13 = bracketingNthOrderBrentSolver11.getRelativeAccuracy();
    double d14 = bracketingNthOrderBrentSolver11.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d24 = bracketingNthOrderBrentSolver23.getStartValue();
    double d25 = bracketingNthOrderBrentSolver23.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction30 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d34 = bracketingNthOrderBrentSolver33.getMin();
    double d35 = bracketingNthOrderBrentSolver33.getStartValue();
    double d36 = bracketingNthOrderBrentSolver33.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction41 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d45 = bracketingNthOrderBrentSolver44.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution49 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction41, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution49);
    double d51 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction30, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver33, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution49);
    double d52 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction19, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver23, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution49);
    double d53 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(874941345, univariateFunction8, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver11, 1.2626272556789118d, 0.18077974711318837d, (-3.8834864931005E-310d), allowedSolution49);
    double d54 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(414779610, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver2, 0.031249999981301856d, 0.7594766388215944d, 0.662169350517265d, allowedSolution49);
    double d55 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction57 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d59 = bracketingNthOrderBrentSolver2.solve(1021313028, univariateFunction57, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.031249999981301856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0E-6d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test356"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)(-0.8716108494320908d), false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test357"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.9890234934127923d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test358"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.8E-45f, (java.lang.Number)0.336791811100303d, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test359"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.0457045863685683d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test360"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-1.617819728660215E-6d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.99999838218158d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test361"); }


    float f2 = org.apache.commons.math.util.Precision.round(0.0f, (-1628225011));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test362"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(15.81011665143969d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 15.81011665143969d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test363"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 5.38838682868946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test364"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.2206771855237823E7d, 2.094732618289054d, 1.5248874823788414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test365"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.9324595420176324d, 0.4923582556865319d, 1560231314);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test366"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.9998921639425575d, 32, (-48));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test367"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.43018131198640075d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test368"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1022, maxCountExceededCallback1);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test369"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.10871175535278678d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10914205034707722d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test370"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 1.1591352334984135d, 1.272221872585407E-14d, 9.925283346171307d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test371"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)10.0d, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.022037002837017282d, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 3.1003275537854505E-17d, 3.1003275537854505E-17d, 0.0d, 8.29993155847868d, obj_array12);
    double d18 = noBracketingException17.getFLo();
    double d19 = noBracketingException17.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 8.29993155847868d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test372"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.9620037996444782d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test373"); }


    double d2 = org.apache.commons.math.util.FastMath.max(6672697.0d, 1.4901161082825359E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6672697.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test374"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-9.999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.999998f);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test375"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.04470578766139398d, 1.2152703781977399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2160923894076894d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test376"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable8, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)(byte)10, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array11);
    org.apache.commons.math.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.659416762831612d, 4.440892098500627E-16d, 0.0d, 0.5755052248100898d, obj_array11);
    double d17 = noBracketingException16.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.5755052248100898d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.3626208515259908d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4370908851185793d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test378"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-44L), 44L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 44L);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test379"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.0016842234623571349d, 1.0474354728514041d, 1.57079633038494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.1362047884914964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3690593292297275d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test381"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d13 = noBracketingException12.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable14, obj_array16);
    noBracketingException12.addSuppressed((java.lang.Throwable)mathArithmeticException17);
    java.lang.String str19 = noBracketingException12.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d25 = noBracketingException24.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math.exception.MathArithmeticException(localizable26, obj_array28);
    noBracketingException24.addSuppressed((java.lang.Throwable)mathArithmeticException29);
    java.lang.String str31 = noBracketingException24.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext32 = noBracketingException24.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError33 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException24);
    noBracketingException12.addSuppressed((java.lang.Throwable)noBracketingException24);
    java.lang.Throwable[] throwable_array35 = noBracketingException12.getSuppressed();
    java.lang.Throwable[] throwable_array36 = noBracketingException12.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.MathInternalError mathInternalError38 = new org.apache.commons.math.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.NoBracketingException noBracketingException39 = new org.apache.commons.math.exception.NoBracketingException(localizable1, (-1.0d), 0.6441559968846773d, (-5.906116630522001E-10d), 0.0d, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.MathInternalError mathInternalError40 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array36);
    java.lang.Throwable[] throwable_array41 = mathInternalError40.getSuppressed();
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException45 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)5.298292365610485d, (java.lang.Number)3.141592653589793d, true);
    java.lang.String str46 = numberIsTooLargeException45.toString();
    mathInternalError40.addSuppressed((java.lang.Throwable)numberIsTooLargeException45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str19.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str31.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: 5.298 is larger than the maximum (3.142)"+ "'", str46.equals("org.apache.commons.math.exception.NumberIsTooLargeException: 5.298 is larger than the maximum (3.142)"));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test382"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)6.283185307179586d, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)0.9999999999999385d, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array11);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext20 = mathArithmeticException19.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext20);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.492145973774696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0562431030429205d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test384"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)(short)(-100), true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.String str5 = numberIsTooSmallException3.toString();
    boolean b6 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException12 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1.1071487177940904d);
    java.lang.Throwable[] throwable_array13 = notStrictlyPositiveException12.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, (java.lang.Number)9.536744E-7f, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.442520088725009d, (java.lang.Object[])throwable_array13);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)notFiniteNumberException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than the minimum (-100)"+ "'", str5.equals("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than the minimum (-100)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test385"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver2.solve(1753944293, univariateFunction10, 0.0d, 1.1136411843375995d, (-0.04636250884923942d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test386"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test387"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.4131525719605693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test388"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.6816928138142155d, 0.026162748066131135d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test389"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-9223372036854775808L), 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-9223372036854775808L));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test390"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign(53L, 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 53L);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test391"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(874941345);
    incrementor1.incrementCount((-1));
    incrementor1.incrementCount();
    incrementor1.incrementCount((-9));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test392"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.437261805473068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3592584563316247d));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test393"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d6 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test394"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d12 = noBracketingException11.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    noBracketingException11.addSuppressed((java.lang.Throwable)mathArithmeticException16);
    java.lang.String str18 = noBracketingException11.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d24 = noBracketingException23.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable25, obj_array27);
    noBracketingException23.addSuppressed((java.lang.Throwable)mathArithmeticException28);
    java.lang.String str30 = noBracketingException23.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext31 = noBracketingException23.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError32 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException23);
    noBracketingException11.addSuppressed((java.lang.Throwable)noBracketingException23);
    java.lang.Throwable[] throwable_array34 = noBracketingException11.getSuppressed();
    java.lang.Throwable[] throwable_array35 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.MathInternalError mathInternalError37 = new org.apache.commons.math.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor1, localizable4, (java.lang.Object[])throwable_array35);
    int i39 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount((-107));
    incrementor1.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str18.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str30.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 100);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test395"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(3.6501527064785146d, 0.36963425572847936d, 0.04597354534407794d, 0.0d);
    double d5 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.04597354534407794d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test396"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.2817050713135594d, (java.lang.Number)(-10.000002f), false);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test397"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.19240232101240595d, 4.9E-324d, 0.9908489271063229d, 6.977693868911403d);
    double d5 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9908489271063229d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test398"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.37981070303231385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.006628947302228288d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test399"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.01468485558550085d, 289169781);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test400"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-1.1102230246251564E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251564E-16d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test401"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.980045053908839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test402"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d15 = noBracketingException14.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable16, obj_array18);
    noBracketingException14.addSuppressed((java.lang.Throwable)mathArithmeticException19);
    java.lang.String str21 = noBracketingException14.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d27 = noBracketingException26.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math.exception.MathArithmeticException(localizable28, obj_array30);
    noBracketingException26.addSuppressed((java.lang.Throwable)mathArithmeticException31);
    java.lang.String str33 = noBracketingException26.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext34 = noBracketingException26.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError35 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException26);
    noBracketingException14.addSuppressed((java.lang.Throwable)noBracketingException26);
    java.lang.Throwable[] throwable_array37 = noBracketingException14.getSuppressed();
    java.lang.Throwable[] throwable_array38 = noBracketingException14.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])throwable_array38);
    org.apache.commons.math.exception.MathInternalError mathInternalError40 = new org.apache.commons.math.exception.MathInternalError(localizable8, (java.lang.Object[])throwable_array38);
    org.apache.commons.math.exception.NoBracketingException noBracketingException41 = new org.apache.commons.math.exception.NoBracketingException(localizable3, (-1.0d), 0.6441559968846773d, (-5.906116630522001E-10d), 0.0d, (java.lang.Object[])throwable_array38);
    org.apache.commons.math.exception.MathInternalError mathInternalError42 = new org.apache.commons.math.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array38);
    org.apache.commons.math.exception.MathInternalError mathInternalError43 = new org.apache.commons.math.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array38);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException44 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str21.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str33.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test403"); }


    float f3 = org.apache.commons.math.util.Precision.round(4.2E-45f, 0, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.0f);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test404"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.5480589840025839d, 2.542659565913809d, 0.03219278459168398d, 6.6174449004242214E-24d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test405"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-0.08563821959211118d), 1.4042480473021717E10d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.3684374878875819d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9328912357562851d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test407"); }


    float f2 = org.apache.commons.math.util.FastMath.max(5.684342E-14f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.684342E-14f);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.3926508248972538d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9841740108029671d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test409"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.3684374878875819d, 1.5688951291829785d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test410"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.7853981633974484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test411"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test412"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.027944403387911d, 572.9591386324271d, (-2.7755575615628914E-17d), 26.68098304768498d, obj_array5);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-5.560313735352035E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.560313735352035E-17d));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.014685911293911318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.220866660151314d));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test415"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-1.7976931348623157E308d));
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)notStrictlyPositiveException1);
    java.lang.Number number5 = notStrictlyPositiveException1.getMin();
    java.lang.Number number6 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1.7976931348623157E308d)+ "'", number6.equals((-1.7976931348623157E308d)));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.8705283419590265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 49.877599940773514d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test417"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.9744002319929567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9744002319929567d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test418"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(short)100, (java.lang.Number)100.0d, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    org.apache.commons.math.exception.MathInternalError mathInternalError5 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d12 = noBracketingException11.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    noBracketingException11.addSuppressed((java.lang.Throwable)mathArithmeticException16);
    java.lang.String str18 = noBracketingException11.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = noBracketingException11.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException11);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException28 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array29 = noBracketingException28.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError30 = new org.apache.commons.math.exception.MathInternalError(localizable23, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException(localizable22, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError20, localizable21, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError5, localizable6, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext34 = mathInternalError5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str18.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext34);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test419"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d15 = noBracketingException14.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable16, obj_array18);
    noBracketingException14.addSuppressed((java.lang.Throwable)mathArithmeticException19);
    java.lang.String str21 = noBracketingException14.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d27 = noBracketingException26.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math.exception.MathArithmeticException(localizable28, obj_array30);
    noBracketingException26.addSuppressed((java.lang.Throwable)mathArithmeticException31);
    java.lang.String str33 = noBracketingException26.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext34 = noBracketingException26.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError35 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException26);
    noBracketingException14.addSuppressed((java.lang.Throwable)noBracketingException26);
    java.lang.Throwable[] throwable_array37 = noBracketingException14.getSuppressed();
    java.lang.Throwable[] throwable_array38 = noBracketingException14.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException39 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, number9, (java.lang.Object[])throwable_array38);
    java.lang.Throwable[] throwable_array40 = notFiniteNumberException39.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException41 = new org.apache.commons.math.exception.NoBracketingException(localizable3, 0.0d, 1.1510104496201798d, 9.765624988313661E-4d, 0.8165266406141584d, (java.lang.Object[])throwable_array40);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException42 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)20440.701141914098d, (java.lang.Object[])throwable_array40);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException43 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array40);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException44 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str21.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str33.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test420"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(1416069018);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test421"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.27534075772691746d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.27197530663496383d));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.5707963267948957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027415567780803757d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test423"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    double d5 = noBracketingException4.getFHi();
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d7 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.7182818187002955d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test424"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    double d8 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver2.solve((-1967717439), univariateFunction10, (-0.9999999999999999d), (-0.00770381198660899d), 0.4437283569872806d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test425"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.1102230246251564E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251564E-16d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test426"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    double d5 = noBracketingException4.getFHi();
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d7 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-1.0d));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test427"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.4975842506114977d, (-0.35876205201404815d), (-2075393087));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test428"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.0d, 1.0406685520495786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test429"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.8658565965122146d, 0.010656566016523353d, 11.657871198108504d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test430"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)7.314328118404307E-4d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test431"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(4.844261802789766E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-61));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test432"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1824204071), 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1824204071));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test433"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(5.6E-45f, 9.536743E-7f, (-107));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test434"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.32606014966655d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test435"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(572.9579974614729d, 0.9999999986400665d, 1967717439);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.BELOW_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(616827691, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, 0.9882936023323812d, 0.42957045711476627d, 0.9127257780192456d, allowedSolution9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test436"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.8331991018637452d, (java.lang.Number)4.354911728584023d, true);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test437"); }


    float f2 = org.apache.commons.math.util.FastMath.min(160.00006f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 160.00006f);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test438"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.5707963267893024d, 8.120519892230089d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test439"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-1.2676506E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2676506E30f);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test440"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.05949004134996307d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.05949004134996307d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test441"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(2, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    boolean b4 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test442"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(85.88276580347242d, 1.4524537823934123d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test443"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(2.5346958487132123d, 0.9034609537762471d, 1.776356839400252E-15d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test444"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.1924196897025816d, 2.662574264085365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test445"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0000000000000142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test446"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.0964589126177934E-8d, (-0.2867093653683204d), 0.8714479827243188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test447"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getStartValue();
    int i6 = bracketingNthOrderBrentSolver3.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    int i8 = bracketingNthOrderBrentSolver3.getMaximalOrder();
    int i9 = bracketingNthOrderBrentSolver3.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction16 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver19 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(5.0d, 2147483647);
    double d20 = bracketingNthOrderBrentSolver19.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction32 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver35 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d36 = bracketingNthOrderBrentSolver35.getAbsoluteAccuracy();
    double d37 = bracketingNthOrderBrentSolver35.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction42 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d46 = bracketingNthOrderBrentSolver45.getAbsoluteAccuracy();
    double d47 = bracketingNthOrderBrentSolver45.getRelativeAccuracy();
    int i48 = bracketingNthOrderBrentSolver45.getMaximalOrder();
    int i49 = bracketingNthOrderBrentSolver45.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction54 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver57 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d58 = bracketingNthOrderBrentSolver57.getMin();
    double d59 = bracketingNthOrderBrentSolver57.getStartValue();
    double d60 = bracketingNthOrderBrentSolver57.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction65 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver68 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d69 = bracketingNthOrderBrentSolver68.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution73 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d74 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction65, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver68, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution73);
    double d75 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction54, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver57, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution73);
    double d76 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction42, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver45, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution73);
    double d77 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction32, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver35, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution73);
    double d78 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-4733595), univariateFunction25, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver26, 0.12797402175531936d, 1.206457297555837d, 3.295411713871867d, allowedSolution73);
    double d79 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(341642467, univariateFunction16, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver19, (-0.02330895037910384d), 1.1598520536759d, 34.44861137684816d, allowedSolution73);
    // The following exception was thrown during execution in test generation
    try {
      double d80 = bracketingNthOrderBrentSolver3.solve((-1045507690), univariateFunction11, 2.424995582117681d, 0.9936588328974013d, 0.0d, allowedSolution73);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 5.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.12797402175531936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == (-0.02330895037910384d));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test448"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, (-44.17044218281882d), 1.612618698257105d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test449"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-1.0f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test450"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array13 = noBracketingException12.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable7, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable6, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable4, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.8730716413572609d, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.977693868911403d, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test451"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, (-8.345153194998874d), 0.6320128569761164d, 0.673730979244602d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test452"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-320.0001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 8);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test453"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.8121256897955014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 103.82715397251526d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test454"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 7.061152384316786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test455"); }


    float f2 = org.apache.commons.math.util.FastMath.max(6.338254E30f, 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.4028235E38f);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test456"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(3.620890314141886d, (-0.01412077035150059d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test457"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(5.0487098E-29f, 1.5129431652151306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0487104E-29f);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test458"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException5 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d6 = noBracketingException5.getFHi();
    java.lang.Throwable[] throwable_array7 = noBracketingException5.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError8 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = mathInternalError8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test459"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable4, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number9 = numberIsTooLargeException8.getMax();
    java.lang.Throwable[] throwable_array10 = numberIsTooLargeException8.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0L, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)4.9E-324d, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array10);
    java.lang.Throwable[] throwable_array14 = mathInternalError13.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100.0d+ "'", number9.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test460"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable8, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable6, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)(-23), obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test461"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.8253734512776357d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9380302238075081d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test462"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.7182818284588781d, (-2.3413195855264353d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test463"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.046362508849239426d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9546958137727486d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test464"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.5700718678811871d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test465"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMax();
    double d6 = bracketingNthOrderBrentSolver2.getMin();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test466"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.490830200128622d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test467"); }


    double d2 = org.apache.commons.math.util.FastMath.log(36.99781719115092d, 2.4756511818383773d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2510492617569729d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test468"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.9361829248913316d, 0.07360951442420828d, 1.587922296174618d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test469"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.1920932E-7f, 9.999999f, 1.26765045E30f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test470"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i6 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test471"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(4.7683716E-7f, (-5.000001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-4.7683716E-7f));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test472"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.0d, 0.2404597574541821d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test473"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)201.71315737027922d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test474"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)24.0d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test475"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.9620037996444782d, 0.7364536013098865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.897101033961785d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test476"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 437216292);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test477"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.019531248f, (-5.0000005f), 1.2676506E30f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test478"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(114701.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.39364084890441d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test479"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.2152699859518854d, 0.370136072285734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test480"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(5.0487104E-29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-94));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test481"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution9);
    double d11 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d12 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d22 = noBracketingException21.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array25);
    noBracketingException21.addSuppressed((java.lang.Throwable)mathArithmeticException26);
    java.lang.String str28 = noBracketingException21.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException33 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d34 = noBracketingException33.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math.exception.MathArithmeticException(localizable35, obj_array37);
    noBracketingException33.addSuppressed((java.lang.Throwable)mathArithmeticException38);
    java.lang.String str40 = noBracketingException33.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext41 = noBracketingException33.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError42 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException33);
    noBracketingException21.addSuppressed((java.lang.Throwable)noBracketingException33);
    java.lang.Throwable[] throwable_array44 = noBracketingException21.getSuppressed();
    java.lang.Throwable[] throwable_array45 = noBracketingException21.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable16, (java.lang.Object[])throwable_array45);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException47 = new org.apache.commons.math.exception.MaxCountExceededException(localizable14, (java.lang.Number)(-1L), (java.lang.Object[])throwable_array45);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver4, localizable13, (java.lang.Object[])throwable_array45);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction50 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d52 = bracketingNthOrderBrentSolver4.solve((-44), univariateFunction50, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str28.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str40.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array45);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test482"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.3513027308935902d, (-1541310274), 616827691);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test483"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.01f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test484"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-2104.863625456296d), 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test485"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.5644683957820247d), (-0.20938087760345092d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test486"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(7.41981478659749d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test487"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(615.5958381136425d, 19.085536923187657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 615.5958381136423d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test488"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(11.657871198108504d, 27.308232836016487d, (-5.149341918377654d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test489"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.6320128569761164d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.1293614785100328d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test491"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-7.5557864E22f), 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.5557864E22f);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test492"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, (java.lang.Number)(-9), true);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test493"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(2.161096529304051d, (-50));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9194393002166973E-15d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test494"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.477989661531657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.025795785904163992d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test495"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 0.0017400348027523523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.06598346796880483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(3.5303498865114324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5107991741527624d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test498"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(3.643485103425229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.06359081130213637d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test499"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d8 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i9 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test500"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.6105369491681114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1922395389202d);

  }

}
