
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest18 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test001"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.09590548854233527d, 0.04406311741263628d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09590548854233527d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test002"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.203001995747662d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1784094955));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test003"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(7.555786E22f, 7.5557864E22f, 6.7762636E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test004"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, (-0.379d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.379d));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test005"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.474214332178235d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2141722827417183d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test006"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array16 = noBracketingException15.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.1798534997924781d), (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable8, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable7, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathInternalError mathInternalError21 = new org.apache.commons.math.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable0, (-1.5293116957396318d), 0.8885481134098001d, 0.09620116050620299d, 0.7071067811865475d, (java.lang.Object[])throwable_array16);
    double d24 = noBracketingException23.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == (-1.5293116957396318d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test007"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign((-3L), 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test008"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.9999650079555913d, 8.018249111275067E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999650079555913d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test009"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.9325533535582513d, 1.5372878201698679d, 0.988545380602258d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test010"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)2.225073858507202E-308d, (java.lang.Number)(byte)100, true);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test011"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 1.9879766500003314E37d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.9999999986400665d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test013"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 0.7561696087375546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test014"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-5.1493419183776545d));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test015"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.5111572E23f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.5111573E23f);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test016"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.8034273777423127d), 2.697785854836685d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.8034273777423127d));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test017"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.5493957200154667d, 1.4366287050963582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4366287050963582d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test018"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(4.768372E-7f, 1628225011, 987346850);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test019"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(2.0863311132187174d, 4.61512051684126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.61512051684126d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test020"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(36.99781719115092d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6452073514782212d));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test021"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-5.000001f), (-0.0f), 5.6843426E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-2.193460988544728d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.0d));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test023"); }


    double d2 = org.apache.commons.math.util.Precision.round(1.2626272556789118d, 1022);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2626272556789118d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test024"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(21.766990071586857d, 0.6441559968846773d, 1.2947690041106148d, 1074790400);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d16 = bracketingNthOrderBrentSolver15.getStartValue();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d26 = bracketingNthOrderBrentSolver25.getMin();
    double d27 = bracketingNthOrderBrentSolver25.getStartValue();
    double d28 = bracketingNthOrderBrentSolver25.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction33 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d37 = bracketingNthOrderBrentSolver36.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution41 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d42 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction33, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver36, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution41);
    double d43 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver25, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution41);
    double d44 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution41);
    double d45 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1022), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver6, 0.0d, (-54.123672182498595d), 1.0614668412987789d, allowedSolution41);
    double d46 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.6441559968846773d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test025"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.570747403115875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 949201933);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test026"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-982654076), 1061914504);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-982654076));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test027"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.3684374878875819d, (-0.5832018059670591d), 0.047475688758873646d, 874941345);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test028"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.42957045711476627d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.0000349924525611d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017453903253453834d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test030"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.0d, (-3.3334775868839928d), 0.663102688906211d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test031"); }


    float f2 = org.apache.commons.math.util.Precision.round(160.00005f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 160.0f);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.435407523152705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test033"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(9, maxCountExceededCallback1);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test034"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.01643745530677571d));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test035"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.7182818247623624d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.14695139578089142d));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test036"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.6835919307454753d, (java.lang.Number)10218.053746668269d, true);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test037"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array18 = noBracketingException17.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable12, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException(localizable11, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MathInternalError mathInternalError22 = new org.apache.commons.math.exception.MathInternalError(localizable9, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.2211074820103929d, localizable8, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable2, 1.2394069790772417E-18d, 1.0457045863685683d, 1.5395412383141087d, 0.6631026889062109d, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.30043413626201154d, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext26 = maxCountExceededException25.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext26);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test038"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException2 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array3 = mathArithmeticException2.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException4 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.003843321136747213d, (java.lang.Object[])throwable_array3);
    java.lang.Throwable[] throwable_array5 = notFiniteNumberException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test039"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.0038848218538874d, (-0.45878344581717967d), 6.931546134638673d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test040"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-100L), 108L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-100L));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test041"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(7.5557864E22f, 816881685);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test042"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException10 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d11 = noBracketingException10.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable12, obj_array14);
    noBracketingException10.addSuppressed((java.lang.Throwable)mathArithmeticException15);
    java.lang.String str17 = noBracketingException10.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext18 = noBracketingException10.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException10);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException27 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array28 = noBracketingException27.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError29 = new org.apache.commons.math.exception.MathInternalError(localizable22, (java.lang.Object[])throwable_array28);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException30 = new org.apache.commons.math.exception.NullArgumentException(localizable21, (java.lang.Object[])throwable_array28);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError19, localizable20, (java.lang.Object[])throwable_array28);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array28);
    org.apache.commons.math.exception.NoBracketingException noBracketingException33 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1002.5436635033831d, 1.2141722827417183d, 0.0d, 0.44156722945602206d, (java.lang.Object[])throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str17.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test043"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.9477330677507825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test044"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(9.536744E-7f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.536744E-7f));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test045"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce((-0.0054189471942207995d), 2.4775920439903176d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.4721730967960966d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test046"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(615.5958381136423d, (-1.5849175664597288d), 1560231314);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test047"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException10 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array11 = noBracketingException10.getSuppressed();
    java.lang.Throwable[] throwable_array12 = noBracketingException10.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)10.000001f, localizable5, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)1.4713043411171929d, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test048"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-1.7976931348623157E308d));
    java.lang.Number number7 = notStrictlyPositiveException6.getMin();
    java.lang.Throwable[] throwable_array8 = notStrictlyPositiveException6.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError9 = new org.apache.commons.math.exception.MathInternalError(localizable4, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)0.4365448456505259d, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.5039343233414514d, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test049"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.10215522522567919d), 3.141592653589793d, 0.0d, 2);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver4.solve((-127), univariateFunction6, 0.07659581863085893d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test050"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-35.35050620855721d), 0.570565451854179d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-35.35050620855721d));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test051"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.8678446019111354d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test052"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.6441559968846773d, 0.8253356149096783d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test053"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException8 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array9 = noBracketingException8.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable3, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext11 = nullArgumentException10.getContext();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array23);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException25 = new org.apache.commons.math.exception.NullArgumentException(localizable20, obj_array23);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable19, obj_array23);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math.exception.NullArgumentException(localizable18, obj_array23);
    org.apache.commons.math.exception.NoBracketingException noBracketingException28 = new org.apache.commons.math.exception.NoBracketingException(localizable13, (-30.42204869176769d), 0.8052085614665847d, 3.1415926535897936d, 0.0d, obj_array23);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)exceptionContext11, localizable12, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.7709477525576782d, obj_array23);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.7507298852373168d, obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test054"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.4700668451822356d, (-0.24700960041211847d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4700668451822354d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.9949121745027778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7828477681815761d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test056"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.49236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1146523531));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test057"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(5.960465E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.1054274E-15f);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test058"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(5.4110923703857695E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test059"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable3, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array8);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test060"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.12643538424785203d, 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4235358734626797E14d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test061"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.8132760197326263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7265420941696756d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test062"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getStartValue();
    double d6 = bracketingNthOrderBrentSolver3.getMin();
    double d7 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction14 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d18 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    double d19 = bracketingNthOrderBrentSolver17.getRelativeAccuracy();
    double d20 = bracketingNthOrderBrentSolver17.getFunctionValueAccuracy();
    double d21 = bracketingNthOrderBrentSolver17.getStartValue();
    double d22 = bracketingNthOrderBrentSolver17.getMin();
    double d23 = bracketingNthOrderBrentSolver17.getMin();
    int i24 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction29 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver30 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction35 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver38 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d39 = bracketingNthOrderBrentSolver38.getAbsoluteAccuracy();
    double d40 = bracketingNthOrderBrentSolver38.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction45 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver48 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d49 = bracketingNthOrderBrentSolver48.getAbsoluteAccuracy();
    double d50 = bracketingNthOrderBrentSolver48.getRelativeAccuracy();
    int i51 = bracketingNthOrderBrentSolver48.getMaximalOrder();
    int i52 = bracketingNthOrderBrentSolver48.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction57 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver60 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d61 = bracketingNthOrderBrentSolver60.getMin();
    double d62 = bracketingNthOrderBrentSolver60.getStartValue();
    double d63 = bracketingNthOrderBrentSolver60.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction68 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver71 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d72 = bracketingNthOrderBrentSolver71.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution76 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d77 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction68, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver71, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution76);
    double d78 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction57, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver60, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution76);
    double d79 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction45, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver48, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution76);
    double d80 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction35, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver38, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution76);
    double d81 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(20, univariateFunction29, bracketedUnivariateRealSolver30, 10.933248970779042d, 5.624643559664547E-8d, 0.9999999986400665d, allowedSolution76);
    double d82 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-128), univariateFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver17, 0.0d, 21.766990071586857d, 0.010656364320134486d, allowedSolution76);
    // The following exception was thrown during execution in test generation
    try {
      double d83 = bracketingNthOrderBrentSolver3.solve(1260099400, univariateFunction9, (-0.3427421700310059d), (-2104.863625456296d), 1.1723516318884777d, allowedSolution76);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 10.933248970779042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test063"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)5.298292365610485d, (java.lang.Number)3.141592653589793d, true);
    java.lang.Throwable throwable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooLargeException3.addSuppressed(throwable4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test064"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.5709743717821522d), 1.7062264799477895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7992277604869953d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test065"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.7252554097238069d, 0.9657901480498735d, 0.7165256995489035d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test066"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-1967717439));
    int i5 = incrementor1.getCount();
    incrementor1.incrementCount((-23));
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-938193547));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test067"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable6, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)(byte)10, obj_array9);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)true, localizable3, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.0769431657632742d, obj_array9);
    java.lang.Throwable[] throwable_array15 = maxCountExceededException14.getSuppressed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext16 = maxCountExceededException14.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test068"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.05952518720540583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5112359313398052d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test069"); }


    long long2 = org.apache.commons.math.util.FastMath.min(108L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test070"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.9916920872128292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test071"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(4.3765490441485964E-10d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.3765490441485964E-10d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test072"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getMin();
    double d7 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d9 = bracketingNthOrderBrentSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test073"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.022597982174498224d, (-21));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test075"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(16.8474359784123d, 0.09905052202871352d, 1.0000521537062224d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test076"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.047475688758873646d, 0.7749969121097814d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test077"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getStartValue();
    double d6 = bracketingNthOrderBrentSolver3.getMax();
    double d7 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver3.solve((-127), univariateFunction9, 0.16967139619990562d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 4.440892098500626E-16d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test078"); }


    double d1 = org.apache.commons.math.util.FastMath.log(615.5958381136423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.422590641242784d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test079"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, (-0.6331918331235807d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test080"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(8.018249111275066E-4d, 0.43580923994907006d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.43580997756840567d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test081"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.8333492459822072d, 0.019813751952903788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8333492459822072d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test082"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException7 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d8 = noBracketingException7.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    noBracketingException7.addSuppressed((java.lang.Throwable)mathArithmeticException12);
    java.lang.String str14 = noBracketingException7.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext15 = noBracketingException7.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException7);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = mathInternalError16.getContext();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math.exception.MathArithmeticException(localizable24, obj_array26);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException28 = new org.apache.commons.math.exception.NullArgumentException(localizable23, obj_array26);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math.exception.MathArithmeticException(localizable22, obj_array26);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException30 = new org.apache.commons.math.exception.NullArgumentException(localizable21, obj_array26);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException(localizable19, (java.lang.Number)100.0d, obj_array26);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError16, localizable18, obj_array26);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)1.1293614785100328d, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array26);
    java.lang.Throwable[] throwable_array35 = mathIllegalStateException34.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str36 = mathIllegalStateException34.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str14.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test083"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.05952521210335032d, (java.lang.Number)0.8491662531839053d, false);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException4);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test084"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(6.162975822039155E-33d, 0.25322450601896573d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.162975822039155E-33d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test085"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9634141660113476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1195203112948269d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test086"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.7875579308343716E11d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2551337721765363d));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test087"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.0626429745798767d, (java.lang.Number)96.02236028657777d, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test088"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.7237658485300319d, (java.lang.Number)0.7709477525576782d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.7709477525576782d+ "'", number4.equals(0.7709477525576782d));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test089"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, 2.422305678857938d, 7.105427357601002E-15d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test090"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.0d, 0.04597354534407794d, 4.440892098500628E-16d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test091"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.1368684E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1368685E-13f);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test092"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.22789115762254283d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.22789115762254283d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test093"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.889135689704871d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test094"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0014236838416761097d, (-0.32715056168423856d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test095"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(3.6028801E16f, 1.346808282796319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.6028797E16f);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test096"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.1476993251056282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8169904790989659d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.7282199195005585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.924926998904936d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test098"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.26729887318865225d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test099"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.0d, 0.027415567780803757d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test100"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(Double.NEGATIVE_INFINITY, (-3.9201596790033064d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test101"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    double d12 = noBracketingException4.getLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d14 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test102"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.545090190739184d, 10.618430526132911d, 0.9772219695100631d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.186298747362033d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(85.88276580347242d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9339060221853144d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test104"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = noBracketingException4.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d14 = noBracketingException4.getLo();
    double d15 = noBracketingException4.getLo();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.7646695192514715d);
    java.lang.Number number18 = maxCountExceededException17.getMax();
    noBracketingException4.addSuppressed((java.lang.Throwable)maxCountExceededException17);
    double d20 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.7646695192514715d+ "'", number18.equals(0.7646695192514715d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 100.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test105"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(8.4E-45f, 0.4838584938326518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.8E-45f);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test106"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0038359356324597386d, 0.0d, 2.3479379144616614d, 2);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test107"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test108"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.4588404896618667d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3679839500466082d));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test109"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.5111575E23f, 0.9022013557308074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.5111573E23f);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.057820894670897544d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.38668880802943134d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test111"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.1920932E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test112"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException7 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array8 = noBracketingException7.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.1798534997924781d), (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test113"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)0.09649958916390793d, true);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test114"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-9.379932023270642d), 1018167297);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test115"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0d, 0.3037024831958119d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test116"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(0.01f, 1, 1416069018);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test117"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array13 = noBracketingException12.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable7, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable6, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, number4, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, number2, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.162975822039155E-33d, (java.lang.Object[])throwable_array13);
    java.lang.Number number20 = notFiniteNumberException19.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 6.162975822039155E-33d+ "'", number20.equals(6.162975822039155E-33d));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test118"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.9592599811162651d, 0.9981761166589888d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test119"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.5d, 1.2652986957855343d, 7);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = bracketingNthOrderBrentSolver3.solve((-1), univariateFunction5, 2.3047342273498117d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test120"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.99999994f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test121"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.10098051551740299d, 3.2285995998178834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.096518002031019E-4d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test122"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    incrementor2.incrementCount();
    incrementor2.setMaximalCount(0);
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount(488428165);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test123"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable6, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)(byte)10, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, obj_array9);
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable2, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)76, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test124"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getLo();
    double d8 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test125"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-5.6E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.6E-45f);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test126"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4400.328541725631d, (java.lang.Number)0.9022013557308074d, true);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test127"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.1920928E-7f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.19209275E-7f);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test128"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(5.0000005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test129"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-7), (java.lang.Number)3.6028797E16f, true);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test130"); }


    int i2 = org.apache.commons.math.util.FastMath.min(458693509, 1560231314);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 458693509);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test131"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i6 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d18 = bracketingNthOrderBrentSolver17.getStartValue();
    int i19 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    int i20 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d29 = bracketingNthOrderBrentSolver28.getAbsoluteAccuracy();
    double d30 = bracketingNthOrderBrentSolver28.getRelativeAccuracy();
    int i31 = bracketingNthOrderBrentSolver28.getMaximalOrder();
    int i32 = bracketingNthOrderBrentSolver28.getMaxEvaluations();
    int i33 = bracketingNthOrderBrentSolver28.getMaxEvaluations();
    double d34 = bracketingNthOrderBrentSolver28.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction39 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver42 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d43 = bracketingNthOrderBrentSolver42.getAbsoluteAccuracy();
    double d44 = bracketingNthOrderBrentSolver42.getRelativeAccuracy();
    int i45 = bracketingNthOrderBrentSolver42.getMaximalOrder();
    int i46 = bracketingNthOrderBrentSolver42.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction51 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver54 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d55 = bracketingNthOrderBrentSolver54.getMin();
    double d56 = bracketingNthOrderBrentSolver54.getStartValue();
    double d57 = bracketingNthOrderBrentSolver54.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction62 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver65 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d66 = bracketingNthOrderBrentSolver65.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution70 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d71 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction62, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver65, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution70);
    double d72 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction51, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver54, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution70);
    double d73 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction39, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver42, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution70);
    double d74 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(184331630, univariateFunction25, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver28, (-2104.863625456296d), 0.4800756917930489d, 1.5707659753439986d, allowedSolution70);
    double d75 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1061914504), univariateFunction13, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver17, 0.03219278459168398d, 5.38838682868946d, 4.3765490441485964E-10d, allowedSolution70);
    // The following exception was thrown during execution in test generation
    try {
      double d76 = bracketingNthOrderBrentSolver2.solve(1967717439, univariateFunction9, 0.012873775247273d, 0.03219278459168398d, allowedSolution70);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == (-2104.863625456296d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.03219278459168398d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test132"); }


    int i2 = org.apache.commons.math.util.FastMath.max(546842740, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 546842740);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test133"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array15 = noBracketingException14.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.1798534997924781d), (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)(-5.000001f), (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)0.4560875258289375d, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test134"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 1.8189894E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test135"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, 0.5773024965193306d, 1.2881724468409939d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test136"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.0474354728514041d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test137"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(6.338254E30f, 2.028241E31f, 1.5111575E23f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test138"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.044690903544286606d, 0.9241606422180592d, 0.6105647004975029d, 0.673730979244602d);
    double d5 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.044690903544286606d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test139"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(9.536744E-7f, (-0.99999976f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.536744E-7f));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test140"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(128, maxCountExceededCallback1);
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount(976835553);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test141"); }


    short s2 = org.apache.commons.math.util.MathUtils.copySign((short)(-100), (short)(-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)(-100));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test142"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)8.319859983149598d, (java.lang.Number)4.2030892568646654E-5d, false);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test143"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.089724318634858d, 1560231315);
    double d3 = bracketingNthOrderBrentSolver2.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver2.solve((-1615615204), univariateFunction5, 7.12272917246134E22d, (-0.07724034720143269d), 0.7265420941696756d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test144"); }


    float f2 = org.apache.commons.math.util.FastMath.max(5.0f, 0.01f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0f);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test145"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(2.498091544796509d, 1.0964589126177934E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.478547059258116E-9d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test146"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(6, maxCountExceededCallback1);
    incrementor2.resetCount();

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test147"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d8 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d9 = bracketingNthOrderBrentSolver2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test148"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.2620969565005382d, 0.977221969510063d, 6.759465036245026d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test149"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array14 = noBracketingException13.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.1798534997924781d), (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable7, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)1.5111572E23f, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.49214597377469593d, (-0.05235987755982989d), 1.0071345205286681d, (-44.17044218281882d), (java.lang.Object[])throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test150"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException(localizable9, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable7, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable2, (-30.42204869176769d), 0.8052085614665847d, 3.1415926535897936d, 0.0d, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.2620969565005382d, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test151"); }


    org.apache.commons.math.util.MathUtils.checkFinite(1.4511908293551297d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test152"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.019495711462083d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5237955929941801d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test153"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.8253734512776356d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8253734512776356d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test154"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.9546958137727486d, 1.0000000000000142d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test155"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(4.768373E-7f, 5.6E-45f, 9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test156"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.0017287577352202244d, 0.569234812526212d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.569234812526212d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.3549124631390256d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3624104959752758d));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test158"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i9 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i10 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d11 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test159"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-3));
    int i2 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-3));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test160"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(100.0f, 0.0f, 5.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test161"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.4793303438018782d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test162"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.9981761166589888d, 0.7840448555676929d, 0.004986548582295446d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test163"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, 1.8189894E-12f, 740799305);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test164"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    double d5 = noBracketingException4.getFLo();
    double d6 = noBracketingException4.getLo();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = noBracketingException4.getContext();
    double d8 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8052085614665847d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.7182818187002955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test165"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.9073486E-6f, 9.0071993E15f, 9.0071993E15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test166"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.2247855029030816d), 0.4923582556865319d, (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test167"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.38668880802943134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.41263839757110177d));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test168"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.0d, 709.782712893384d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test169"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4056476493802699d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test170"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)615.5958381136425d, (java.lang.Number)289169781, false);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test171"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.0983885002838645d, 16.848032296108702d, 1.0406685520495786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test172"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.8052085614665847d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test173"); }


    float f2 = org.apache.commons.math.util.FastMath.max(2.328307E-10f, 5.0000005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0000005f);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test174"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, (-1615615204));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test175"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test176"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1023, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException10 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array11 = noBracketingException10.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError12 = new org.apache.commons.math.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor2, localizable4, (java.lang.Object[])throwable_array11);
    incrementor2.setMaximalCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test177"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(5.0d, 0.0992125657084372d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1731312601429722d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test178"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(10.000002f, 1.0195112955132875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test179"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.1920928E-7f, (-0.05235987755982989d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.19209275E-7f);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test180"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.8813735844809989d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    java.lang.Number number3 = notStrictlyPositiveException1.getArgument();
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException1.getSuppressed();
    boolean b5 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0.8813735844809989d+ "'", number3.equals(0.8813735844809989d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test181"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)2.1162472688021303d, obj_array2);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test182"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test183"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d7 = noBracketingException6.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array10);
    noBracketingException6.addSuppressed((java.lang.Throwable)mathArithmeticException11);
    java.lang.String str13 = noBracketingException6.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext14 = noBracketingException6.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException6);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array24 = noBracketingException23.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError25 = new org.apache.commons.math.exception.MathInternalError(localizable18, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException26 = new org.apache.commons.math.exception.NullArgumentException(localizable17, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError15, localizable16, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-3.141592653589793d), (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext30 = notFiniteNumberException29.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str13.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext30);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test184"); }


    double[] d_array2 = new double[] { 100.0d, (-1.0d) };
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    int i12 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1967717439));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test185"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, (-1.1920926E-7f), (-4733595));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test186"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.04472068070296615d, (java.lang.Number)0.6331918331235807d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.04472068070296615d+ "'", number4.equals(0.04472068070296615d));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test187"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-1.2354833299072816d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2354833299072814d));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test188"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(10.000001f, 5.0487098E-29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test189"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i9 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d11 = bracketingNthOrderBrentSolver2.getMax();
    int i12 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d13 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test190"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1.0d), (java.lang.Number)5.000001f, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooSmallException3);
    java.lang.Number number7 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1.0d)+ "'", number7.equals((-1.0d)));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test191"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-13.990801942845447d));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test192"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test193"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)22.45915771836105d, (java.lang.Number)0.659416762831612d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = numberIsTooLargeException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 22.45915771836105d+ "'", number5.equals(22.45915771836105d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test194"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-30.42204869176769d), 2.5419269331066703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.08107450551235473d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test195"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.5165517449964557d, (-8.345153194998874d), 1.5395412383141087d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test196"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.2626272556789118d, 1.1364210964124613d, 0.0d, 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i6 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i9 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.1364210964124613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.1364210964124613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test197"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)100.0d, (java.lang.Number)3, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException13 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable9, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number14 = numberIsTooLargeException13.getMax();
    java.lang.Throwable[] throwable_array15 = numberIsTooLargeException13.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable19, obj_array21);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException(localizable18, obj_array21);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math.exception.NullArgumentException(localizable17, obj_array21);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException13, localizable16, obj_array21);
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(localizable4, 0.03124999998130185d, (-1.1521225314292316d), 0.0d, 0.6498256797192261d, obj_array21);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)noBracketingException26);
    double d28 = noBracketingException26.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 100.0d+ "'", number14.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == (-1.1521225314292316d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test198"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.8453813046539264d, 0.19240232101240595d, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test199"); }


    org.apache.commons.math.util.MathUtils.checkFinite(4.0711099922733015E-13d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test200"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    int i8 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i9 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver18 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d19 = bracketingNthOrderBrentSolver18.getAbsoluteAccuracy();
    double d20 = bracketingNthOrderBrentSolver18.getRelativeAccuracy();
    int i21 = bracketingNthOrderBrentSolver18.getMaximalOrder();
    int i22 = bracketingNthOrderBrentSolver18.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d31 = bracketingNthOrderBrentSolver30.getMin();
    double d32 = bracketingNthOrderBrentSolver30.getStartValue();
    double d33 = bracketingNthOrderBrentSolver30.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d42 = bracketingNthOrderBrentSolver41.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution46 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d47 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction38, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver41, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution46);
    double d48 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction27, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver30, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution46);
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction15, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver18, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution46);
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(184331630, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, (-2104.863625456296d), 0.4800756917930489d, 1.5707659753439986d, allowedSolution46);
    double d51 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction53 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d56 = bracketingNthOrderBrentSolver4.solve(7, univariateFunction53, 88.0d, 2.1705854246435927d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == (-2104.863625456296d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0E-14d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test201"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.9950547536867305d, (-7));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test202"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver2.solve(1560231314, univariateFunction8, 3051694.0231119115d, 0.021135928487469813d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test203"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0222908148307925d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test204"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.49182432411377086d, 0.0d, (-1.5849175664597288d), (-1628225011));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test205"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    org.apache.commons.math.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math.exception.NoBracketingException(localizable4, 1.5707659753439986d, 0.0d, 2.5346958487132123d, 1.1510104496201798d, obj_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0.9999999f, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.05234816133845752d, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test206"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(8.067796515528594d, (-1560231314), 1532517103);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test207"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-0.6259357854118054d), 1.32606014966655d, (-0.20067069549999997d), 0.0d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test208"); }


    double d2 = org.apache.commons.math.util.FastMath.log((-252650.87583447277d), 0.7594766388215944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test209"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(24.53601468270113d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.240089796247697d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test210"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.012873775247273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7376129880687307d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test211"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-9.999999f));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test212"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)10.0d, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)0.022037002837017282d, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)1, obj_array9);
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test213"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.4511908293551297d, (java.lang.Number)5.2152346288746814E-5d, false);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 5.2152346288746814E-5d+ "'", number5.equals(5.2152346288746814E-5d));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test214"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-1.9432977288328401d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test215"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.7545328204114744d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 43.231546113679975d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test216"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.2676506E30f);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test217"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.036037138223852135d, 0.9332106064260779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.036037138223852135d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test218"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getStartValue();
    int i6 = bracketingNthOrderBrentSolver3.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    int i8 = bracketingNthOrderBrentSolver3.getMaximalOrder();
    int i9 = bracketingNthOrderBrentSolver3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test219"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.04594118331605845d, (-128));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test220"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getMaximalCount();
    boolean b5 = incrementor2.canIncrement();
    int i6 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test221"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(49.877599940773514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test222"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-4L));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test223"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.1827886625611071d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test224"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-7.555786E22f), (-1.5111571E23f), 1061914504);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test225"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.5707963267948968d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test226"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-20.000002f), 0.9999999f, 2.328307E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test227"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(3.886651753045267d, 0.05952521210335032d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.05952521210335027d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test228"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0038848218538876d, (-2147483648));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test229"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-2.0282408E31f), (-1.2676505E30f), (-1181590280));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.18957636854904703d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.18735304356992935d));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test231"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(2.094732618289054d, 1.5430806334089027d, 1.6365250633828354d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4582075549062188d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test232"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.incrementCount(1);
    int i4 = incrementor1.getCount();
    int i5 = incrementor1.getMaximalCount();
    incrementor1.incrementCount();
    incrementor1.setMaximalCount(341642467);
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test233"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.25223177515307804d, 454653717);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test234"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.3684374878875819d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test235"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution9);
    double d11 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    int i12 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test236"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(2.697785854836685d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test237"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.1932800520503437d, 267.7467614837482d, 1.043586521219505d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test238"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test239"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.002253064815785123d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.002255606785182803d));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test240"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.31791036352084856d, 7.12272917246134E22d, 0.7265420941696756d, (-1824204071));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test241"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.022037002837017282d, 0.6457337260365439d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test242"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(0.9999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test243"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getMin();
    double d8 = bracketingNthOrderBrentSolver2.getMin();
    double d9 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test244"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.4601191438964067d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4312370722694959d));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test245"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.18181818181818157d, 8.41056207891549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.18181818181818157d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test246"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.4713043411171929d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = tooManyEvaluationsException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test247"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(4.440892E-15f, 50.02332026233051d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.4408925E-15f);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test248"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.11315596396188808d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9936046922193852d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test249"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.718281828459045d, (-0.0d), 1.5574077123571413d, (-1.7976931348623157E308d));
    double d5 = noBracketingException4.getFHi();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getLo();
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException11 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.8333492459822072d, number9, true);
    org.apache.commons.math.exception.MathInternalError mathInternalError12 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException11);
    boolean b13 = numberIsTooLargeException11.getBoundIsAllowed();
    java.lang.Number number14 = numberIsTooLargeException11.getMax();
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.7976931348623157E308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.5574077123571413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test250"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getMaximalCount();
    boolean b5 = incrementor2.canIncrement();
    int i6 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test251"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    double d11 = noBracketingException4.getFHi();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = noBracketingException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.044690903544286606d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0009988046539875d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test253"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.04597354534407794d, (-1.2354833299072816d), 1064993045);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test254"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.1102230246251565E-15d, 1.0000010148820262d, 488428165);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test255"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-127), maxCountExceededCallback1);
    incrementor2.resetCount();
    incrementor2.resetCount();
    int i5 = incrementor2.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test256"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.3342285710721451d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2300097147431002d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.980045053908839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test258"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.9591725420200876d, 1.0531501707775761d, 0.12643538424785206d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test259"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.0147937434521865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test260"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.1281517158133643d, 0.46627667677912565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.19559836225511296d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test261"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(5.000001f, (-4.9999995f), 1.1920932E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test262"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1061914504), maxCountExceededCallback1);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.1583340157739697d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1469827795058561d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test264"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.3640279474417591d, 4.354911728584023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test265"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.03663072389459554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0373098963445306d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test266"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException5 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array6 = noBracketingException5.getSuppressed();
    java.lang.Throwable[] throwable_array7 = noBracketingException5.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test267"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array5 = noBracketingException4.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)noBracketingException4, localizable6, obj_array7);
    double d9 = noBracketingException4.getLo();
    double d10 = noBracketingException4.getLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError11 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    org.apache.commons.math.exception.MathInternalError mathInternalError12 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.7182818187002955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.7182818187002955d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test268"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.9241606422180592d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07886936723716953d));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test269"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.05956037045817028d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.938893903907228E-18d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test270"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    int i5 = bracketingNthOrderBrentSolver3.getMaxEvaluations();
    int i6 = bracketingNthOrderBrentSolver3.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794897d, (-0.2628512484720843d), 1753944293);
    double d17 = bracketingNthOrderBrentSolver16.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d26 = bracketingNthOrderBrentSolver25.getAbsoluteAccuracy();
    double d27 = bracketingNthOrderBrentSolver25.getRelativeAccuracy();
    double d28 = bracketingNthOrderBrentSolver25.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction33 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d37 = bracketingNthOrderBrentSolver36.getAbsoluteAccuracy();
    int i38 = bracketingNthOrderBrentSolver36.getMaxEvaluations();
    int i39 = bracketingNthOrderBrentSolver36.getMaxEvaluations();
    double d40 = bracketingNthOrderBrentSolver36.getFunctionValueAccuracy();
    int i41 = bracketingNthOrderBrentSolver36.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction46 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver49 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d50 = bracketingNthOrderBrentSolver49.getMin();
    double d51 = bracketingNthOrderBrentSolver49.getStartValue();
    double d52 = bracketingNthOrderBrentSolver49.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction57 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver60 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d61 = bracketingNthOrderBrentSolver60.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution65 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d66 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction57, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver60, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution65);
    double d67 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction46, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver49, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution65);
    double d68 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-4733595), univariateFunction33, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver36, (-0.1808246978710647d), 1.5430806334089027d, 1.2620969565005382d, allowedSolution65);
    double d69 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(128, univariateFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver25, 1.5707963267948948d, (-0.06598346796880483d), 0.0d, allowedSolution65);
    double d70 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1967717439), univariateFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver16, (-2.6760087193979796E-14d), 1.5112711146915472d, 0.5742794794383551d, allowedSolution65);
    // The following exception was thrown during execution in test generation
    try {
      double d71 = bracketingNthOrderBrentSolver3.solve((-50), univariateFunction8, 0.6557942026326725d, 0.9380302238075081d, allowedSolution65);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == (-0.1808246978710647d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.5707963267948948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == (-2.6760087193979796E-14d));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test271"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(5.6843418860808015E-14d, 0.46627667677912565d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test272"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(5.8774734E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-124));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test273"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-1.2354833299072816d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test274"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getMin();
    double d8 = bracketingNthOrderBrentSolver2.getMin();
    double d9 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d10 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test275"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.07380975034705499d, 0.9772219695100631d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07380975034705499d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test276"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.016339474440304515d, number2, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test277"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 1.2401310215141846E-16d, 0.044690903544286606d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test278"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array12 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.1798534997924781d), (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError(localizable3, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError17 = new org.apache.commons.math.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathIllegalStateException19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test279"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-94));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test280"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 308.73182366778815d, 0.0d, 27.308232836016483d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test281"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.5957783731911734d, 0.13376545970991843d, (-1784094955));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test282"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution9);
    int i11 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d12 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    double d13 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test283"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 9.999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test284"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.9620037996444782d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-985.0918908359457d));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test285"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.009051183877537495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test286"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getMaximalCount();
    incrementor2.incrementCount();
    incrementor2.resetCount();
    int i7 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test287"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.0d, 0.4507161481788167d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test288"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-2.6760087193979437E-14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.6760087193979437E-14d));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test289"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.0f), 7.0E-45f, 4.4408925E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test290"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 454653717);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.1989997164193587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3632898764337762d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test292"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(40.66975903465145d, 33.38108842981256d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 37.025423732232d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test293"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.6259357854118054d), 0.03663072389459554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03663072389459554d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test294"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(1.9803427342859747d, 2.11624726880213d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0482950015440524d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test295"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo((-0.001496501913182682d), 8.382012007100457d, 1.2401966874528512d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test296"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.9361829248913316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.550228402816921d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test297"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.incrementCount(1);
    int i4 = incrementor1.getCount();
    int i5 = incrementor1.getMaximalCount();
    incrementor1.incrementCount();
    int i7 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test298"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(4.9E-324d, 6.977693868911403d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test299"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.57079616295147d, (-2.6563760846993496d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0855799217478797d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test300"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(100.00001f, 1.511157E23f, 10.000003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test301"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9882936023323812d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8350884787895542d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test302"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-20.000002f), 10.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test303"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(4.768372E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-21));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test304"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException7 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d8 = noBracketingException7.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    noBracketingException7.addSuppressed((java.lang.Throwable)mathArithmeticException12);
    java.lang.String str14 = noBracketingException7.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext15 = noBracketingException7.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException7);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array25 = noBracketingException24.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError(localizable19, (java.lang.Object[])throwable_array25);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math.exception.NullArgumentException(localizable18, (java.lang.Object[])throwable_array25);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError16, localizable17, (java.lang.Object[])throwable_array25);
    org.apache.commons.math.exception.MathInternalError mathInternalError29 = new org.apache.commons.math.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array25);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.3079601695827894d, (java.lang.Object[])throwable_array25);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array25);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext32 = mathArithmeticException31.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str14.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext32);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test305"); }


    byte byte2 = org.apache.commons.math.util.MathUtils.copySign((byte)1, (byte)(-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-1));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test306"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d5 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver2.solve((-1541310274), univariateFunction7, 3051694.0231119115d, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test307"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable1, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number6 = numberIsTooLargeException5.getMax();
    java.lang.Throwable[] throwable_array7 = numberIsTooLargeException5.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable10, obj_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable9, obj_array13);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException5, localizable8, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array13);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = mathIllegalStateException18.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0d+ "'", number6.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test308"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)6.283185307179586d, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext15 = mathArithmeticException14.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test309"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0038848218538872d), 0.5d, 0.009525406398220587d, (-1330741599));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test310"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.7615941559557649d), (-1824204071));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test311"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(3.6028801E16f, 20.000004f, 5.877472E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test312"); }


    long long2 = org.apache.commons.math.util.FastMath.min(8L, 54L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8L);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test313"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.26765045E30f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test314"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test315"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)50.02332026233051d, (java.lang.Number)2.8307014150063525E200d, true);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test316"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 2.297880702286522d, 1.5430806334089027d, 0.03124999998130185d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test317"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-124));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test318"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.99999976f, 1.8189894E-12f, (-1.5111571E23f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test319"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.12909110491390785d), 0.12643538424785206d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.12909110491390782d));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test320"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.7468184870649933d, 5.624643559664547E-8d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test321"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign((-44L), (-10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-44L));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test322"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-4733595), maxCountExceededCallback1);
    incrementor2.setMaximalCount(160);
    int i5 = incrementor2.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 160);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test323"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 1.5707659753439986d, 0.0d, 2.5346958487132123d, 1.1510104496201798d, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.014250113660655234d, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)10313.240312354817d, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array12);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = nullArgumentException18.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test324"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.07374182E9f, 5.6843426E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test325"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.4028235E38f);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test326"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.9649261089130767d, 1.9879766500003314E37d, 0.18181818181818157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test327"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794897d, (-0.2628512484720843d), 1753944293);
    double d4 = bracketingNthOrderBrentSolver3.getMin();
    double d5 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test328"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.03538821097805611d, 0.4015960790194396d, 3.4426612376819117d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.437261805473068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0971318771793481d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test330"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(5.478547059258116E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963213163496d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test331"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.8818598552420744d, 0.9991659813041607d, 33.38094894839859d, 1.5430806348151713d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test332"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.1808180832378472d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1798469907149979d));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test333"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(8.382012007100457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2183.8941704958897d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test334"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.0d, 1.3643779995892835d, 0.4656710018508941d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.8987069977383895d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test335"); }


    long long2 = org.apache.commons.math.util.FastMath.min(20441L, 108L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 108L);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test336"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.3055336652009295d, (java.lang.Number)341642467, true);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test337"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(0.01f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.313226E-10f);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test338"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(1.4776501301581395d, 0.15583991388444313d, 3.1415926535897936d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test339"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test340"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1967717439), maxCountExceededCallback1);
    incrementor2.incrementCount((-1163426587));
    boolean b5 = incrementor2.canIncrement();
    int i6 = incrementor2.getCount();
    incrementor2.incrementCount((-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test341"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.8987069977383895d, 0.49752737684336523d, 88.04054281205701d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test342"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.5365973473134222d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.91154682172569d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test343"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.5013517661960694d, 40880.4022593672d, 1.7484918500427547E8d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test344"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), (-44L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test345"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-61), (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-20));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test346"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    double d7 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d8 = bracketingNthOrderBrentSolver4.getStartValue();
    double d9 = bracketingNthOrderBrentSolver4.getMin();
    double d10 = bracketingNthOrderBrentSolver4.getMin();
    int i11 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction16 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver17 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d26 = bracketingNthOrderBrentSolver25.getAbsoluteAccuracy();
    double d27 = bracketingNthOrderBrentSolver25.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction32 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver35 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d36 = bracketingNthOrderBrentSolver35.getAbsoluteAccuracy();
    double d37 = bracketingNthOrderBrentSolver35.getRelativeAccuracy();
    int i38 = bracketingNthOrderBrentSolver35.getMaximalOrder();
    int i39 = bracketingNthOrderBrentSolver35.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction44 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver47 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d48 = bracketingNthOrderBrentSolver47.getMin();
    double d49 = bracketingNthOrderBrentSolver47.getStartValue();
    double d50 = bracketingNthOrderBrentSolver47.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction55 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver58 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d59 = bracketingNthOrderBrentSolver58.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution63 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction55, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver58, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution63);
    double d65 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction44, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver47, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution63);
    double d66 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction32, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver35, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution63);
    double d67 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver25, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution63);
    double d68 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(20, univariateFunction16, bracketedUnivariateRealSolver17, 10.933248970779042d, 5.624643559664547E-8d, 0.9999999986400665d, allowedSolution63);
    double d69 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-128), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 0.0d, 21.766990071586857d, 0.010656364320134486d, allowedSolution63);
    double d70 = bracketingNthOrderBrentSolver4.getStartValue();
    double d71 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction73 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d75 = bracketingNthOrderBrentSolver4.solve(1459933199, univariateFunction73, 0.26520166892269315d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.933248970779042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0E-15d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test347"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d17 = noBracketingException16.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable18, obj_array20);
    noBracketingException16.addSuppressed((java.lang.Throwable)mathArithmeticException21);
    java.lang.String str23 = noBracketingException16.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext24 = noBracketingException16.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError25 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException16);
    noBracketingException4.addSuppressed((java.lang.Throwable)noBracketingException16);
    java.lang.Throwable[] throwable_array27 = noBracketingException4.getSuppressed();
    double d28 = noBracketingException4.getFLo();
    double d29 = noBracketingException4.getFLo();
    java.lang.String str30 = noBracketingException4.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext31 = noBracketingException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str23.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str30.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext31);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test348"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    double d8 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d9 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d10 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = bracketingNthOrderBrentSolver2.solve(1070449601, univariateFunction12, 69.41500766394608d, 0.9772219695100631d, 0.10746272144554203d, allowedSolution16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test349"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.33701657979484567d, (-61));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4615764319088241E-19d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test350"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.30657918116474375d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test351"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction18 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d22 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    double d23 = bracketingNthOrderBrentSolver21.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction28 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d32 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver31.getRelativeAccuracy();
    int i34 = bracketingNthOrderBrentSolver31.getMaximalOrder();
    int i35 = bracketingNthOrderBrentSolver31.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction40 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver43 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d44 = bracketingNthOrderBrentSolver43.getMin();
    double d45 = bracketingNthOrderBrentSolver43.getStartValue();
    double d46 = bracketingNthOrderBrentSolver43.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction51 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver54 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d55 = bracketingNthOrderBrentSolver54.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution59 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d60 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction51, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver54, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution59);
    double d61 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction40, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver43, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution59);
    double d62 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction28, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver31, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution59);
    double d63 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction18, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution59);
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-4733595), univariateFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.12797402175531936d, 1.206457297555837d, 3.295411713871867d, allowedSolution59);
    // The following exception was thrown during execution in test generation
    try {
      double d65 = bracketingNthOrderBrentSolver2.solve((-1967717439), univariateFunction7, 1.5430806348151715d, 0.04470578766139398d, allowedSolution59);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.12797402175531936d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test352"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(40.66975903465145d, (-0.002253064815785123d), (-0.4905073028412811d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test353"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction5 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.2626272556789118d, 1.1364210964124613d, 0.0d, 100);
    double d16 = bracketingNthOrderBrentSolver15.getAbsoluteAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d26 = bracketingNthOrderBrentSolver25.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution30 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d31 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver25, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution30);
    double d32 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(414779610, univariateFunction10, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 0.5998406268185329d, (-2.67600871939798E-14d), 0.16352013173304905d, allowedSolution30);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = bracketingNthOrderBrentSolver2.solve((-21), univariateFunction5, 0.5707963267948967d, 0.36056625253140256d, 0.9994242510536948d, allowedSolution30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.1364210964124613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.5998406268185329d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test354"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(874941345);
    incrementor1.incrementCount((-1));
    incrementor1.incrementCount((-3));
    int i6 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 874941345);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test355"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(100.0f, 1061914504);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test356"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(160.00005f, 107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.5961492E34f);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test357"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.8414709848078965d, (java.lang.Number)2.5346958487132123d, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.String str6 = numberIsTooLargeException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: 0.841 is larger than the maximum (2.535)"+ "'", str6.equals("org.apache.commons.math.exception.NumberIsTooLargeException: 0.841 is larger than the maximum (2.535)"));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test358"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-2.3413195855264353d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7175463125037614d));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test359"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.9999546000702375d));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test360"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.020776253030073577d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.190391612719104d));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test361"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.0d, (-0.4766255654517026d), 0.38668880802943134d, (-124));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test362"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)2.3047342273498113d, obj_array1);
    java.lang.Number number3 = notFiniteNumberException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 2.3047342273498113d+ "'", number3.equals(2.3047342273498113d));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test363"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, (-38.01243881247813d), 0.02945945468821873d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test364"); }


    double[] d_array2 = new double[] { 100.0d, (-1.0d) };
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1967717439));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test365"); }


    float f2 = org.apache.commons.math.util.Precision.round((-3.4028235E38f), (-1535368092));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test366"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.1920928E-7f, 1.5111572E23f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test367"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.5111573E23f, 1.1920928E-7f, (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test368"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.9546958137727486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.882295213459197d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test369"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(3.1073352117281376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.107335211728138d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test370"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.5476577375568485d, (java.lang.Number)(-0.8947984784901264d), false);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test371"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(3, maxCountExceededCallback1);
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    incrementor2.setMaximalCount(100);
    incrementor2.incrementCount();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor2, localizable9, obj_array10);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test372"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1.1366294794179035d);
    java.lang.Throwable[] throwable_array2 = notStrictlyPositiveException1.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError3 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)notStrictlyPositiveException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test373"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.1920932E-7f, 1.5258789E-5f, 1021313028);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test374"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.08586053467918509d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.001498549027674553d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test375"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.076168506426446d, (-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3530244733751928E-16d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test376"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.9999999f), 0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(2.1664531071082322E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 33.70242979990208d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test378"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo((-0.47662556545170265d), 2.662574264085365d, (-0.9916920872128292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test379"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-1.1071487177940904d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test380"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.4923582556865319d, 1.4210854715202004E-14d, 1.75263681000946d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test381"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.copySign((-9223372036854775808L), 108L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test382"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.0d, 1.1598520536758998d, 0.10098051551740299d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(7.105427357601002E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test384"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.21155774352434895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test385"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(1.4742143325035024d, 1.2929406695855281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2929406695855281d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test386"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 2.757044614537194E-34d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.757044614537194E-34d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test387"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array7 = noBracketingException6.getSuppressed();
    double d8 = noBracketingException6.getLo();
    java.lang.Throwable[] throwable_array9 = noBracketingException6.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.0146853834226308d, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test388"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    int i8 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d17 = bracketingNthOrderBrentSolver16.getMin();
    double d18 = bracketingNthOrderBrentSolver16.getStartValue();
    double d19 = bracketingNthOrderBrentSolver16.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction24 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d28 = bracketingNthOrderBrentSolver27.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution32 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d33 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction24, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver27, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution32);
    double d34 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction13, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver16, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution32);
    double d35 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution32);
    double d36 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d37 = bracketingNthOrderBrentSolver4.getMin();
    int i38 = bracketingNthOrderBrentSolver4.getEvaluations();
    int i39 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    int i40 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i41 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d42 = bracketingNthOrderBrentSolver4.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction44 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d48 = bracketingNthOrderBrentSolver4.solve(1400279155, univariateFunction44, (-0.4312370722694959d), 0.17580599160555294d, (-0.5421705075006679d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test389"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMax();
    int i6 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-1.0d));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(5.339312554208246E87d, (-7));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test391"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.12909110491390782d), (java.lang.Number)1.5886382457344956d, true);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test392"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(3.6028801E16f, 0.0f, 0.99999976f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test393"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d16 = noBracketingException15.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable17, obj_array19);
    noBracketingException15.addSuppressed((java.lang.Throwable)mathArithmeticException20);
    java.lang.String str22 = noBracketingException15.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException27 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d28 = noBracketingException27.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException32 = new org.apache.commons.math.exception.MathArithmeticException(localizable29, obj_array31);
    noBracketingException27.addSuppressed((java.lang.Throwable)mathArithmeticException32);
    java.lang.String str34 = noBracketingException27.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext35 = noBracketingException27.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError36 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException27);
    noBracketingException15.addSuppressed((java.lang.Throwable)noBracketingException27);
    java.lang.Throwable[] throwable_array38 = noBracketingException15.getSuppressed();
    java.lang.Throwable[] throwable_array39 = noBracketingException15.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException40 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)3L, (java.lang.Object[])throwable_array39);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException41 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.7976931348623157E308d, (java.lang.Object[])throwable_array39);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException42 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)1.4742143325035026d, (java.lang.Object[])throwable_array39);
    org.apache.commons.math.exception.NoBracketingException noBracketingException43 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 1.059061983098943d, 57.30195784195174d, 1.2748734119735194E-306d, 617.4636473355763d, (java.lang.Object[])throwable_array39);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str22.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str34.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test394"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-938193547), (-874941345));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-938193547));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test395"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-1.7976931348623157E308d));
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)notStrictlyPositiveException1);
    java.lang.Number number5 = notStrictlyPositiveException1.getMin();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = notStrictlyPositiveException1.getContext();
    boolean b7 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    notStrictlyPositiveException1.addSuppressed((java.lang.Throwable)noBracketingException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test396"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(27.308232836016487d, Double.NEGATIVE_INFINITY, 0.46795417521444604d, 8);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test397"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.37981070303231385d, 0.7048415017999496d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7048415017999496d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test398"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.incrementCount(1);
    int i4 = incrementor1.getCount();
    incrementor1.setMaximalCount((-874941345));
    incrementor1.resetCount();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor1);
    boolean b9 = incrementor1.canIncrement();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test399"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(2147483647, maxCountExceededCallback1);
    incrementor2.setMaximalCount((-21));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test400"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getMax();
    double d8 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i9 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test401"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.531d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.488138957518038d));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.3360225571990831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test403"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.6538849486314497d, (java.lang.Number)6.938893903907228E-18d, false);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test404"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-10.000001f), 100.00001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test405"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign(2L, 20441L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test406"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-1967717439));
    incrementor1.incrementCount(0);
    int i4 = incrementor1.getMaximalCount();
    incrementor1.incrementCount((-10));
    int i7 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test407"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException(localizable9, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable8, obj_array12);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException4, localizable7, obj_array12);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = numberIsTooLargeException4.getContext();
    java.lang.Number number18 = numberIsTooLargeException4.getMax();
    java.lang.Number number19 = numberIsTooLargeException4.getMax();
    boolean b20 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100.0d+ "'", number5.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 100.0d+ "'", number18.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 100.0d+ "'", number19.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test408"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getLo();
    double d7 = noBracketingException4.getLo();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = noBracketingException4.getContext();
    double d9 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.7182818187002955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.7182818187002955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.7182818187002955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-1.0d));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test409"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, (-0.2628512484720843d), 1.2854242402505585d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test410"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.9936046922193852d, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9936d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test411"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver11 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d12 = bracketingNthOrderBrentSolver11.getAbsoluteAccuracy();
    double d13 = bracketingNthOrderBrentSolver11.getRelativeAccuracy();
    double d14 = bracketingNthOrderBrentSolver11.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d24 = bracketingNthOrderBrentSolver23.getStartValue();
    double d25 = bracketingNthOrderBrentSolver23.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction30 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d34 = bracketingNthOrderBrentSolver33.getMin();
    double d35 = bracketingNthOrderBrentSolver33.getStartValue();
    double d36 = bracketingNthOrderBrentSolver33.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction41 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d45 = bracketingNthOrderBrentSolver44.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution49 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction41, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution49);
    double d51 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction30, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver33, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution49);
    double d52 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction19, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver23, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution49);
    double d53 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(874941345, univariateFunction8, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver11, 1.2626272556789118d, 0.18077974711318837d, (-3.8834864931005E-310d), allowedSolution49);
    double d54 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(414779610, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver2, 0.031249999981301856d, 0.7594766388215944d, 0.662169350517265d, allowedSolution49);
    double d55 = bracketingNthOrderBrentSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction57 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d61 = bracketingNthOrderBrentSolver2.solve((-938193547), univariateFunction57, (-1.095656330774301d), 25.873783114185805d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.031249999981301856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test412"); }


    float f2 = org.apache.commons.math.util.FastMath.min(3.6028801E16f, (-9.999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999999f));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test413"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(88.04054281205701d, 0.36056625253140256d, 1459933199);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(9.925283346171307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 20440.701141914105d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test415"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.19209275E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920928E-7f);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test416"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.008365673730721869d), 0.006628947302228288d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.008365673730721869d));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test417"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.008593378422247465d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test418"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(1.07374182E9f, (-7), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test419"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.010656364320134486d, 1023);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction5 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d14 = bracketingNthOrderBrentSolver13.getFunctionValueAccuracy();
    double d15 = bracketingNthOrderBrentSolver13.getFunctionValueAccuracy();
    double d16 = bracketingNthOrderBrentSolver13.getMin();
    int i17 = bracketingNthOrderBrentSolver13.getMaximalOrder();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution21 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d22 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction9, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver13, 21.766990071586857d, 22.45915771836105d, 2.718281828459045d, allowedSolution21);
    // The following exception was thrown during execution in test generation
    try {
      double d23 = bracketingNthOrderBrentSolver2.solve(100, univariateFunction5, 0.9494558121079277d, 0.4975842506114977d, allowedSolution21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 21.766990071586857d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test420"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable12, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable10, (java.lang.Number)(byte)10, obj_array15);
    java.lang.Throwable[] throwable_array19 = notFiniteNumberException18.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 0.0d, (-1.4224317035003551E-15d), 0.0d, 2.4865666763592723E-5d, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.035402990901198625d, 1.0001078321810424d, 0.5143952585235496d, 1.4615764319088241E-19d, (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test421"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(40880.40226d, 6.759465036245026d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test422"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.10746272144554203d, 0.014149535168160124d, 0.7287649678376393d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test423"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-1.1506041673157388d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9130105684184837d));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test424"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.7530536932332887d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6454526095250203d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test425"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array7);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)10.0d, obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array7);
    java.lang.Throwable[] throwable_array11 = mathIllegalArgumentException10.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(throwable0, localizable1, (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test426"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-20.0f), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-640.0f));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test427"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.5998406268185329d, (-3.8834864931005E-310d), 3.578532020160986d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test428"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.7323676290027762d), 7.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7323676290027762d));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test429"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-4.7683716E-7f), 1.26765045E30f, (-546842740));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test430"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.46567100185089416d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test431"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.99999976f, 7.5557864E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test432"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.556110415478212d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02715925027467173d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test433"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-3.4028235E38f), 1.1368684E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test434"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.3684374878875819d, 0.8705283419590265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8705283419590265d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test435"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.6945085617318167d, 49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6945085617318167d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test436"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.206457297555837d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3416252738026735d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test437"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.5493957200154667d, 1.9482893517029987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.113560385103023d));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test438"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.0d, 2.0d, 0.3342285710721451d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test439"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.3706880152422993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test440"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.0d, 7.41981478659749d, (-1181590280));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test441"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0d, 2.0737120853713904E7d, 7712.905410728815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test442"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d12 = noBracketingException11.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    noBracketingException11.addSuppressed((java.lang.Throwable)mathArithmeticException16);
    java.lang.String str18 = noBracketingException11.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d24 = noBracketingException23.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable25, obj_array27);
    noBracketingException23.addSuppressed((java.lang.Throwable)mathArithmeticException28);
    java.lang.String str30 = noBracketingException23.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext31 = noBracketingException23.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError32 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException23);
    noBracketingException11.addSuppressed((java.lang.Throwable)noBracketingException23);
    java.lang.Throwable[] throwable_array34 = noBracketingException11.getSuppressed();
    java.lang.Throwable[] throwable_array35 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.MathInternalError mathInternalError37 = new org.apache.commons.math.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor1, localizable4, (java.lang.Object[])throwable_array35);
    int i39 = incrementor1.getMaximalCount();
    int i40 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str18.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str30.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 100);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test443"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(48.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6342411856642793d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test444"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.30951641999533175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test445"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.2211074820103929d, 1967717439);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction4 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver9 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i10 = bracketingNthOrderBrentSolver9.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver18 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d19 = bracketingNthOrderBrentSolver18.getAbsoluteAccuracy();
    double d20 = bracketingNthOrderBrentSolver18.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d29 = bracketingNthOrderBrentSolver28.getAbsoluteAccuracy();
    double d30 = bracketingNthOrderBrentSolver28.getRelativeAccuracy();
    int i31 = bracketingNthOrderBrentSolver28.getMaximalOrder();
    int i32 = bracketingNthOrderBrentSolver28.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction37 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver40 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d41 = bracketingNthOrderBrentSolver40.getMin();
    double d42 = bracketingNthOrderBrentSolver40.getStartValue();
    double d43 = bracketingNthOrderBrentSolver40.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction48 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver51 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d52 = bracketingNthOrderBrentSolver51.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution56 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d57 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction48, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver51, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution56);
    double d58 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction37, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver40, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution56);
    double d59 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction25, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver28, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution56);
    double d60 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction15, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver18, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution56);
    double d61 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-4733595), univariateFunction8, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver9, 0.12797402175531936d, 1.206457297555837d, 3.295411713871867d, allowedSolution56);
    // The following exception was thrown during execution in test generation
    try {
      double d62 = bracketingNthOrderBrentSolver2.solve(49, univariateFunction4, 0.4800756917930489d, 0.4160906121503214d, allowedSolution56);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.12797402175531936d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test446"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d10 = noBracketingException9.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array13);
    noBracketingException9.addSuppressed((java.lang.Throwable)mathArithmeticException14);
    java.lang.String str16 = noBracketingException9.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d22 = noBracketingException21.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array25);
    noBracketingException21.addSuppressed((java.lang.Throwable)mathArithmeticException26);
    java.lang.String str28 = noBracketingException21.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext29 = noBracketingException21.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError30 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException21);
    noBracketingException9.addSuppressed((java.lang.Throwable)noBracketingException21);
    java.lang.Throwable[] throwable_array32 = noBracketingException9.getSuppressed();
    java.lang.Throwable[] throwable_array33 = noBracketingException9.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)3L, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException35 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.7976931348623157E308d, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException36 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.3877787807814457E-17d, (java.lang.Object[])throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str16.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str28.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test447"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0962011605062032d, 0.07884627484657535d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0962011605062032d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test448"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.17580599160555294d, (java.lang.Number)0.24045975686357043d, true);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test449"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, number1, number2, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.226553940470428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test451"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 2.2952992541233685d, (-0.06593559838851085d), 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test452"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d19 = noBracketingException18.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math.exception.MathArithmeticException(localizable20, obj_array22);
    noBracketingException18.addSuppressed((java.lang.Throwable)mathArithmeticException23);
    java.lang.String str25 = noBracketingException18.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext26 = noBracketingException18.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError27 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException18);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext28 = mathInternalError27.getContext();
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math.exception.MathArithmeticException(localizable35, obj_array37);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException39 = new org.apache.commons.math.exception.NullArgumentException(localizable34, obj_array37);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException40 = new org.apache.commons.math.exception.MathArithmeticException(localizable33, obj_array37);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException41 = new org.apache.commons.math.exception.NullArgumentException(localizable32, obj_array37);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException42 = new org.apache.commons.math.exception.MaxCountExceededException(localizable30, (java.lang.Number)100.0d, obj_array37);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError27, localizable29, obj_array37);
    org.apache.commons.math.exception.NoBracketingException noBracketingException44 = new org.apache.commons.math.exception.NoBracketingException(localizable9, 0.6483608274590866d, 1.1102230246251565E-16d, 0.0d, 2.1162472688021303d, obj_array37);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException45 = new org.apache.commons.math.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array37);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array37);
    org.apache.commons.math.exception.NoBracketingException noBracketingException47 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 1.1583340157739697d, 0.12643538424785206d, 0.6498256797192261d, 0.8730716413572609d, obj_array37);
    java.lang.Throwable[] throwable_array48 = noBracketingException47.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError49 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str25.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test453"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.2510492617569729d, 1.587922296174618d, 0.6607184703884532d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test454"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.19241968970258158d, 0.7561696087375546d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test455"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.14131706826811183d, 0.07374275083207427d, 2.5632672021756216E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.06731799071582d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test456"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.03124999998130186d, 1532517103, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test457"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.980045053908839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017105013008594565d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test458"); }


    float f3 = org.apache.commons.math.util.Precision.round((-3.4028235E38f), (-2), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == (-3.4028233E38f));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test459"); }


    int i2 = org.apache.commons.math.util.MathUtils.copySign(1021313028, (-44));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1021313028));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test460"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign((-4L), (-20441L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4L));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test461"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.9936588328974013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 56.93245740091621d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test462"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.8965919212381933d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0216386064814282d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test463"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-124), 488428165);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-124));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test464"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.incrementCount(1);
    boolean b4 = incrementor1.canIncrement();
    incrementor1.resetCount();
    incrementor1.resetCount();
    incrementor1.resetCount();
    boolean b8 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test465"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-0.99999976f), 1.192093E-7f, 437216292);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test466"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.206457297555837d, (-0.0054189471942207995d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.57528791614817d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.022037002837017285d, (-23));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test468"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.9241606422180592d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test469"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.36787944117144233d, 1.306268533504784d, 19.085536923187657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test470"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = noBracketingException4.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d14 = noBracketingException4.getLo();
    double d15 = noBracketingException4.getLo();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.7646695192514715d);
    java.lang.Number number18 = maxCountExceededException17.getMax();
    noBracketingException4.addSuppressed((java.lang.Throwable)maxCountExceededException17);
    double d20 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.7646695192514715d+ "'", number18.equals(0.7646695192514715d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test471"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)10.0d, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.022037002837017282d, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 3.1003275537854505E-17d, 3.1003275537854505E-17d, 0.0d, 8.29993155847868d, obj_array12);
    double d18 = noBracketingException17.getFLo();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = noBracketingException17.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test472"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(160.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 160.00002f);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test473"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-1967717439));
    incrementor1.incrementCount(0);
    int i4 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(1400279155);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1967717439));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test474"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.3283067E-10f, 1.07374195E9f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test475"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.3407807929942596E154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test476"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test477"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4.7683716E-7f, (java.lang.Number)1.5476577375568485d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 4.7683716E-7f+ "'", number5.equals(4.7683716E-7f));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test478"); }


    int i2 = org.apache.commons.math.util.FastMath.min(816881685, (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-9));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test479"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-5.906116630522001E-10d), (-5.1493419183776545d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test480"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 5.2152346288712886E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.2152346288712886E-5d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test481"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.7692820172508762d, 5.41109237038577E-19d, 617.4636473355763d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test482"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.3526848240937438d, 0.04470578766139398d, 0.8814104647780469d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test483"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.479328535225766d, (java.lang.Number)114700.63288698878d, false);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-0.6321205588285577d));
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)notStrictlyPositiveException6);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test484"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.35571625689805475d));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test485"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.07374182E9f, 20.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000002f);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test486"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)0.9950547536867305d, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)20440.0d, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test487"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.5707963267948948d, 0.9999999988033189d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.42920367081174304d));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test488"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-4733595), maxCountExceededCallback1);
    incrementor2.setMaximalCount(160);
    incrementor2.incrementCount();
    boolean b6 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test489"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(0.99999976f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test490"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0000349924525611d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test491"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    int i8 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i9 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i10 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver20 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d21 = bracketingNthOrderBrentSolver20.getAbsoluteAccuracy();
    double d22 = bracketingNthOrderBrentSolver20.getRelativeAccuracy();
    int i23 = bracketingNthOrderBrentSolver20.getMaximalOrder();
    int i24 = bracketingNthOrderBrentSolver20.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction29 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver32 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d33 = bracketingNthOrderBrentSolver32.getMin();
    double d34 = bracketingNthOrderBrentSolver32.getStartValue();
    double d35 = bracketingNthOrderBrentSolver32.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction40 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver43 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d44 = bracketingNthOrderBrentSolver43.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution48 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction40, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver43, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution48);
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction29, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver32, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution48);
    double d51 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction17, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver20, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution48);
    // The following exception was thrown during execution in test generation
    try {
      double d52 = bracketingNthOrderBrentSolver2.solve(184331630, univariateFunction12, 1.2334031175082127d, 0.5370292721463152d, 36.99781719115092d, allowedSolution48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 2.220446049250313E-16d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test492"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(308.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4885507165004443d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test493"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(3, maxCountExceededCallback1);
    incrementor2.resetCount();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor2);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test494"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round((-0.36696559405248697d), 81254791, (-938193547));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test495"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    double d11 = noBracketingException4.getLo();
    double d12 = noBracketingException4.getHi();
    java.lang.String str13 = noBracketingException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str13.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test496"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(2.9319069038459415E-7d, 0.8813735844809989d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test497"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.9998921561895899d, 0.1900795402463152d, 544048009);
    double d4 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.1900795402463152d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test498"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.10098051551740299d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0017624424761399076d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test499"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable3, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)0.9999999996908493d, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest18.test500"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.8947984784901264d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

}
