
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest20 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test001"); }


    double d2 = org.apache.commons.math.util.FastMath.max(5.41109237038577E-19d, 0.7237658485300319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7237658485300319d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round((-0.007703964395827464d), 107, (-104));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test003"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.6945085617318167d, 1022);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction5 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d13 = bracketingNthOrderBrentSolver12.getAbsoluteAccuracy();
    double d14 = bracketingNthOrderBrentSolver12.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d23 = bracketingNthOrderBrentSolver22.getAbsoluteAccuracy();
    double d24 = bracketingNthOrderBrentSolver22.getRelativeAccuracy();
    int i25 = bracketingNthOrderBrentSolver22.getMaximalOrder();
    int i26 = bracketingNthOrderBrentSolver22.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction31 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d35 = bracketingNthOrderBrentSolver34.getMin();
    double d36 = bracketingNthOrderBrentSolver34.getStartValue();
    double d37 = bracketingNthOrderBrentSolver34.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction42 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d46 = bracketingNthOrderBrentSolver45.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution50 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d51 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction42, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver45, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution50);
    double d52 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction31, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver34, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution50);
    double d53 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction19, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver22, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution50);
    double d54 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction9, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution50);
    // The following exception was thrown during execution in test generation
    try {
      double d55 = bracketingNthOrderBrentSolver2.solve(23471659, univariateFunction5, 0.0d, 1.950432933600005d, allowedSolution50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.48151208381769545d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test004"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-9.999998f), 160.00006f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test005"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.7224379712307568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6256268161432906d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test006"); }


    float f2 = org.apache.commons.math.util.FastMath.min(5.6E-45f, 5.877473E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.6E-45f);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test007"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, (-7.5557864E22f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test008"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable15, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable13, (java.lang.Number)10.0d, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, obj_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable10, (java.lang.Number)21.766990071586857d, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 2.5346958487132123d, (-0.18181818181818166d), (-1.2491985819827967d), 4.201356810137798d, obj_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)0.5906000224986607d, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError24 = new org.apache.commons.math.exception.MathInternalError(localizable2, obj_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.49236d), obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test009"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.5595106570525964d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8198690269805043d));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test010"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 1.1020818788180764d, 2.524630659933467d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test011"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getMaximalCount();
    incrementor2.incrementCount();
    incrementor2.resetCount();
    int i7 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.incrementCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-1.8461522734859308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test013"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(10.000003f, 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000003f);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test014"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.10746272144554203d, (-1.378984271185942d), 5.478547059258116E-9d, 1.612618698257105d);
    double d5 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 5.478547059258116E-9d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test015"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)100.0f, (java.lang.Number)10.0f, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test016"); }


    long long2 = org.apache.commons.math.util.FastMath.min(20441L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test017"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.04594118331605845d, 108.02079659615683d, (-0.22685095331102675d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3025850929940463d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test019"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.7071067807634569d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test020"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.9332106064260779d, 0.0d, 1.0692859859287676d, 0.0017400348027523523d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test021"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.9389941330927146d, 1.8889465931478585E22d, 1.2925629627099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.8889465931478585E22d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test022"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getMax();
    double d5 = bracketingNthOrderBrentSolver3.getMax();
    double d6 = bracketingNthOrderBrentSolver3.getMax();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(3.0000000000000004d, 1824204071);
    int i17 = bracketingNthOrderBrentSolver16.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.01983792679107154d, 0.9268985458126054d, (-1.660312661548602d), 3);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction32 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d37 = bracketingNthOrderBrentSolver36.getFunctionValueAccuracy();
    double d38 = bracketingNthOrderBrentSolver36.getFunctionValueAccuracy();
    double d39 = bracketingNthOrderBrentSolver36.getMin();
    int i40 = bracketingNthOrderBrentSolver36.getMaximalOrder();
    double d41 = bracketingNthOrderBrentSolver36.getRelativeAccuracy();
    int i42 = bracketingNthOrderBrentSolver36.getEvaluations();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution46 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d47 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction32, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver36, 0.977221969510063d, 1.8452701486440284d, 1.9377047211159066E-18d, allowedSolution46);
    double d48 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver27, 2.220446049250313E-16d, 1.4713043411171929d, 2.8818598552420744d, allowedSolution46);
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1045507690), univariateFunction13, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver16, 22.571631188306025d, 1.201554345984338E-6d, 1.3360225571990831d, allowedSolution46);
    // The following exception was thrown during execution in test generation
    try {
      double d50 = bracketingNthOrderBrentSolver3.solve(616827691, univariateFunction8, (-0.6634422139906268d), (-1.3397444326497978d), 0.0016842258511045591d, allowedSolution46);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.977221969510063d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 22.571631188306025d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test023"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.28673449899783066d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test024"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array5 = noBracketingException4.getSuppressed();
    java.lang.String str6 = noBracketingException4.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = noBracketingException4.getContext();
    java.lang.String str8 = noBracketingException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [1.718, 0], values: [0.805, -1]"+ "'", str6.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [1.718, 0], values: [0.805, -1]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [1.718, 0], values: [0.805, -1]"+ "'", str8.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [1.718, 0], values: [0.805, -1]"));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test025"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getMax();
    double d4 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test026"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.0d, (-0.9865826776442833d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.49329133882214166d));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test027"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(5.551115123125783E-17d, 1.0474354728514041d, 1.6094379124341003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test028"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d6 = bracketingNthOrderBrentSolver5.getStartValue();
    double d7 = bracketingNthOrderBrentSolver5.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d16 = bracketingNthOrderBrentSolver15.getMin();
    double d17 = bracketingNthOrderBrentSolver15.getStartValue();
    double d18 = bracketingNthOrderBrentSolver15.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction23 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d27 = bracketingNthOrderBrentSolver26.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution31 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d32 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction23, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver26, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution31);
    double d33 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution31);
    double d34 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution31);
    double d35 = bracketingNthOrderBrentSolver5.getRelativeAccuracy();
    double d36 = bracketingNthOrderBrentSolver5.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test029"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)(short)(-100), true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.String str5 = numberIsTooSmallException3.toString();
    java.lang.String str6 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than the minimum (-100)"+ "'", str5.equals("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than the minimum (-100)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than the minimum (-100)"+ "'", str6.equals("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than the minimum (-100)"));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test030"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-4.768373E-7f), 1.5111572E23f, (-1129954258));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test031"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.8453813046539264d, 1.821828426659787d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test032"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver2.solve(10, univariateFunction9, 3051694.0231119115d, (-0.3791250371885985d), 1.346808282796319d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test033"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 2.4756511818383773d, (-4.9E-324d), 69.41500766394608d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test034"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-1.2676505E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2147483648));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test035"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.094170761343194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9464200646138969d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test036"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.3055336652009295d, (java.lang.Number)0.49752737684336523d, true);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test037"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.0710699336332185d, 0.07380975034705499d, 0.07360951442420828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test038"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.0d, 0.09590548854233527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test039"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(4.089724318634858d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.089724318634858d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test040"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.9241606422180593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9241606422180593d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test041"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.5d, (java.lang.Number)1.4742143325035029d, false);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-1.7976931348623157E308d));
    boolean b6 = notStrictlyPositiveException5.getBoundIsAllowed();
    boolean b7 = notStrictlyPositiveException5.getBoundIsAllowed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)notStrictlyPositiveException5);
    java.lang.Number number9 = notStrictlyPositiveException5.getMin();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = notStrictlyPositiveException5.getContext();
    java.lang.Number number11 = notStrictlyPositiveException5.getArgument();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)notStrictlyPositiveException5);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d21 = noBracketingException20.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable22, obj_array24);
    noBracketingException20.addSuppressed((java.lang.Throwable)mathArithmeticException25);
    java.lang.String str27 = noBracketingException20.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException32 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d33 = noBracketingException32.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException37 = new org.apache.commons.math.exception.MathArithmeticException(localizable34, obj_array36);
    noBracketingException32.addSuppressed((java.lang.Throwable)mathArithmeticException37);
    java.lang.String str39 = noBracketingException32.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext40 = noBracketingException32.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError41 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException32);
    noBracketingException20.addSuppressed((java.lang.Throwable)noBracketingException32);
    java.lang.Throwable[] throwable_array43 = noBracketingException20.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException44 = new org.apache.commons.math.exception.NullArgumentException(localizable15, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable14, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException5, localizable13, (java.lang.Object[])throwable_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0+ "'", number9.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-1.7976931348623157E308d)+ "'", number11.equals((-1.7976931348623157E308d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str27.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str39.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test042"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-1.2676505E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.5557864E22f);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test043"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.8132760197326263d, 6.162975822039155E-33d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test044"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.201921415304904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07987607331136692d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test045"); }


    int i1 = org.apache.commons.math.util.FastMath.round(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test046"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(-37.0d), false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test047"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, (-0.005571360376372117d), 8.29993155847868d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test048"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.010656364320134486d, 0.19240232101240598d, 3.6501527064785146d, 1023);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test049"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.util.Incrementor incrementor3 = new org.apache.commons.math.util.Incrementor(100);
    incrementor3.resetCount();
    incrementor3.incrementCount();
    incrementor3.setMaximalCount(0);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)(short)0, obj_array8);
    java.lang.Number number10 = maxCountExceededException9.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (short)0+ "'", number10.equals((short)0));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test050"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.30043413626201154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9552081030635835d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test051"); }


    double d2 = org.apache.commons.math.util.FastMath.log(4.324651031546616d, 37.87154287875184d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.481815152298174d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(7.363161165435626E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7135145412242822E7d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test053"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.0893076889567266d, 0.0d, 1.0165745100552832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test054"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.9389941330927145d, 0.19240232101240598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test055"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.7755575615628914E-17d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test056"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 128);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction4 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver11 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d12 = bracketingNthOrderBrentSolver11.getAbsoluteAccuracy();
    double d13 = bracketingNthOrderBrentSolver11.getRelativeAccuracy();
    int i14 = bracketingNthOrderBrentSolver11.getMaximalOrder();
    int i15 = bracketingNthOrderBrentSolver11.getMaxEvaluations();
    int i16 = bracketingNthOrderBrentSolver11.getMaxEvaluations();
    double d17 = bracketingNthOrderBrentSolver11.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    double d24 = bracketingNthOrderBrentSolver23.getMin();
    double d25 = bracketingNthOrderBrentSolver23.getMax();
    double d26 = bracketingNthOrderBrentSolver23.getMax();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction31 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver35 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d36 = bracketingNthOrderBrentSolver35.getStartValue();
    double d37 = bracketingNthOrderBrentSolver35.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction42 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d46 = bracketingNthOrderBrentSolver45.getMin();
    double d47 = bracketingNthOrderBrentSolver45.getStartValue();
    double d48 = bracketingNthOrderBrentSolver45.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction53 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver56 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d57 = bracketingNthOrderBrentSolver56.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution61 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d62 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction53, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver56, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution61);
    double d63 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction42, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver45, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution61);
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction31, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver35, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution61);
    double d65 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(50, univariateFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver23, 0.0d, 15.81011665143969d, 1.2206771E7d, allowedSolution61);
    double d66 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(2147483647, univariateFunction8, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver11, 0.0941943105170841d, 4.930380657631324E-32d, 35.54407871142801d, allowedSolution61);
    // The following exception was thrown during execution in test generation
    try {
      double d67 = bracketingNthOrderBrentSolver2.solve(0, univariateFunction4, 2.0482950015440524d, 0.6154797086703873d, allowedSolution61);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0941943105170841d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test057"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0L, number1, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooLargeException3.getContext();
    java.lang.Number number6 = numberIsTooLargeException3.getArgument();
    java.lang.Number number7 = numberIsTooLargeException3.getMax();
    java.lang.Number number8 = numberIsTooLargeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0L+ "'", number4.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0L+ "'", number6.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0L+ "'", number8.equals(0L));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test058"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.4656710018508941d, (-0.005571360376372117d), 1201885345);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test059"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-30.42204869176769d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.108584826559729d));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test060"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-320.0001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-320.00006f));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test061"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.9997875580932019d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test062"); }


    long long2 = org.apache.commons.math.util.FastMath.min(46L, 44L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 44L);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test063"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    double d12 = noBracketingException4.getHi();
    java.lang.String str13 = noBracketingException4.toString();
    double d14 = noBracketingException4.getHi();
    double d15 = noBracketingException4.getFLo();
    double d16 = noBracketingException4.getFHi();
    double d17 = noBracketingException4.getLo();
    double d18 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str13.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 100.0d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test064"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.036638916355741895d, (-0.005693584213836895d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.9328912357562851d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test066"); }


    double d2 = org.apache.commons.math.util.FastMath.log(3.107335211728138d, 37.517225160409026d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.197133905598803d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test067"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.8893603692896568d);
    java.lang.String str2 = maxCountExceededException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (0.889) exceeded"+ "'", str2.equals("org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (0.889) exceeded"));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test068"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getMaximalCount();
    boolean b5 = incrementor2.canIncrement();
    incrementor2.setMaximalCount(0);
    boolean b8 = incrementor2.canIncrement();
    int i9 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test069"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    int i8 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d9 = bracketingNthOrderBrentSolver2.getStartValue();
    double d10 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d11 = bracketingNthOrderBrentSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test070"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d5 = bracketingNthOrderBrentSolver4.getMin();
    double d6 = bracketingNthOrderBrentSolver4.getMax();
    int i7 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver13 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction18 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver19 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    double d20 = bracketingNthOrderBrentSolver19.getMin();
    double d21 = bracketingNthOrderBrentSolver19.getMax();
    double d22 = bracketingNthOrderBrentSolver19.getMax();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d32 = bracketingNthOrderBrentSolver31.getStartValue();
    double d33 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d42 = bracketingNthOrderBrentSolver41.getMin();
    double d43 = bracketingNthOrderBrentSolver41.getStartValue();
    double d44 = bracketingNthOrderBrentSolver41.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver52 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d53 = bracketingNthOrderBrentSolver52.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution57 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d58 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction49, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver52, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution57);
    double d59 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction38, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver41, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution57);
    double d60 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction27, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver31, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution57);
    double d61 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(50, univariateFunction18, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver19, 0.0d, 15.81011665143969d, 1.2206771E7d, allowedSolution57);
    double d62 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(184331630, univariateFunction12, bracketedUnivariateRealSolver13, 0.022037002837017285d, 1.4944062507641411d, (-2.750261912538977d), allowedSolution57);
    double d63 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(458693509, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 1.1102230246251565E-16d, 0.08565001157878403d, (-2.6132897650370544E-17d), allowedSolution57);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction65 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d68 = bracketingNthOrderBrentSolver4.solve(10, univariateFunction65, (-0.1798534997924781d), (-0.35571625689805475d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.022037002837017285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.1102230246251565E-16d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test071"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1368685E-13f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1368685E-13f);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test072"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.9325533535582513d, (java.lang.Number)1.4944062507641411d, false);
    java.lang.Throwable throwable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooSmallException3.addSuppressed(throwable4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test073"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array6);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)6.283185307179586d, obj_array6);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array6);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext11 = mathArithmeticException10.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = mathArithmeticException10.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test074"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.04473560653406824d, 50);
    double d3 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test075"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.9022013557308074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1598322620);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test076"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.557407712357141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1591352334984135d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test077"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.07471357688538222d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07205418597153357d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test078"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.9999999999999384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.161737786669808E-14d));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test079"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException5 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d6 = noBracketingException5.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array9);
    noBracketingException5.addSuppressed((java.lang.Throwable)mathArithmeticException10);
    java.lang.String str12 = noBracketingException5.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext13 = noBracketingException5.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException5);
    java.lang.Throwable[] throwable_array15 = mathInternalError14.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)75.0d, (java.lang.Object[])throwable_array15);
    java.lang.Number number17 = notFiniteNumberException16.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str12.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 75.0d+ "'", number17.equals(75.0d));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test080"); }


    long long2 = org.apache.commons.math.util.FastMath.max(100L, 108L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 108L);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test081"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException7 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d8 = noBracketingException7.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    noBracketingException7.addSuppressed((java.lang.Throwable)mathArithmeticException12);
    java.lang.String str14 = noBracketingException7.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d20 = noBracketingException19.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array23);
    noBracketingException19.addSuppressed((java.lang.Throwable)mathArithmeticException24);
    java.lang.String str26 = noBracketingException19.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext27 = noBracketingException19.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException19);
    noBracketingException7.addSuppressed((java.lang.Throwable)noBracketingException19);
    java.lang.Throwable[] throwable_array30 = noBracketingException7.getSuppressed();
    java.lang.Throwable[] throwable_array31 = noBracketingException7.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException34 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.0000001f, (java.lang.Object[])throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str14.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str26.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test082"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(267.7467614837482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.547970405030605E115d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test083"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.04469090354428662d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test084"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.870882035946128d, 0.8555224308203891d, 990640803);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test085"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-19.27118787626509d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-20.0d));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test086"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    int i8 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d9 = bracketingNthOrderBrentSolver2.getStartValue();
    int i10 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i11 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i12 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = bracketingNthOrderBrentSolver2.solve(1330741599, univariateFunction14, 1.2141722827417183d, 2.094910012412432d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test087"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.8414498643399289d, (-3.9201596790033064d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test088"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 1.1916563527560027d, 1.712465023920811d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test089"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i9 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver2.solve((-3), univariateFunction11, 6.239754292617733E9d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test090"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.3160827944246841d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test091"); }


    float f2 = org.apache.commons.math.util.Precision.round(0.0f, 874941345);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test092"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 53L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 53L);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test093"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.0d, 85.88276580347242d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test094"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.3626208515259908d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3626208515259907d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test095"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.incrementCount(1);
    boolean b4 = incrementor1.canIncrement();
    incrementor1.setMaximalCount(10);
    incrementor1.incrementCount();
    incrementor1.setMaximalCount((-50));
    int i10 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-50));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test096"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.07884627484657535d, 2.662574264085365d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test097"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
    int i7 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test098"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.019531248f, 437216292);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test099"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)0.2886512482596653d, false);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test100"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 1.1071487177940904d, 0.6149925502277047d, 0.7165256995489035d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.911582938846693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.763786990183359d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test102"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(6.422590641242784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.422590641242784d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test103"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d4 = bracketingNthOrderBrentSolver3.getMax();
    double d5 = bracketingNthOrderBrentSolver3.getMax();
    double d6 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    int i7 = bracketingNthOrderBrentSolver3.getEvaluations();
    double d8 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    int i9 = bracketingNthOrderBrentSolver3.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1967717439);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test104"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = noBracketingException4.getContext();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException();
    mathArithmeticException10.addSuppressed((java.lang.Throwable)mathIllegalStateException11);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathIllegalStateException11);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext14 = mathIllegalStateException11.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext15 = mathIllegalStateException11.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathIllegalStateException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test105"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(2.7135145412242822E7d, 0.9328912357562851d, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test106"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-7.5557864E22f), (-1.4224317035003551E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.555786E22f));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test107"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(1.1195203112948269d, 1.2854242402505585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2854242402505585d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test108"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)10.0d, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.022037002837017282d, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 3.1003275537854505E-17d, 3.1003275537854505E-17d, 0.0d, 8.29993155847868d, obj_array12);
    double d18 = noBracketingException17.getFLo();
    double d19 = noBracketingException17.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test109"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1967717439), maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    int i4 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.resetCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test110"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver2.getMax();
    double d9 = bracketingNthOrderBrentSolver2.getStartValue();
    double d10 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.0d));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test111"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(4.089724318634859d, 1260099400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test112"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.09620116050620309d, 0.9022013557308074d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test113"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(1.226553940470428d, 1.7976931348623157E308d, 1.7550213672993458d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test114"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-7.5557864E22f));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test115"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 1.4539306322210093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test116"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array16 = noBracketingException15.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError17 = new org.apache.commons.math.exception.MathInternalError(localizable10, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable9, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable7, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.2211074820103929d, localizable6, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.2394069790772417E-18d, 1.0457045863685683d, 1.5395412383141087d, 0.6631026889062109d, (java.lang.Object[])throwable_array16);
    double d23 = noBracketingException22.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.2394069790772417E-18d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test117"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.3890171234636333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 79.58481884586817d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test118"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-3.4028233E38f), 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-3.4028233E38f));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test119"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    int i2 = incrementor1.getCount();
    int i3 = incrementor1.getCount();
    int i4 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test120"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.3246102543116496d, 0.0881170715533668d, 4.0897243186348575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test121"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-9.999999f), (-1.1920927E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test122"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(6, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 6);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test123"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(1400279155);
    incrementor1.setMaximalCount(2147483647);
    incrementor1.incrementCount();

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test124"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.5111571E23f, (-0.99999994f), 5.877472E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test125"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.3526848240937438d, 0.6816928138142155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.49142451236996304d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test126"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(2.9319069038459415E-7d, 1.1922395389202d, 816881685);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test127"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.9997657449743638d, 0.5370292721463151d, 120.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test128"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1.0d), number1, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooSmallException3);
    java.lang.Number number7 = numberIsTooSmallException3.getArgument();
    java.lang.Number number8 = numberIsTooSmallException3.getArgument();
    boolean b9 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number10 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1.0d)+ "'", number7.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-1.0d)+ "'", number8.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test129"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-66745701), maxCountExceededCallback1);
    boolean b3 = incrementor2.canIncrement();
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount(23471659);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test130"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(4.0711099922733015E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.411468698136233E-5d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test131"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.022597982174498224d, 2.2574273322518463d, 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test132"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.2947690041106148d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test133"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array5);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)10.0d, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array5);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.718281828459045d);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array19 = noBracketingException18.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException(localizable13, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable12, (java.lang.Object[])throwable_array19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException8, localizable9, (java.lang.Object[])throwable_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test134"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(4.4408925E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.440893E-15f);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test135"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 1.6365250633828354d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6365250633828354d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test136"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(75.0d, 1.7062264799477895d, 0.12643538424785206d, 1477807612);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794897d, (-0.2628512484720843d), 1753944293);
    double d16 = bracketingNthOrderBrentSolver15.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction21 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d26 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    double d27 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    double d28 = bracketingNthOrderBrentSolver25.getMin();
    int i29 = bracketingNthOrderBrentSolver25.getMaximalOrder();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution33 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d34 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction21, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver25, 21.766990071586857d, 22.45915771836105d, 2.718281828459045d, allowedSolution33);
    double d35 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-66745701), univariateFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 0.9325533535582513d, 2.2250738585072014E-308d, 1.0215608260008333d, allowedSolution33);
    double d36 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1022, univariateFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver6, 1.0964589126177934E-8d, 114.59155902616465d, 0.0d, allowedSolution33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1967717439);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 21.766990071586857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.9325533535582513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0964589126177934E-8d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test137"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.5595106570525964d, 0.0d, 1677026214);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test138"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.061079266454971304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9981352414471052d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test139"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(4.089724318634858d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 29.870084324025d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test140"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException8 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array9 = noBracketingException8.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)(-0.046362508849239426d), (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Object[])throwable_array9);
    java.lang.Number number12 = maxCountExceededException11.getMax();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d21 = noBracketingException20.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable22, obj_array24);
    noBracketingException20.addSuppressed((java.lang.Throwable)mathArithmeticException25);
    java.lang.String str27 = noBracketingException20.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext28 = noBracketingException20.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError29 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException20);
    java.lang.Throwable[] throwable_array30 = mathInternalError29.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException31 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable14, (java.lang.Number)0.13662948300794686d, (java.lang.Object[])throwable_array30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable13, (java.lang.Object[])throwable_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0.5403023058681398d+ "'", number12.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str27.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test141"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(2.3283067E-10f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.3283067E-10f);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test142"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(160.00006f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.5258789E-5f);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test143"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.01932339043474041d, 1753944293, 616827691);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test144"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.8333492459822072d, number2, true);
    org.apache.commons.math.exception.MathInternalError mathInternalError5 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException4);
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d13 = noBracketingException12.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable14, obj_array16);
    noBracketingException12.addSuppressed((java.lang.Throwable)mathArithmeticException17);
    java.lang.String str19 = noBracketingException12.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d25 = noBracketingException24.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math.exception.MathArithmeticException(localizable26, obj_array28);
    noBracketingException24.addSuppressed((java.lang.Throwable)mathArithmeticException29);
    java.lang.String str31 = noBracketingException24.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext32 = noBracketingException24.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError33 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException24);
    noBracketingException12.addSuppressed((java.lang.Throwable)noBracketingException24);
    double d35 = noBracketingException12.getLo();
    double d36 = noBracketingException12.getFHi();
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException45 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d46 = noBracketingException45.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException(localizable47, obj_array49);
    noBracketingException45.addSuppressed((java.lang.Throwable)mathArithmeticException50);
    java.lang.String str52 = noBracketingException45.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException57 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d58 = noBracketingException57.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException62 = new org.apache.commons.math.exception.MathArithmeticException(localizable59, obj_array61);
    noBracketingException57.addSuppressed((java.lang.Throwable)mathArithmeticException62);
    java.lang.String str64 = noBracketingException57.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext65 = noBracketingException57.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError66 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException57);
    noBracketingException45.addSuppressed((java.lang.Throwable)noBracketingException57);
    java.lang.Throwable[] throwable_array68 = noBracketingException45.getSuppressed();
    java.lang.Throwable[] throwable_array69 = noBracketingException45.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException70 = new org.apache.commons.math.exception.MaxCountExceededException(localizable39, (java.lang.Number)3L, (java.lang.Object[])throwable_array69);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException71 = new org.apache.commons.math.exception.NullArgumentException(localizable38, (java.lang.Object[])throwable_array69);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException12, localizable37, (java.lang.Object[])throwable_array69);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException73 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathInternalError6, localizable7, (java.lang.Object[])throwable_array69);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException74 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array69);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext75 = mathArithmeticException74.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str19.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str31.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str52.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str64.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext75);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test145"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(100.00001f, 0.99999994f, 19.999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test146"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.1798986664081567d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.17798274632664318d));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test147"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array5 = noBracketingException4.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)noBracketingException4, localizable6, obj_array7);
    double d9 = noBracketingException4.getLo();
    double d10 = noBracketingException4.getLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError11 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = mathInternalError11.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.7182818187002955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.7182818187002955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test148"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException5 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array6 = noBracketingException5.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d13 = noBracketingException12.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable14, obj_array16);
    noBracketingException12.addSuppressed((java.lang.Throwable)mathArithmeticException17);
    double d19 = noBracketingException12.getFHi();
    double d20 = noBracketingException12.getLo();
    mathInternalError7.addSuppressed((java.lang.Throwable)noBracketingException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test149"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-2272.5146692781927d), 0.12643538424785203d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.12643538424785203d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test150"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.0893076889567266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.972215662389171d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test151"); }


    float f2 = org.apache.commons.math.util.Precision.round((-0.9999999f), 1400279155);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test152"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test153"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.8299869876785411d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6804690190534914d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test154"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.5957852165604962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test155"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(874941345, maxCountExceededCallback1);
    boolean b3 = incrementor2.canIncrement();
    incrementor2.incrementCount(1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test156"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test157"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.19559836225511296d, 4.3765490441485964E-10d, (-0.00836567373072187d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test158"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.6865874069985796d, (java.lang.Number)(-0.3677975413421423d), true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    boolean b6 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.3677975413421423d)+ "'", number4.equals((-0.3677975413421423d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-0.3677975413421423d)+ "'", number5.equals((-0.3677975413421423d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test159"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-54.123672182498595d), 2.0366746759700116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test160"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.0710699336332185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test161"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(4.2E-45f, 160.00003f, 1015383049);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test162"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-1.1920926E-7f), 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920926E-7f);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test163"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-0.531d), 0.8591409142295227d, (-4.122307281809905E-9d), 1.1366294794179037d);
    double d5 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8591409142295227d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test164"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-49), (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-20));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test165"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.9333761944764719d, 2.5260025556195434E-308d, 0.007273792775339285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test166"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.1401445520802405d, 0.818123595566113d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.32202095651412743d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test167"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.0079612623458811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7400091569470733d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test168"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d12 = noBracketingException11.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    noBracketingException11.addSuppressed((java.lang.Throwable)mathArithmeticException16);
    java.lang.String str18 = noBracketingException11.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d24 = noBracketingException23.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable25, obj_array27);
    noBracketingException23.addSuppressed((java.lang.Throwable)mathArithmeticException28);
    java.lang.String str30 = noBracketingException23.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext31 = noBracketingException23.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError32 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException23);
    noBracketingException11.addSuppressed((java.lang.Throwable)noBracketingException23);
    java.lang.Throwable[] throwable_array34 = noBracketingException11.getSuppressed();
    java.lang.Throwable[] throwable_array35 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.MathInternalError mathInternalError37 = new org.apache.commons.math.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor1, localizable4, (java.lang.Object[])throwable_array35);
    int i39 = incrementor1.getMaximalCount();
    boolean b40 = incrementor1.canIncrement();
    boolean b41 = incrementor1.canIncrement();
    incrementor1.setMaximalCount(976835553);
    incrementor1.setMaximalCount((-1967717439));
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str18.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str30.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test169"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.024617123152436804d, 0.0d, (-0.18284441161891168d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test170"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getMaximalCount();
    boolean b5 = incrementor2.canIncrement();
    incrementor2.incrementCount();
    boolean b7 = incrementor2.canIncrement();
    incrementor2.resetCount();
    int i9 = incrementor2.getMaximalCount();
    boolean b10 = incrementor2.canIncrement();
    int i11 = incrementor2.getMaximalCount();
    incrementor2.resetCount();
    boolean b13 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test171"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    boolean b3 = incrementor1.canIncrement();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test172"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array7 = noBracketingException6.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.MathInternalError mathInternalError9 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test173"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    double d7 = noBracketingException6.getFHi();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array14 = noBracketingException13.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError(localizable8, (java.lang.Object[])throwable_array14);
    noBracketingException6.addSuppressed((java.lang.Throwable)mathInternalError15);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = mathInternalError15.getContext();
    java.lang.Throwable[] throwable_array18 = mathInternalError15.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test174"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-0.11438237033085881d), obj_array2);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = maxCountExceededException3.getContext();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable8, obj_array10);
    org.apache.commons.math.exception.MathInternalError mathInternalError12 = new org.apache.commons.math.exception.MathInternalError(localizable7, obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, obj_array10);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)exceptionContext4, localizable5, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test175"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(2.2250738585072014E-308d, 1.570747403115875d, 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test176"); }


    int i2 = org.apache.commons.math.util.FastMath.max(976835553, (-1163426587));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 976835553);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test177"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)20440.701141914098d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test178"); }


    org.apache.commons.math.util.MathUtils.checkFinite(7.3484692283495345d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test179"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-2075393087));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test180"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo((-1.5707963267948966d), 0.3246102543116496d, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test181"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)3.886651753045267d);
    java.lang.Throwable[] throwable_array8 = maxCountExceededException7.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 0.13662948300794686d, 0.28637393093874625d, 1.8084134853132112d, (-0.18348078201389906d), (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError10 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test182"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.5223913414501404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7227664501414965d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test183"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.5957783731911734d, number2, true);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test184"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-127), maxCountExceededCallback1);
    incrementor2.setMaximalCount(128);
    incrementor2.incrementCount();
    incrementor2.resetCount();
    incrementor2.incrementCount((-874941345));
    int i9 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test185"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(3.575115861656346E11d, 5.440452381632253d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test186"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-44L), 53L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-44L));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test187"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.5309649148733797d), 1.2925629627099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3897687054801237d));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test188"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.03985729693727197d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.039836204518141294d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test189"); }


    double[] d_array2 = new double[] { 100.0d, (-1.0d) };
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    int i10 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1967717439));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test190"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.7120453840739346d, 0.5370292721463152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9246084757155402d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test191"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-4.768373E-7f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test192"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.7797939183542818d, obj_array2);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test193"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-320.00006f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test194"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.0017400348027523523d, 0.49236d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test195"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver2.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver2.solve(0, univariateFunction10, 37.517225160409026d, 0.04472068070296614d, 0.6584789484624083d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test196"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)10.0d, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable7, (java.lang.Number)0.022037002837017282d, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, number5, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)(-874941345), obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)9.9582424412334E-4d, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test197"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.07205418597153357d, 1.2211074820103929d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2211074820103929d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test198"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.3630554744198925d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test199"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-918077825), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-918077825));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.0373098963445306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8037094307624446d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test201"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(462.2507042261156d, 0.32202095651412743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 231.28636259131486d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test202"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.8329441694248019d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test203"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array16 = noBracketingException15.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError17 = new org.apache.commons.math.exception.MathInternalError(localizable10, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable9, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, number7, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, number5, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)37.517225160409026d, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.3087000581134833d, (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test204"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.8768574652428865d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-1.0048549948578882d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test206"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.5430806348151715d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test207"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-1967717439));
    int i5 = incrementor1.getCount();
    incrementor1.incrementCount((-23));
    incrementor1.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test208"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(10.000003f, (-5.000001f), 20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test209"); }


    double d2 = org.apache.commons.math.util.FastMath.min(9.992007221626409E-15d, (-0.002253064815785123d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.002253064815785123d));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test210"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.0146853834226308d, 2.5346958487132123d, 0.9361829248913316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test211"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable8, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)(byte)10, obj_array11);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)true, localizable5, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable3, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, obj_array11);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.1136411843375995d, localizable1, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test212"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.009051431057179439d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.009051554652569417d));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test213"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-1.1920926E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.1054274E-15f);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test214"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(100.0f, (-1.2676506E30f), 4.440893E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test215"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getMax();
    double d4 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver2.solve(8, univariateFunction8, 2.8818598552420744d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test216"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.32202095651412743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.005620325951593006d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test217"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)10.0d, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable7, (java.lang.Number)0.022037002837017282d, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, obj_array13);
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 3.1003275537854505E-17d, 3.1003275537854505E-17d, 0.0d, 8.29993155847868d, obj_array13);
    java.lang.Throwable[] throwable_array19 = noBracketingException18.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test218"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(7.061152384316786d, 1064993045);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test219"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-5.8774734E-38f), 160.00005f, (-1784094955));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test220"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.5752220392306202d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test221"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d19 = noBracketingException18.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math.exception.MathArithmeticException(localizable20, obj_array22);
    noBracketingException18.addSuppressed((java.lang.Throwable)mathArithmeticException23);
    java.lang.String str25 = noBracketingException18.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext26 = noBracketingException18.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError27 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException18);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext28 = mathInternalError27.getContext();
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math.exception.MathArithmeticException(localizable35, obj_array37);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException39 = new org.apache.commons.math.exception.NullArgumentException(localizable34, obj_array37);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException40 = new org.apache.commons.math.exception.MathArithmeticException(localizable33, obj_array37);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException41 = new org.apache.commons.math.exception.NullArgumentException(localizable32, obj_array37);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException42 = new org.apache.commons.math.exception.MaxCountExceededException(localizable30, (java.lang.Number)100.0d, obj_array37);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError27, localizable29, obj_array37);
    org.apache.commons.math.exception.NoBracketingException noBracketingException44 = new org.apache.commons.math.exception.NoBracketingException(localizable9, 0.6483608274590866d, 1.1102230246251565E-16d, 0.0d, 2.1162472688021303d, obj_array37);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException45 = new org.apache.commons.math.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array37);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array37);
    org.apache.commons.math.exception.NoBracketingException noBracketingException47 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 1.1583340157739697d, 0.12643538424785206d, 0.6498256797192261d, 0.8730716413572609d, obj_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str25.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test222"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(5.877473E-38f, (-196194443), (-1329149375));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test223"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1967717439), maxCountExceededCallback1);
    boolean b3 = incrementor2.canIncrement();
    int i4 = incrementor2.getCount();
    incrementor2.incrementCount((-1329149375));
    int i7 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test224"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.7602445970756264d, 0.7468184870649933d, (-1070449601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test225"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(21.766990071586857d, 0.6441559968846773d, 1.2947690041106148d, 1074790400);
    int i5 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d6 = bracketingNthOrderBrentSolver4.getMax();
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1074790400);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test226"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(2.161096529304051d, (-0.004587619728815585d), (-2.5022768317088775d), 7);
    double d5 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.161096529304051d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-2.5022768317088775d));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test227"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException7 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d8 = noBracketingException7.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array11);
    noBracketingException7.addSuppressed((java.lang.Throwable)mathArithmeticException12);
    java.lang.String str14 = noBracketingException7.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d20 = noBracketingException19.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array23);
    noBracketingException19.addSuppressed((java.lang.Throwable)mathArithmeticException24);
    java.lang.String str26 = noBracketingException19.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext27 = noBracketingException19.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException19);
    noBracketingException7.addSuppressed((java.lang.Throwable)noBracketingException19);
    java.lang.Throwable[] throwable_array30 = noBracketingException7.getSuppressed();
    java.lang.Throwable[] throwable_array31 = noBracketingException7.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)3L, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException33 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException45 = new org.apache.commons.math.exception.MathArithmeticException(localizable42, obj_array44);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException46 = new org.apache.commons.math.exception.NullArgumentException(localizable41, obj_array44);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException47 = new org.apache.commons.math.exception.MathArithmeticException(localizable40, obj_array44);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException48 = new org.apache.commons.math.exception.NullArgumentException(localizable39, obj_array44);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException49 = new org.apache.commons.math.exception.NullArgumentException(localizable38, obj_array44);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException(localizable37, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable36, obj_array44);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException52 = new org.apache.commons.math.exception.NullArgumentException(localizable35, obj_array44);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException33, localizable34, obj_array44);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str14.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str26.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test228"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.32715056168423856d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test229"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)3.0d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test230"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 3.0938197180036557E-16d, 0.8414709848078965d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test231"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 2.718281828459045d, (-0.5188036505985726d), 3);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction6 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d16 = bracketingNthOrderBrentSolver15.getMin();
    double d17 = bracketingNthOrderBrentSolver15.getStartValue();
    double d18 = bracketingNthOrderBrentSolver15.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction23 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d27 = bracketingNthOrderBrentSolver26.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution31 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d32 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction23, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver26, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution31);
    double d33 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution31);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i42 = bracketingNthOrderBrentSolver41.getEvaluations();
    double d43 = bracketingNthOrderBrentSolver41.getStartValue();
    double d44 = bracketingNthOrderBrentSolver41.getMin();
    int i45 = bracketingNthOrderBrentSolver41.getMaximalOrder();
    double d46 = bracketingNthOrderBrentSolver41.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction51 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver52 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    double d53 = bracketingNthOrderBrentSolver52.getMin();
    double d54 = bracketingNthOrderBrentSolver52.getMax();
    double d55 = bracketingNthOrderBrentSolver52.getMax();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction60 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver64 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.440892098500626E-16d, 1.1102230246251565E-16d, 1967717439);
    double d65 = bracketingNthOrderBrentSolver64.getStartValue();
    double d66 = bracketingNthOrderBrentSolver64.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction71 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver74 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d75 = bracketingNthOrderBrentSolver74.getMin();
    double d76 = bracketingNthOrderBrentSolver74.getStartValue();
    double d77 = bracketingNthOrderBrentSolver74.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction82 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver85 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d86 = bracketingNthOrderBrentSolver85.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution90 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d91 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction82, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver85, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution90);
    double d92 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction71, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver74, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution90);
    double d93 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-23), univariateFunction60, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver64, 1.1635875355805436d, (-0.5440211108893698d), 0.9332106064260779d, allowedSolution90);
    double d94 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(50, univariateFunction51, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver52, 0.0d, 15.81011665143969d, 1.2206771E7d, allowedSolution90);
    double d95 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1847673983, univariateFunction38, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver41, 1095.6331584284585d, 0.0d, 1.0000000000000018d, allowedSolution90);
    double d96 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(5, univariateFunction10, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 1.5707963267948968d, 114700.63288698878d, 0.7478773013635892d, allowedSolution90);
    // The following exception was thrown during execution in test generation
    try {
      double d97 = bracketingNthOrderBrentSolver4.solve(458693509, univariateFunction6, 6.162975822039155E-33d, 1.2334031175112175d, allowedSolution90);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 1.1635875355805436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 1095.6331584284585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 1.5707963267948968d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test232"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(2.025718905003628d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0257189050036275d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test233"); }


    long long2 = org.apache.commons.math.util.FastMath.max(100L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test234"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i9 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d11 = bracketingNthOrderBrentSolver2.getMax();
    int i12 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i13 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d14 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d15 = bracketingNthOrderBrentSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test235"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.625f, 5.8774734E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.625f);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test236"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.05634969324539338d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test237"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.07374182E9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test238"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.9389941330927146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.837571488377393d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test239"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d8 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test240"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(114700.63288698878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test241"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1.3730690300309085d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    java.lang.Number number3 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test242"); }


    double[] d_array2 = new double[] { 100.0d, (-1.0d) };
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    int i7 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1967717439));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test243"); }


    int i2 = org.apache.commons.math.util.MathUtils.copySign(1560231314, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1560231314));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test244"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(5.886096315311465d, 1.5700331868619057d, 33.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test245"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(54.0d, 0.07360937009233438d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test246"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(2.0737120853713907E7d, 1.0000000000000003E-15d, 0.4209174164072575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 5.172103467732114E-9d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test247"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d12 = noBracketingException11.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    noBracketingException11.addSuppressed((java.lang.Throwable)mathArithmeticException16);
    java.lang.String str18 = noBracketingException11.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d24 = noBracketingException23.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable25, obj_array27);
    noBracketingException23.addSuppressed((java.lang.Throwable)mathArithmeticException28);
    java.lang.String str30 = noBracketingException23.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext31 = noBracketingException23.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError32 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException23);
    noBracketingException11.addSuppressed((java.lang.Throwable)noBracketingException23);
    java.lang.Throwable[] throwable_array34 = noBracketingException11.getSuppressed();
    java.lang.Throwable[] throwable_array35 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.MathInternalError mathInternalError37 = new org.apache.commons.math.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor1, localizable4, (java.lang.Object[])throwable_array35);
    int i39 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount((-1535368092));
    boolean b42 = incrementor1.canIncrement();
    incrementor1.resetCount();
    int i44 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str18.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str30.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test248"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-1.1920926E-7f), 4.440893E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920926E-7f);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test249"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(5.6843426E-14f, 9.0071993E15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test250"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i9 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test251"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d17 = noBracketingException16.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable18, obj_array20);
    noBracketingException16.addSuppressed((java.lang.Throwable)mathArithmeticException21);
    java.lang.String str23 = noBracketingException16.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext24 = noBracketingException16.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError25 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException16);
    noBracketingException4.addSuppressed((java.lang.Throwable)noBracketingException16);
    java.lang.Throwable[] throwable_array27 = noBracketingException4.getSuppressed();
    double d28 = noBracketingException4.getLo();
    double d29 = noBracketingException4.getHi();
    double d30 = noBracketingException4.getLo();
    double d31 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str23.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test252"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(2.1162472688021303d, 0.6865874069985796d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test253"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-20.000002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-20.0f));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test254"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver2.getMax();
    double d9 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test255"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.8296703894212463d, 4.354911728584023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8296703894212463d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test256"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(10.000003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test257"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(2.479328535225766d, (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.955589932472427E-7d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.7646695192514715d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7646695192514715d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test259"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver2.solve(1424494881, univariateFunction7, 0.02715925027467173d, 0.0d, Double.NaN);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test260"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.36787944117144233d, 0.0d, 1.6743247069755607d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test261"); }


    int i1 = org.apache.commons.math.util.FastMath.round(10.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test262"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.9999985816919765d, 3.19002719026116E-309d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999985816919765d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test263"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(4.440893E-15f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.440893E-15f);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test264"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-1.5435823858388722d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5435823858388722d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test265"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.4161063330010749d, (-1.1102230246251564E-16d), 0.08151195470392862d, 544048009);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction6 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d14 = bracketingNthOrderBrentSolver13.getAbsoluteAccuracy();
    double d15 = bracketingNthOrderBrentSolver13.getRelativeAccuracy();
    double d16 = bracketingNthOrderBrentSolver13.getFunctionValueAccuracy();
    double d17 = bracketingNthOrderBrentSolver13.getStartValue();
    double d18 = bracketingNthOrderBrentSolver13.getMin();
    double d19 = bracketingNthOrderBrentSolver13.getMin();
    int i20 = bracketingNthOrderBrentSolver13.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction25 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver26 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction31 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d35 = bracketingNthOrderBrentSolver34.getAbsoluteAccuracy();
    double d36 = bracketingNthOrderBrentSolver34.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction41 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d45 = bracketingNthOrderBrentSolver44.getAbsoluteAccuracy();
    double d46 = bracketingNthOrderBrentSolver44.getRelativeAccuracy();
    int i47 = bracketingNthOrderBrentSolver44.getMaximalOrder();
    int i48 = bracketingNthOrderBrentSolver44.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction53 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver56 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d57 = bracketingNthOrderBrentSolver56.getMin();
    double d58 = bracketingNthOrderBrentSolver56.getStartValue();
    double d59 = bracketingNthOrderBrentSolver56.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction64 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver67 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d68 = bracketingNthOrderBrentSolver67.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution72 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d73 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction64, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver67, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution72);
    double d74 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction53, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver56, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution72);
    double d75 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction41, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution72);
    double d76 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateFunction31, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver34, 0.48151208381769545d, 5.215234626507164E-5d, 3.0d, allowedSolution72);
    double d77 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(20, univariateFunction25, bracketedUnivariateRealSolver26, 10.933248970779042d, 5.624643559664547E-8d, 0.9999999986400665d, allowedSolution72);
    double d78 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-128), univariateFunction10, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver13, 0.0d, 21.766990071586857d, 0.010656364320134486d, allowedSolution72);
    // The following exception was thrown during execution in test generation
    try {
      double d79 = bracketingNthOrderBrentSolver4.solve((-196194443), univariateFunction6, 1.5696623756169603d, (-0.32715056168423856d), allowedSolution72);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.48151208381769545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 10.933248970779042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test266"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.004986548582295446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.3010112754052585d));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test267"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.021135928487469813d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test268"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(4.0897243186348575d, 0.4530808427439146d, (-874941345));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test269"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 0.0d, 1.0215608260008333d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test270"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(3.6501527064785146d, 0.36963425572847936d, 0.04597354534407794d, 0.0d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 3.6501527064785146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 3.6501527064785146d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test271"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.12576804538603523d, (-0.07886936723716953d), (-102.8649663546518d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.10080968079606176d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test273"); }


    double d2 = org.apache.commons.math.util.FastMath.log((-0.6474581350383549d), 0.317163477210762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test274"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(10.74417423665706d, 0.9890234934127924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9890234934127928d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test275"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(5.0f, 5.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0f);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test276"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-4.7683716E-7f), (-1.2676506E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test277"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(2.8E-45f, 1, 127);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test278"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(0.0f, 81254791, (-1784094955));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test279"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-985.0918908359457d), 2.0780145139211177d, (-0.24156447527049035d), 1.474214332178235d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test280"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)0.36365553567246267d, false);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test281"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.04217946995420697d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test282"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, (-0.6331918331235807d), 1.6743247069755607d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test283"); }


    int i1 = org.apache.commons.math.util.FastMath.round(5.0000005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test284"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(1.0E-15d, 180.0d, 0.0d, Double.NaN);
    java.lang.Throwable[] throwable_array13 = noBracketingException12.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.1798534997924781d), (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathInternalError mathInternalError17 = new org.apache.commons.math.exception.MathInternalError(localizable4, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)5.643803094122362E102d, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, number1, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test285"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)10.0d, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)0.022037002837017282d, obj_array14);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable7, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable2, 1.5707963267948968d, 0.11808715599482482d, (-0.47662556545170265d), 54.71533675390604d, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-1784094955), obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test286"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.206457297555837d);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    boolean b4 = notStrictlyPositiveException2.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.031249999981301846d, (java.lang.Number)4.440892098500626E-16d, true);
    java.lang.Throwable[] throwable_array10 = numberIsTooLargeException9.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)notStrictlyPositiveException2, localizable5, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 1.206457297555837d+ "'", number3.equals(1.206457297555837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test288"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(4.768372E-7f, 0.663102688906211d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.768373E-7f);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test289"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 8.018249970461696E-4d, 6.096518757339609E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test290"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.13578560152628386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 287849465);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.log(231.28636259131486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.443656607669168d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test292"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, 25.873783114185805d, 1.1510104496201798d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test293"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.092373585701346d, 4.682323769662242d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.22919777892915824d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test294"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-1967717439));
    incrementor1.incrementCount(0);
    incrementor1.setMaximalCount((-1074790400));
    incrementor1.resetCount();
    incrementor1.resetCount();

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test295"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(8.018249111275097E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5699945017978505d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test296"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.9589737975683887d, 1.4963311028856776d, (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test297"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(390589259);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 390589259);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test298"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.7561696087375546d, (-1711358670), (-1061914504));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test299"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.06321769212392601d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-545045385));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test300"); }


    double[] d_array0 = new double[] {  };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test301"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-4.9999995f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test302"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign((-6L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6L);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test303"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5957783731911734d, (java.lang.Number)(-1.095656330774301d), true);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test304"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-3.141592653589793d));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test305"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(5.6E-45f, 1.26765045E30f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test306"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.01468485558550085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.014578077174768096d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test307"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.2490457723982544d, 0.8414709848078965d, 0.7709477525576782d, 740799305);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test308"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)9.999999999999951E-15d);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    java.lang.String str3 = tooManyEvaluationsException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 9.999999999999951E-15d+ "'", number2.equals(9.999999999999951E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0) exceeded: evaluations"+ "'", str3.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0) exceeded: evaluations"));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test309"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.9332106064260779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test310"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)3.0d, (java.lang.Number)0.19240232101240595d, false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    org.apache.commons.math.exception.MathInternalError mathInternalError5 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = numberIsTooLargeException3.getContext();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException8 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9957901438005426d);
    java.lang.Number number9 = tooManyEvaluationsException8.getMax();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = tooManyEvaluationsException8.getContext();
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)tooManyEvaluationsException8);
    boolean b12 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.19240232101240595d+ "'", number4.equals(0.19240232101240595d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.9957901438005426d+ "'", number9.equals(0.9957901438005426d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test311"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(18.945757082044963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 18.945757082044963d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.1170341915711445E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 14.048066466744446d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test313"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(4.900044814348803E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test314"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 544048009);
    double d3 = bracketingNthOrderBrentSolver2.getStartValue();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 544048009);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test315"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-5.8774734E-38f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.6E-45f);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test316"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.7692820172508762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test317"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)2.220446049250313E-16d);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    java.lang.Throwable[] throwable_array3 = tooManyEvaluationsException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 2.220446049250313E-16d+ "'", number2.equals(2.220446049250313E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test318"); }


    double d2 = org.apache.commons.math.util.FastMath.log(4.900044814348803E-10d, 2.220446049250314E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.681406674892835d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test319"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(2.8311091256021585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test320"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.8716108494320907d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4182772246459742d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test321"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException5 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 15.81011665143969d, 0.0962011605d, 0.6865874069985796d);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException16 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable12, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number17 = numberIsTooLargeException16.getMax();
    java.lang.Throwable[] throwable_array18 = numberIsTooLargeException16.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable22, obj_array24);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException26 = new org.apache.commons.math.exception.NullArgumentException(localizable21, obj_array24);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math.exception.NullArgumentException(localizable20, obj_array24);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException16, localizable19, obj_array24);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable10, number11, obj_array24);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.8353925876344328d, obj_array24);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException(localizable7, (java.lang.Number)1.4366287050963582d, obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException5, localizable6, obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 100.0d+ "'", number17.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test322"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.1293614785100328d, 2.7755575615628914E-17d, 0.014685911293911318d, 0.17984509226152856d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test323"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.18348078201389906d), 0.04594118331605845d, 0.4318525548139662d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test324"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.031743407479810984d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-5));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test325"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)6.283185307179586d, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array9);
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable2, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, number1, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test326"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.1624473515096265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.06537329234338424d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test327"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(2.6760087193979793E-14d, 1.0160337832869915d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test328"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getMin();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getMax();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d9 = bracketingNthOrderBrentSolver2.getMax();
    int i10 = bracketingNthOrderBrentSolver2.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test329"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.045446018769951545d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test330"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0, (java.lang.Number)100L, false);
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    java.lang.Number number5 = numberIsTooLargeException3.getArgument();
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test331"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.127458274313969d, 1.0154425376048997d, 185489086);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test332"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-1L), (-4L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4L));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test333"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 0.9999999988033189d, 1.1364210964124613d, 0.0d, (-306326488));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test334"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(2.296643284416172d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.940758090559077d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test335"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.0071345205286681d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6967080932425543d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test336"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.8189894E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.8189894E-12f);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test337"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    int i7 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d8 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction14 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d18 = bracketingNthOrderBrentSolver17.getMin();
    double d19 = bracketingNthOrderBrentSolver17.getStartValue();
    double d20 = bracketingNthOrderBrentSolver17.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d29 = bracketingNthOrderBrentSolver28.getAbsoluteAccuracy();
    double d30 = bracketingNthOrderBrentSolver28.getRelativeAccuracy();
    int i31 = bracketingNthOrderBrentSolver28.getMaximalOrder();
    int i32 = bracketingNthOrderBrentSolver28.getMaxEvaluations();
    int i33 = bracketingNthOrderBrentSolver28.getMaxEvaluations();
    double d34 = bracketingNthOrderBrentSolver28.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction39 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver42 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d43 = bracketingNthOrderBrentSolver42.getAbsoluteAccuracy();
    double d44 = bracketingNthOrderBrentSolver42.getRelativeAccuracy();
    int i45 = bracketingNthOrderBrentSolver42.getMaximalOrder();
    int i46 = bracketingNthOrderBrentSolver42.getEvaluations();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction51 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver54 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d55 = bracketingNthOrderBrentSolver54.getMin();
    double d56 = bracketingNthOrderBrentSolver54.getStartValue();
    double d57 = bracketingNthOrderBrentSolver54.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction62 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver65 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d66 = bracketingNthOrderBrentSolver65.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution70 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d71 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction62, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver65, 0.0d, 1.1366294794179037d, 3.0d, allowedSolution70);
    double d72 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1967717439, univariateFunction51, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver54, 0.0d, 0.6483608274590866d, 0.10098051551740299d, allowedSolution70);
    double d73 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-127), univariateFunction39, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver42, 2.220446049250313E-16d, (-36.7368005696771d), 2.5346958487132123d, allowedSolution70);
    double d74 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(184331630, univariateFunction25, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver28, (-2104.863625456296d), 0.4800756917930489d, 1.5707659753439986d, allowedSolution70);
    double d75 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1330741599), univariateFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver17, 2.4865666763592723E-5d, 2.292268754004146d, 15.81011665143969d, allowedSolution70);
    // The following exception was thrown during execution in test generation
    try {
      double d76 = bracketingNthOrderBrentSolver2.solve(2, univariateFunction10, (-1.0345114944543885d), 1.0160337832869915d, allowedSolution70);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == (-2104.863625456296d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 2.4865666763592723E-5d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test338"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0162254537816877d, 0.0d, 739703581);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test339"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.9194498899856293d, 308.73182366778815d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test340"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, (-1061914504));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1061914504));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test341"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)53.42599632431198d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test342"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.5707963267948966d);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException10 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d11 = noBracketingException10.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable12, obj_array14);
    noBracketingException10.addSuppressed((java.lang.Throwable)mathArithmeticException15);
    java.lang.String str17 = noBracketingException10.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext18 = noBracketingException10.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException10);
    java.lang.Throwable[] throwable_array20 = mathInternalError19.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)0.13662948300794686d, (java.lang.Object[])throwable_array20);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, (java.lang.Object[])throwable_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException1, localizable2, (java.lang.Object[])throwable_array20);
    java.lang.String str24 = tooManyEvaluationsException1.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext25 = tooManyEvaluationsException1.getContext();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)tooManyEvaluationsException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str17.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (1.571) exceeded: evaluations"+ "'", str24.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (1.571) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext25);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test343"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    double d12 = noBracketingException4.getHi();
    double d13 = noBracketingException4.getHi();
    double d14 = noBracketingException4.getHi();
    double d15 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test344"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 5.924424391350395E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.924424391350395E-308d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test345"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-7.5557864E22f), 1.1920926E-7f, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test346"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    incrementor1.setMaximalCount(0);
    incrementor1.resetCount();
    incrementor1.resetCount();
    int i8 = incrementor1.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test347"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-196194443), 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 50);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test348"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(1.8084134853132112d, 0.09649903301512024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0964990330151203d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test349"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.26765045E30f, 6.338254E30f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test350"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.9999999f, 7.1054274E-15f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test351"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(22.45915771836105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.39198624941009763d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test352"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, (-2.0d), (-1.7047480922384266d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test353"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794897d, (-0.2628512484720843d), 1753944293);
    double d4 = bracketingNthOrderBrentSolver3.getMin();
    double d5 = bracketingNthOrderBrentSolver3.getMin();
    double d6 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    double d7 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-0.2628512484720843d));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test354"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.36056625253140256d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3688749114899926d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test355"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.5248874823788414d, 2.225073858507202E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5248874823788414d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test356"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.13457052581830917d, 79315846);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test357"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(5.924424391350395E-308d, 0.8528381496908556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8528381496908556d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test358"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1967717439), maxCountExceededCallback1);
    incrementor2.resetCount();
    int i4 = incrementor2.getMaximalCount();
    incrementor2.setMaximalCount(1424494881);
    int i7 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1967717439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test359"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-20.0f), (-5.000001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test360"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException8 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d9 = noBracketingException8.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    noBracketingException8.addSuppressed((java.lang.Throwable)mathArithmeticException13);
    java.lang.String str15 = noBracketingException8.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d21 = noBracketingException20.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable22, obj_array24);
    noBracketingException20.addSuppressed((java.lang.Throwable)mathArithmeticException25);
    java.lang.String str27 = noBracketingException20.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext28 = noBracketingException20.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError29 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException20);
    noBracketingException8.addSuppressed((java.lang.Throwable)noBracketingException20);
    java.lang.Throwable[] throwable_array31 = noBracketingException8.getSuppressed();
    java.lang.Throwable[] throwable_array32 = noBracketingException8.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException33 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)3L, (java.lang.Object[])throwable_array32);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException34 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array32);
    java.lang.Throwable[] throwable_array35 = nullArgumentException34.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException41 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable37, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number42 = numberIsTooLargeException41.getMax();
    java.lang.Throwable[] throwable_array43 = numberIsTooLargeException41.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException(localizable47, obj_array49);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException51 = new org.apache.commons.math.exception.NullArgumentException(localizable46, obj_array49);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException52 = new org.apache.commons.math.exception.NullArgumentException(localizable45, obj_array49);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException41, localizable44, obj_array49);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)throwable_array35, localizable36, obj_array49);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException55 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str15.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str27.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number42 + "' != '" + 100.0d+ "'", number42.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test361"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)10.0d, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.022037002837017282d, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 3.1003275537854505E-17d, 3.1003275537854505E-17d, 0.0d, 8.29993155847868d, obj_array12);
    java.lang.Throwable[] throwable_array18 = noBracketingException17.getSuppressed();
    double d19 = noBracketingException17.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 8.29993155847868d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.6332470701390821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6857415011379802d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test363"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d17 = noBracketingException16.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable18, obj_array20);
    noBracketingException16.addSuppressed((java.lang.Throwable)mathArithmeticException21);
    java.lang.String str23 = noBracketingException16.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext24 = noBracketingException16.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError25 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException16);
    noBracketingException4.addSuppressed((java.lang.Throwable)noBracketingException16);
    java.lang.Throwable[] throwable_array27 = noBracketingException4.getSuppressed();
    double d28 = noBracketingException4.getLo();
    double d29 = noBracketingException4.getHi();
    double d30 = noBracketingException4.getFHi();
    java.lang.String str31 = noBracketingException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str23.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str31.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test364"); }


    int i2 = org.apache.commons.math.util.MathUtils.copySign(0, (-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test365"); }


    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable4, (java.lang.Number)100.0d, (java.lang.Number)100.0d, false);
    java.lang.Number number9 = numberIsTooLargeException8.getMax();
    java.lang.Throwable[] throwable_array10 = numberIsTooLargeException8.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0L, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)4.9E-324d, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-1.4224317035003551E-15d), (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100.0d+ "'", number9.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test366"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.6568244838366362d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7710291522933201d));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test367"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(short)100, (java.lang.Number)100.0d, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test368"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable14, obj_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable11, (java.lang.Number)6.283185307179586d, obj_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)0.9999999999999385d, obj_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math.exception.NullArgumentException(localizable7, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)(-0.6587140531282547d), obj_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.11905811950055678d, 0.5147970990590502d, 0.7364536013098865d, 0.13416473206961382d, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test369"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, number2, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d19 = noBracketingException18.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math.exception.MathArithmeticException(localizable20, obj_array22);
    noBracketingException18.addSuppressed((java.lang.Throwable)mathArithmeticException23);
    java.lang.String str25 = noBracketingException18.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException30 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d31 = noBracketingException30.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException35 = new org.apache.commons.math.exception.MathArithmeticException(localizable32, obj_array34);
    noBracketingException30.addSuppressed((java.lang.Throwable)mathArithmeticException35);
    java.lang.String str37 = noBracketingException30.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext38 = noBracketingException30.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError39 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException30);
    noBracketingException18.addSuppressed((java.lang.Throwable)noBracketingException30);
    java.lang.Throwable[] throwable_array41 = noBracketingException18.getSuppressed();
    java.lang.Throwable[] throwable_array42 = noBracketingException18.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException43 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable12, number13, (java.lang.Object[])throwable_array42);
    java.lang.Throwable[] throwable_array44 = notFiniteNumberException43.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException45 = new org.apache.commons.math.exception.NoBracketingException(localizable7, 0.0d, 1.1510104496201798d, 9.765624988313661E-4d, 0.8165266406141584d, (java.lang.Object[])throwable_array44);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException46 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)20440.701141914098d, (java.lang.Object[])throwable_array44);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException47 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, (java.lang.Object[])throwable_array44);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathArithmeticException47);
    java.lang.Number number49 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str25.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str37.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number49);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test370"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(5.877473E-38f, 6.338254E30f, 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test371"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.047475688758873646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test372"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.4511908293551297d, 0.999316940461963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.999316940461963d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.9908489271063229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.526500182266232d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test374"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.4588404896618667d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4588404896618667d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test375"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateFunction0, 1.5103903993390886d, 0.0d, (-0.41832553267166406d), (-49));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test376"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-7.338681325158633d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test377"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 6.162975822039155E-33d, 2.3047342273498117d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test378"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.277511964585145d, 0.6958147852010385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0720590763279594d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test379"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.07205418597153357d, 0.045973545344077944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07205418597153357d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test380"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-10.000003f), 4.440893E-15f, 49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test381"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.9984425351807842d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7140514952951702d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test382"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d14 = noBracketingException13.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable15, obj_array17);
    noBracketingException13.addSuppressed((java.lang.Throwable)mathArithmeticException18);
    java.lang.String str20 = noBracketingException13.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext21 = noBracketingException13.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError22 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException13);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext23 = mathInternalError22.getContext();
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException33 = new org.apache.commons.math.exception.MathArithmeticException(localizable30, obj_array32);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException34 = new org.apache.commons.math.exception.NullArgumentException(localizable29, obj_array32);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException35 = new org.apache.commons.math.exception.MathArithmeticException(localizable28, obj_array32);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException36 = new org.apache.commons.math.exception.NullArgumentException(localizable27, obj_array32);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException37 = new org.apache.commons.math.exception.MaxCountExceededException(localizable25, (java.lang.Number)100.0d, obj_array32);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError22, localizable24, obj_array32);
    org.apache.commons.math.exception.NoBracketingException noBracketingException39 = new org.apache.commons.math.exception.NoBracketingException(localizable4, 0.6483608274590866d, 1.1102230246251565E-16d, 0.0d, 2.1162472688021303d, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException46 = new org.apache.commons.math.exception.MathArithmeticException(localizable43, obj_array45);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException47 = new org.apache.commons.math.exception.NullArgumentException(localizable42, obj_array45);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException48 = new org.apache.commons.math.exception.MathArithmeticException(localizable41, obj_array45);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.6483608274590866d, localizable40, obj_array45);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException50 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, number3, obj_array45);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.13154268051357476d, localizable1, obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str20.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test383"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-7.5557864E22f), 816881685);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test384"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.4834085104004727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3943424873946501d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.4901161082825359E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999999999999d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test386"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5L);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test387"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.7840448555676929d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6649361970668485d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test388"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    incrementor1.incrementCount((-44));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test389"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.07884627484657535d, (-0.01636008867235675d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.08052569502059001d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test390"); }


    double d2 = org.apache.commons.math.util.FastMath.log(88.04054281205701d, 0.014931683242481203d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9389147241649762d));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test391"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d18 = noBracketingException17.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable19, obj_array21);
    noBracketingException17.addSuppressed((java.lang.Throwable)mathArithmeticException22);
    java.lang.String str24 = noBracketingException17.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException29 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d30 = noBracketingException29.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException34 = new org.apache.commons.math.exception.MathArithmeticException(localizable31, obj_array33);
    noBracketingException29.addSuppressed((java.lang.Throwable)mathArithmeticException34);
    java.lang.String str36 = noBracketingException29.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext37 = noBracketingException29.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError38 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException29);
    noBracketingException17.addSuppressed((java.lang.Throwable)noBracketingException29);
    java.lang.Throwable[] throwable_array40 = noBracketingException17.getSuppressed();
    java.lang.Throwable[] throwable_array41 = noBracketingException17.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException42 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable11, number12, (java.lang.Object[])throwable_array41);
    java.lang.Throwable[] throwable_array43 = notFiniteNumberException42.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException44 = new org.apache.commons.math.exception.NoBracketingException(localizable6, 0.0d, 1.1510104496201798d, 9.765624988313661E-4d, 0.8165266406141584d, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException45 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)20440.701141914098d, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.2666118960332404d, localizable3, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException48 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)76, (java.lang.Object[])throwable_array43);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str49 = notFiniteNumberException48.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str24.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str36.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test392"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.002255606785182803d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.002255610610520728d));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test393"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0L, number1, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException3.getMax();
    java.lang.Number number7 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0L+ "'", number4.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test394"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-320.0001f), 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-320.0001f));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test395"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(3.6028801E16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.6028806E16f);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test396"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.1798469907149979d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test397"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval((-0.4575169502810756d), 5.924424391350395E-308d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test398"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d13 = noBracketingException12.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable14, obj_array16);
    noBracketingException12.addSuppressed((java.lang.Throwable)mathArithmeticException17);
    java.lang.String str19 = noBracketingException12.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d25 = noBracketingException24.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math.exception.MathArithmeticException(localizable26, obj_array28);
    noBracketingException24.addSuppressed((java.lang.Throwable)mathArithmeticException29);
    java.lang.String str31 = noBracketingException24.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext32 = noBracketingException24.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError33 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException24);
    noBracketingException12.addSuppressed((java.lang.Throwable)noBracketingException24);
    java.lang.Throwable[] throwable_array35 = noBracketingException12.getSuppressed();
    java.lang.Throwable[] throwable_array36 = noBracketingException12.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException37 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, number7, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.NoBracketingException noBracketingException39 = new org.apache.commons.math.exception.NoBracketingException(localizable0, (-0.18284441161891168d), 0.0d, 3.6831118644309124d, 0.0d, (java.lang.Object[])throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str19.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str31.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test399"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(100.0f, 0.9653738118932836d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test400"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.99999976f, 2.328307E-10f, 49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test401"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(2.328307E-10f, 24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.003906251f);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-57.0d));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test403"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.0d, (-0.45878344581717967d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test404"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable15, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable13, (java.lang.Number)10.0d, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, obj_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable10, (java.lang.Number)21.766990071586857d, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 2.5346958487132123d, (-0.18181818181818166d), (-1.2491985819827967d), 4.201356810137798d, obj_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)0.5906000224986607d, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError24 = new org.apache.commons.math.exception.MathInternalError(localizable2, obj_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-0.49236d), obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test405"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-546842740), maxCountExceededCallback1);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(3.469446951953614E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test407"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.9803427342859747d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9803427342859747d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000003333E-6d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test409"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(5.6843426E-14f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.6843426E-14f);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test410"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.9073486E-6f, 20.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000004f);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test411"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)6.283185307179586d, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)0.9999999999999385d, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable3, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError21 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test412"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 127);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test413"); }


    int i2 = org.apache.commons.math.util.MathUtils.copySign(1847673983, (-39));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1847673983));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test414"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)10.0d, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)0.022037002837017282d, obj_array15);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException(localizable8, obj_array15);
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(localizable3, 1.5707963267948968d, 0.11808715599482482d, (-0.47662556545170265d), 54.71533675390604d, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, number2, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test415"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(10.000002f, 1753944293);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.9936588328974013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4581208619269617d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test417"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.8973341414805216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7816670038877477d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test418"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(4.0d, (-1.150604167315739d), 1.1071487177940904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test419"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver2.getMax();
    double d9 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i10 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d11 = bracketingNthOrderBrentSolver2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test420"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round((-10.0f), (-61091276), (-1824204071));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test421"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.3154543873337218d));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test422"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-1.7976931348623157E308d));
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)notStrictlyPositiveException1);
    java.lang.Number number5 = notStrictlyPositiveException1.getMin();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = notStrictlyPositiveException1.getContext();
    boolean b7 = notStrictlyPositiveException1.getBoundIsAllowed();
    java.lang.Number number8 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0+ "'", number8.equals(0));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test423"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.9773260550432166d, 0.04472068070296615d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9783486889391088d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test424"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.035402990901198625d, 5.172103467732114E-9d, (-0.009051554652569417d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test425"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1018167297, maxCountExceededCallback1);
    incrementor2.resetCount();

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test426"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.resetCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.incrementCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test427"); }


    org.apache.commons.math.util.MathUtils.checkFinite(2.4463520043093223d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test428"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.5674171169011493d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5674171169011493d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test429"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(1.47799d, 1.5154680083776668d, 1.1195203112948269d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.35846968870517304d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test430"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.7772919957190719d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test431"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.2626272556789118d, 1.1364210964124613d, 0.0d, 100);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i6 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver4.getMin();
    double d8 = bracketingNthOrderBrentSolver4.getMax();
    double d9 = bracketingNthOrderBrentSolver4.getStartValue();
    int i10 = bracketingNthOrderBrentSolver4.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.1364210964124613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test432"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, (java.lang.Number)2.718281828459045d, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 2.718281828459045d+ "'", number6.equals(2.718281828459045d));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test433"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.01983792679107154d, 5.2152346288712886E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5155458435004827d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test434"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(8.763412857175156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2786420172911592d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test435"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.9998921561895899d, 0.1900795402463152d, 544048009);
    double d4 = bracketingNthOrderBrentSolver3.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver3.solve(5, univariateFunction6, 0.0d, 2.5346958487132123d, 1.239739574131114d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test436"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.01718030806956928d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01717946291687238d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test437"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.07332750938799086d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07332750938799086d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test438"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(5.0487098E-29f, 0.008977890917883367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0487104E-29f);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test439"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.3563143829210376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test440"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.016339474440304515d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.016340928691323225d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test441"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array3);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array3);
    java.lang.Throwable[] throwable_array6 = mathArithmeticException5.getSuppressed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = mathArithmeticException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test442"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.36963425572847936d, (java.lang.Number)0.5791014453354606d, false);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test443"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    double d6 = noBracketingException4.getFLo();
    java.lang.Throwable[] throwable_array7 = noBracketingException4.getSuppressed();
    double d8 = noBracketingException4.getFHi();
    double d9 = noBracketingException4.getFHi();
    double d10 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d20 = noBracketingException19.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array23);
    noBracketingException19.addSuppressed((java.lang.Throwable)mathArithmeticException24);
    java.lang.String str26 = noBracketingException19.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext27 = noBracketingException19.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException19);
    java.lang.Throwable[] throwable_array29 = mathInternalError28.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable13, (java.lang.Number)0.13662948300794686d, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException(localizable12, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)noBracketingException4, localizable11, (java.lang.Object[])throwable_array29);
    double d33 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str26.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test444"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval((-0.18181818181818166d), 0.5707963267948967d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test445"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, (-9.999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test446"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d10 = noBracketingException9.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array13);
    noBracketingException9.addSuppressed((java.lang.Throwable)mathArithmeticException14);
    java.lang.String str16 = noBracketingException9.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = noBracketingException9.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError18 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException9);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(1.7182818187002955d, 0.0d, 0.8052085614665847d, (-1.0d));
    java.lang.Throwable[] throwable_array27 = noBracketingException26.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError(localizable21, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException29 = new org.apache.commons.math.exception.NullArgumentException(localizable20, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathInternalError18, localizable19, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.NoBracketingException noBracketingException31 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 7.174495176140663E-32d, 0.14131706826811183d, (-4.122307281809905E-9d), 8.181555720654768E46d, (java.lang.Object[])throwable_array27);
    double d32 = noBracketingException31.getFHi();
    double d33 = noBracketingException31.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str16.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 8.181555720654768E46d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.14131706826811183d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test447"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, 0.010316440887072911d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test448"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.1003332174111724d, 0.04472068070296614d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-32.49889990076559d));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test449"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.3347043077315028d, (java.lang.Number)(-0.005571360376372117d), false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(2.524630659933467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test451"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateFunction0, 1.612618698257105d, (-0.033502236306735565d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test452"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.021086908704446572d, 0.9997657449743638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.021086908704446575d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test453"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.6066896739061192d, 10217.858636925768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test454"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.8084134853132112d, 0.11808715599482482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.812264856546532d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test455"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(5.478547059258116E-9d, (-0.2146018366025516d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test456"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.9472307560783716d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8435636080687685d));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test457"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.5998406268185329d, 0.5143952585235492d, 2147483647);
    double d4 = bracketingNthOrderBrentSolver3.getMin();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver3.solve(437216292, univariateFunction6, 4.083234803534287E-307d, 1.7453292519943295E-16d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test458"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-3.095920455198052d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test459"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.2510888119152155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.25380493878938015d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test460"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.4582075549062188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1068266820173767d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test461"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.4575169502810756d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4736462139631234d));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test462"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.9204382786342706d, 7.25633158987156d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test463"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-1074790400));
    incrementor1.setMaximalCount((-874941345));
    int i4 = incrementor1.getCount();
    incrementor1.resetCount();
    boolean b6 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test464"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1330741599, 1847673983);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1847673983);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test465"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getMaximalCount();
    incrementor2.resetCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    boolean b9 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test466"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(24.0d, 10);
    double d3 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.8730716413572609d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test468"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-1967717439));
    incrementor1.incrementCount(0);
    incrementor1.setMaximalCount((-1074790400));
    incrementor1.setMaximalCount(1560231315);
    incrementor1.incrementCount((-1535368092));
    incrementor1.incrementCount((-1129954258));
    boolean b12 = incrementor1.canIncrement();
    int i13 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test469"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-50));
    int i2 = incrementor1.getMaximalCount();
    int i3 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-50));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-50));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test470"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d5 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array8);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException9);
    java.lang.String str11 = noBracketingException4.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = noBracketingException4.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    java.lang.Throwable[] throwable_array14 = mathInternalError13.getSuppressed();
    java.lang.String str15 = mathInternalError13.toString();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.exception.MathInternalError: internal error, please fill a bug report at https://issues.apache.org/jira/browse/MATH"+ "'", str15.equals("org.apache.commons.math.exception.MathInternalError: internal error, please fill a bug report at https://issues.apache.org/jira/browse/MATH"));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test471"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 3.1415926535897936d, 114700.63288698878d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test472"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array10);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable7, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array10);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array10);
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(localizable0, (-30.42204869176769d), 0.8052085614665847d, 3.1415926535897936d, 0.0d, obj_array10);
    double d16 = noBracketingException15.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.8052085614665847d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test473"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d9 = bracketingNthOrderBrentSolver2.getStartValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver2.solve(1532517103, univariateFunction11, 0.02396457543120425d, 1.4294313799657696d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test474"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.6947506487576603d), (java.lang.Number)0.15674076479156884d, false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test475"); }


    double d2 = org.apache.commons.math.util.FastMath.min(43.231546113679975d, 0.9494558121079277d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9494558121079277d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test476"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.009050936716119984d, (-0.8947984784901264d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8948442526851722d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test477"); }


    double d3 = org.apache.commons.math.util.Precision.round(0.0d, 990640803, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test478"); }


    float f2 = org.apache.commons.math.util.Precision.round(0.99999994f, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test479"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.014251078308965518d, (-0.3592584563316247d), 0.9836969024876725d, (-0.06607939503637712d));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test480"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d12 = noBracketingException11.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array15);
    noBracketingException11.addSuppressed((java.lang.Throwable)mathArithmeticException16);
    java.lang.String str18 = noBracketingException11.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d24 = noBracketingException23.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable25, obj_array27);
    noBracketingException23.addSuppressed((java.lang.Throwable)mathArithmeticException28);
    java.lang.String str30 = noBracketingException23.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext31 = noBracketingException23.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError32 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException23);
    noBracketingException11.addSuppressed((java.lang.Throwable)noBracketingException23);
    java.lang.Throwable[] throwable_array34 = noBracketingException11.getSuppressed();
    java.lang.Throwable[] throwable_array35 = noBracketingException11.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException36 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, number6, (java.lang.Object[])throwable_array35);
    java.lang.Throwable[] throwable_array37 = notFiniteNumberException36.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException38 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.0d, 1.1510104496201798d, 9.765624988313661E-4d, 0.8165266406141584d, (java.lang.Object[])throwable_array37);
    double d39 = noBracketingException38.getFHi();
    double d40 = noBracketingException38.getLo();
    java.lang.Throwable[] throwable_array41 = noBracketingException38.getSuppressed();
    double d42 = noBracketingException38.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str18.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str30.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.8165266406141584d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 9.765624988313661E-4d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test481"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.9464200646138969d, 0.5165517449964557d, 0.37981070303231385d, 0.0d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test482"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.5592719566851914d), (-1.433780830483027d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.769677597369445d));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test483"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-127));
    java.lang.Number number2 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-127)+ "'", number2.equals((-127)));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test484"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.9999999f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.9999999f);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test485"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test486"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)0.9950547536867305d, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)3.1415926535897936d, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 2.8818598552420744d, 0.5039343233414514d, 74.68993558672611d, 0.0d, obj_array12);
    double d19 = noBracketingException18.getHi();
    double d20 = noBracketingException18.getFHi();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException30 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d31 = noBracketingException30.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException35 = new org.apache.commons.math.exception.MathArithmeticException(localizable32, obj_array34);
    noBracketingException30.addSuppressed((java.lang.Throwable)mathArithmeticException35);
    java.lang.String str37 = noBracketingException30.toString();
    org.apache.commons.math.exception.NoBracketingException noBracketingException42 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 0.0d, 0.0d, 100.0d);
    double d43 = noBracketingException42.getFLo();
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { "hi!" };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException47 = new org.apache.commons.math.exception.MathArithmeticException(localizable44, obj_array46);
    noBracketingException42.addSuppressed((java.lang.Throwable)mathArithmeticException47);
    java.lang.String str49 = noBracketingException42.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext50 = noBracketingException42.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError51 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException42);
    noBracketingException30.addSuppressed((java.lang.Throwable)noBracketingException42);
    java.lang.Throwable[] throwable_array53 = noBracketingException30.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.8714479827243188d, localizable25, (java.lang.Object[])throwable_array53);
    org.apache.commons.math.exception.MathInternalError mathInternalError55 = new org.apache.commons.math.exception.MathInternalError(localizable23, (java.lang.Object[])throwable_array53);
    org.apache.commons.math.exception.MathInternalError mathInternalError56 = new org.apache.commons.math.exception.MathInternalError(localizable22, (java.lang.Object[])throwable_array53);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)noBracketingException18, localizable21, (java.lang.Object[])throwable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.5039343233414514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str37.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"+ "'", str49.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [-\u221E, 0], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test487"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.5179096811129302d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test488"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.525879E-5f, 1.07374195E9f, 1.5111572E23f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test489"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(9.536743E-7f, 81254791, 740799305);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test490"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(5.000001f, 160.00005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.000001f);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test491"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.8414709848078965d, 0.9505710575214509d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test492"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-4), (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-5));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test493"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(1.7812270781042638d, 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8906135390521369d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test494"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.0d, 1.882295213459197d, (-0.9865826776442833d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.9865826776442833d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test495"); }


    org.apache.commons.math.util.MathUtils.checkFinite(4.071109992273302E-13d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.044676040218565145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.4671675315734403d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0531779175039904d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test498"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.0d, (-0.3677975413421423d), 1.0769431657632742d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test499"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateFunction0, 0.23184355225643571d, 0.8037094307624446d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test500"); }


    org.apache.commons.math.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateFunction0, 2.0737120853713907E7d, (-0.01636008867235675d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
